5ちゃんねる ★スマホ版★ ■掲示板に戻る■ 全部 1- 最新50  

■ このスレッドは過去ログ倉庫に格納されています

Debian GNU/Linux スレッド Ver. 12

1 :login:Penguin:02/09/26 23:07 ID:oCr1xoKM
過去ログは多分>>2

Debian GNU/Linux スレッド過去ログ検索 (Debian GNU/Linux スレッド Ver. 11: 382氏提供)
http://debian.dtdns.net/2ch-debian/

Debian関連サイト、Tips および FAQ はこちら
http://debian.fam.cx/ (templa948氏提供 : メイン)
http://debian2ch.fc2web.com/ (templa948氏提供 : ミラー)

* 質問の前には必ず参照の事 *

2 :login:Penguin:02/09/26 23:07 ID:oCr1xoKM
前スレ
Debian GNU/Linux スレッド Ver. 11
http://pc.2ch.net/test/read.cgi/linux/1030178687/

過去ログ
Debian GNU/Linux スレッド Ver. 10
http://debian.fam.cx/pc.2ch.net/test/read.cgi/linux/1027442221/ 
http://pc.2ch.net/test/read.cgi/linux/1027442221/
Debian GNU/Linux スレッド Ver.9
http://pc.2ch.net/linux/kako/1024/10240/1024031354.html
Debian GNU/Linux スレッド Ver.8
http://pc.2ch.net/linux/kako/1020/10209/1020967965.html
Debian GNU/Linux スレッド Ver.7
http://pc.2ch.net/linux/kako/1018/10184/1018445203.html
Debian GNU/Linux スレッド Ver.6
http://pc.2ch.net/linux/kako/1015/10151/1015174417.html
Debian GNU/Linux スレッド! Ver.5
http://pc.2ch.net/linux/kako/1011/10117/1011766081.html
Debian GNU/Linux スレッド! Ver.4
http://pc.2ch.net/linux/kako/1006/10062/1006278960.html
Debian GNU/Linux スレッド! Ver.3
http://pc.2ch.net/linux/kako/999/999724231.html
Debian GNU/Linux スレッド! Ver.2
http://cocoa.2ch.net/linux/kako/992/992323048.html
Debian GNU/Linux スレッド!
http://cocoa.2ch.net/linux/kako/980/980163775.html
UNIX板旧スレッド
http://cocoa.2ch.net/unix/kako/970/970632381.html

3 :login:Penguin:02/09/26 23:07 ID:T5addLvq


4 :login:Penguin:02/09/26 23:11 ID:BoA6TLfE
>>1
乙可憐

5 :名無しさん@Emacs:02/09/26 23:17 ID:hj8c/EFC
何でもいいんですが、変態的な debu パッケージなんかやめて、rpm にしません?

6 :login:Penguin:02/09/26 23:20 ID:ORm/KWJF
>>5
そういう話しはMLに投げて下さい。
説得力があれば、変更されるかもしれません。


7 :login:Penguin:02/09/26 23:42 ID:A7idOQTc
たくさんのデスクトップを一辺にアップデートしたり、アプリケーショ
ンをインストールしたりする時の方針とか指針ってありますか?

8 :名無しさん@RPMマンセー = 5 ◆xnM9WOKA :02/09/26 23:47 ID:hj8c/EFC
とりあえず、ML に投げるための情報集めをしたいと思います。

deb, rpm, tgz, slp のパッケージ形式の比較
ttp://www.debian.gr.jp/~kitame/pkg-comp/

kmuto 神の "Introduction to Debian packaging"
ttp://tty.namazu.org/#kmuto_deb

ワタスィなりの比較

deb は、狂犬のように debian/* を編集して回らないといけません。

rpm だと、SPEC ファイルを一つ編集するだけで楽ちんです。
たとえば、%prep %build %install %files %changelog に一連の流れがスグ書けます。
未だ必要な機能が十分ではないですが、apt for rpm がある今となっては、
変態的な deb を使う利点がわかりません。
手軽さという観点から考えれば、やはり deb より rpm でしょう。


9 :login:Penguin:02/09/27 00:03 ID:CmDX0/qL
>>8
あにょ、、、そこまでご理解なされているのであれば、
パッケージングシステムにrpmを採用しているディストリビューションをお使いくだされば、
なーんも問題ないと思います。
それでも、尚、Debian GNU/Linuxでrpmをご使用になりたいのであれば、
apt-get install rpm
してお使いいただくという方向性もあるかと、、、



10 :login:Penguin:02/09/27 00:03 ID:aMqOR1rq
>>8
> ttp://www.debian.gr.jp/~kitame/pkg-comp/

それ古くない?
http://kitenet.net/~joey/pkg-comp/

11 :login:Penguin:02/09/27 00:15 ID:VnZyEaXf
むーん。
わたすぃは別ファイルになってた方がいいなぁ。特にcheangelog。
あと、rpmってrecommendとsuggestないんよね。けっこう便利なのに。

12 :名無しさん@RPMマンセー = 5 ◆xnM9WOKA :02/09/27 00:18 ID:pW8X+H0K
>>9
> パッケージングシステムにrpmを採用しているディストリビューションを
> お使いくだされば、なーんも問題ないと思います。

ええ。日本人なので、Vine がメインの環境です。もちろん快適だと思います。
しかし、VineSeed って、stable 重視なんですよねぇ。
新すぃパケジは、まず入ってこないので、自分で準備しないといけないのが
不満なんです。

> それでも、尚、Debian GNU/Linuxでrpmをご使用になりたいのであれば、
> apt-get install rpm
> してお使いいただくという方向性もあるかと、、、

rpm_4.0.4-11.diff.gz を取ってきて眺めてるんですが、

--- rpm-4.0.4.orig/debian/README.Debian
+++ rpm-4.0.4/debian/README.Debian
@@ -0,0 +1,16 @@
+* Please do not use rpm directly to install packages. Install the alien
+ package and use the alien command to convert/install a rpm package using
+ dpkg. Use of rpm to install packages is disabled on Debian systems (we
+ don't ship a /var/lib/rpm directory or rpm databases -- you can of
+ course make the directory and cause rpm to set up the databases if you
+ must, but do so at your own risk).

ということで、却下されますた。(w

>>10
サンスコ

13 :名無しさん@RPMマンセー = 5 ◆xnM9WOKA :02/09/27 00:20 ID:pW8X+H0K
>>11
なるほど。recommendとsuggestを実装しちゃうと(・∀・)イイ!感じになりますかね?


14 :login:Penguin:02/09/27 00:24 ID:jnzK6oxw
>>5
debian.org の ML アーカイブを見てみれば?
RPM vs DEB は今までに何度も議論が繰り返されているよ。

15 :login:Penguin:02/09/27 00:25 ID:VnZyEaXf
>>13
rpmコマンドのインタフェースがdpkgと同じになって(あの変態的なオプション指定は正直ちと)……その他もろもろ。
てか、わたしrpmの設計がイヤでdebianに移ってきたクチなんで……。RH4の頃の話だけど。


16 :login:Penguin:02/09/27 00:27 ID:KqOu6Unh
alienの使い方がいまいちよくわからずメンドーなので
テキトーにつっこんじゃってます。

$ rpm -qa
j2sdk-1.4.0-fcs
mgapdesk-1.00-7
TiMidity++-2.10.4-2k
plugger-4.0-13
RealPlayer-8.0-1
kondara-backgrounds-2.1-4k
Canna-3.5b2-39
netscape-common-4.79-1
ricoh-gothic-1.1-3
pilot-link-devel-0.9.5-8
kondara-logos-2.0-6k
libcanna-3.5b2-39
Canna-devel-3.5b2-39
kernel24-2.4.17-0vl7
netscape-navigator-4.79-1
pilot-link-0.9.5-8
guspat-20000706-4k
bchunk-1.1.1-0
kernel-source-2.4.19-11mdk

17 :login:Penguin:02/09/27 00:42 ID:V/akLTy7
>>16
おまえ・・・・・

18 :login:Penguin:02/09/27 00:44 ID:Zdj1hDlB
sidで最近loginとか立て続けにupgradeされたでしょ。
気がついたら、su(loginにある) がなくなっていて、
まさかと思って log-out したら
loginできなくなってしまった!!!(rootもユーザーも)

たっ、助けてー!

19 :login:Penguin :02/09/27 00:47 ID:EjKkp2yD
>>12
つかVineSeedにunstableなパケジもホスィって要望を出せばいいのに、なんでDebianスレに書くかな。
debパッケージが嫌い、apt for rpmがある今となっては云々。
Debianにrpmを使わせるより、そっちのが効率いいじゃないの?

20 :名無しさん@RPMマンセー = 5 ◆xnM9WOKA :02/09/27 00:55 ID:pW8X+H0K
>>14
見てませんですた。これからユクーリ見てみたいと思います。

>>15
片方の立場に立てば、片方が変態にみえるということがわかりマスタ。(w

>>19
vine-plus で、「MPlayerキボンヌ」という記事が流れたことがあったのだけど、
鈴木さんに却下されますた。
Vine だと、そーゆーグレーなパケジを扱っている unofficial な apt-line って
ないんですよ。開発者の方々の人数からすれば、debian を RPM 化してしまうのが
早道かなぁとか思ったわけです。

21 :login:Penguin:02/09/27 01:05 ID://lfyMTJ
>>20
自分でソースからコンパイルしろ、ヴォケ。

22 :名無しさん@RPMマンセー = 5 ◆xnM9WOKA :02/09/27 01:06 ID:pW8X+H0K
>>21
してますけど。

23 : ID:Zdj1hDlB:02/09/27 01:11 ID:Zdj1hDlB
sidで最近loginとか立て続けにupgradeされたでしょ。
気がついたら、su(loginにある) がなくなっていて、
まさかと思って log-out したら
loginできなくなってしまった!!!(rootもユーザーも)

たっ、助けてー!

24 :login:Penguin:02/09/27 01:12 ID:VnZyEaXf
>>20
ぜんぜん早くない……ちゅうか、ほぼ不可能だと思う。
1000人以上いるオフィシャルメンテナがrpmパッケージを作れるようにならにゃならんし、パッケージングポリシー等を作り直さなきゃならないし……提案しても失笑されるだけやね。
賛同する人はいるでしょうけど、それよりもはるかに多くの不賛成を得られると思う。
Vineのパッケージメンテナを増やす方がはるかに楽やね。

25 :login:Penguin:02/09/27 01:13 ID:A3BfOlJ2
>>20
絶対ものすごい遠回り
それなら RH とかの開発版でも使うほうが早いでしょ〜。
たいてい rpm はあるし。

# deb はメンテナさんたちの苦労のおかげで楽させてもらってます。
#ありがたや ありがたや。

26 :login:Penguin:02/09/27 01:15 ID://lfyMTJ
>>23
レスキューディスクとかでなんとかなんない?

27 :login:Penguin :02/09/27 01:16 ID:EjKkp2yD
>>20
それはVineユーザーの問題だろ?
キミがunofficialなapt-lineを作って先駆者になればいい。
もしくはプロジェクトでも立ちあげればいい。

それともキミの身がってな要望のために、Debian開発者の大事な時間を奪うつもりかい?

28 :login:Penguin:02/09/27 01:18 ID:VnZyEaXf
>>25
ふと思ったんだけど、オフィシャルとアンオフィシャルを合わせたパッケージの数って、DebianとRHではどっちが多いんやろね?
rpmはupstreamがパッケージを用意していることもよくあるし。


29 :login:Penguin:02/09/27 01:21 ID://lfyMTJ
この板で屈指の良スレを既に何度も繰り返された
議論で埋めるのはもうやめまいか?

30 :login:Penguin:02/09/27 01:22 ID:rRudmhUX
#insmod -v tulip.o したら、
tulip.o: caouldn't find the kernel version the module was compiled for
というエラーが出ますた。実はこのtulipは2.2.6から引っぱり出したものです。
でもインストール先のkernelは2.2.20です。
/ から検索しても2.2.20にはtulip.oが入ってませんでした。

これは、バージョンの合うtulipが手に入れば解決ですね。でもなんで
Woddyにはtulip.oが入ってないだヨ!?
どなたか、kernel 2.2.20(PowerPC)用のtulip.oを送って下さい。
アドレス入れますた。
探したけどRPMしか発見できませんでした。baseなのでコンパイル
もできません。

#dmesg の結果は、以下の通り。
3c59.c ....省略
eth0: DC21041 at 0x400 (PCI bus 0, device 13), h/w address ff:ff:ff:ff:ff:ff)
and requires IRQ23 (provided by PCI BIOS)
de4x5.c:V0.544 1999//8

LinuxPPCでもde4x5を使うとMACがff:ff:になってしまいます。

31 :30:02/09/27 01:24 ID:rRudmhUX
30 は全スレ993,977の続きです。

32 :名無しさん@RPMマンセー = 5 ◆xnM9WOKA :02/09/27 01:25 ID:pW8X+H0K
>>24
失笑されるのは承知の上です。(w

>>20 >>28
upstream が用意している rpm は、(最近は少なくなりましたが)変なものが
結構あります。/usr/localに入れようとしたり、rootであることを要求してきたり、
依存情報が変だったり、と。


33 :login:Penguin:02/09/27 01:26 ID:VnZyEaXf
>>23
まずlogin(passwdも?)と、それにdepends、pre-dependsしてるパッケージをフロッピーなりに用意。
レスキューディスクで起動して、/target以下に/をマウント(/usrとかあればそれもマウント)。
で、用意しといたパケジをdpkg -i --root=/target <pkg>で行けるんちゃう? やったことないけど。

どうしてそういう状態になったか興味津々。

34 :login:Penguin:02/09/27 01:29 ID:VnZyEaXf
>>32
じゃ提案してみそ。ここじゃなくて.orgなMLにね。.or.jpじゃないよ。

35 :login:Penguin:02/09/27 01:35 ID:A3BfOlJ2
>>23
シングルユーザーモード で起動するのはどうだろう?

36 :login:Penguin:02/09/27 01:36 ID://lfyMTJ
>>34
迷惑になるからやめろY!O













まあ、そんな度胸も能力もないだろうがな。(w

37 :login:Penguin:02/09/27 01:38 ID:VnZyEaXf
>>30
前スレ993の

># grep CONFIG_TULIP /boot/config-カーネルのバージョン

はどない?

ちゅうか、そのNICは本当に生きてるの?
あと、CD-ROM一式入手して開発環境構築した方が早そう(一枚目だけでカーネルコンパイルできたっけ?)。
あるいは(前スレで誰かが言ってたけど)別のNIC入手するとか。

38 :login:Penguin:02/09/27 01:56 ID:rRudmhUX
>>37
# grep CONFIG_TULIPできません。どうしてかというと、MacのADBキーボード
からは「|」と「_」を入力できないのです(Debianに限り)。

NICは普段Mac OSで起動した時に使ってます。Yellow DogでならTulipで動作する
(らしい)ことも確認済みです。

困ったことにPowerPC版はCD-ROMがないらしいです。

39 :名無しさん@Emacs:02/09/27 02:43 ID:iha+78cv
>>38
grep TULIPとかすればぁ?

40 :login:Penguin:02/09/27 02:56 ID:VnZyEaXf
>>38
jigdoはmac版はないのか……。
お金出してもいいなら、Duckbillとよしりんで売ってるのは確認したけど。
http://www.duckbill.co.jp/
http://www.shishamo.com/
ただ、そのお金でNIC買えるような気もする(安いPC/AT用NICがmacで使えるかどうかわからんけど)。

41 :login:Penguin:02/09/27 03:04 ID:KqOu6Unh
>これは、バージョンの合うtulipが手に入れば解決ですね。

それはそうなんだけど、
_正確に_ debianのバージョンでないと駄目だと思う。
_近い_ バージョンだと運がよければ
# insmod -f
でいけるかも知れない、が、動く保証は全然ない。

ここ↓にpowerpc用カーネルのバイナリtarballがあることはあるけど、
http://www.ppckernel.org/
debianとは縁もゆかりもないし、
解凍したら何が出て来るのかもよくわからない。
そもそも全く初心者向きじゃない。

別のNICにしたほうが早いとは思うけど、MacのNICは高いのかもしれないですね。

42 :login:Penguin:02/09/27 03:24 ID:VnZyEaXf
んと、powerpcのインストーラのconfig見てみた。
powermacの方はtulipなし。つまりnになってる。
new-powermacの方はy。つまりカーネルに組み込まれてる。

無印とnew-の違いは以下参照。
http://www.debian.org/releases/woody/powerpc/ch-install-methods.ja.html

「ごく最近の Power Macintosh コンピュータ」ってのが怪しいけど、new-の方を試してみる価値はあると思う。

43 :login:Penguin:02/09/27 04:48 ID:rRudmhUX
>>41
2.2.22を解凍してみましたがtulipは入ってませんでした。
>>42
残念ながらうちのMacはOld-Worldマシンなのです。Newのは確実に動きません。
明日になったら、PC/AT機用の安いLANカードを買ってくるつもりです。
もしうまくいったら、今刺さっている腐れNICは金槌で粉砕して一件落着です。

44 :login:Penguin:02/09/27 05:28 ID:aMqOR1rq
>>32
> 結構あります。/usr/localに入れようとしたり、

/usr/localに入れようというのはいたって正常な気がするのだが。
君はvineのpackaging policyに不満があるだけじゃないの?
upstreamが/usr/localに入れなければならないのはそういうことでしょ?


45 :login:Penguin:02/09/27 05:42 ID:tMdtyM8y
>>44
彼が言う upstream というのは、vine のことでわなくて、
個々のパッケージを指しているのでわ?

46 :login:Penguin:02/09/27 08:19 ID:q/lhGvvK
eeproのバルクを乗っけて見ればいいのでは?

古いEther Net Cardを粉砕すれば,OS9, Xで使えませんぜ
>>41
ppckernel.orgのBenさんKernelの方が宜しいと思われます.

47 :login:Penguin:02/09/27 08:21 ID:3LUp+Z6f
>>38
ADBのJISキーボードでは?
ADBのキーボードについては下記をまず参照。
PowerPC Linux Keycodes Alert!
http://www.debian.org/ports/powerpc/keycodes
わたしは以下のようにして解決しました。(もっと簡単な解決法があるかも)

1. ftp://ppc.linux.or.jp/pub/users/kazu/keymaps.tar.gz
(FTPですのでコピペで行ってね)を拾って来て、mac-jp-jis.kmap.gzを抽出し、
/usr/share/keymaps/mac以下あたりにコピー。
および、kernelの再構築に必要なものをインストール。

2. /etc/console/boottime.kmap.gzをどこかにバックアップして
/usr/share/keymaps/i386/qwerty/mac-usb-us.kmap.gzを/etc/console/boottime.kmap.gzとして保存。再起動。
とりあえず、USキーマップで"_"(アンダースコア)などが出るようにする。
# USキーボード配置になるので注意!しかしすべての文字が使える。

3. http://lists.debian.or.jp/debian-users/200206/msg00287.html
を参考にしてADBを有効にするよう、kernelの再構築。

4. BootX で、インストールRAM イメージから再起動。コンソールにおりて、さきほどの
/usr/share/keymaps/mac/mac-jp-jis.kmap.gzを/etc/console/boottime.kmap.gzとし
て保存。

5. 再起動でおわり。ウマー

ミスやもっと簡単な方法が有るときは指摘よろ。

48 :login:Penguin:02/09/27 08:29 ID:eLlVqZ7z
http://pc.2ch.net/test/read.cgi/linux/1004807938/190
> 最近はパッケージ用意されて無いxkanonとか入れてみようかなとか

すでに ITP されてるよ。
http://lists.debian.or.jp/debian-devel/200208/msg00036.html


49 :login:Penguin:02/09/27 08:39 ID:3LUp+Z6f
追記
はじめてkernelの再構築をする時は/boot/config-2.x.xを.configの参考にするといいよ

50 :login:Penguin:02/09/27 09:54 ID:aMqOR1rq
>>45
そのつもりで書いたんですけど、、、。


51 :login:Penguin:02/09/27 11:04 ID:rRudmhUX
>>46
Mac OS 9, 10をこのマシンに入れるつもりはないので大丈夫。今は8.1で、その
うち8.6にするつもり。今のNICのおかげで膨大な時間を無駄にしているので、
まともに動かなければこいつの命は今日限り。売る気にもなれない。
eepro探してみます。
BenさんKernelも解凍してみます。でも、2.4から取り出したtulipは、2.2
では使えないのでは?うちのは2.2.20です。

>>47
おお、ありがとう!!!
コピペして取っておきます。後でコンパイラをインストールしたら試してみます。

52 :login:Penguin:02/09/27 12:10 ID:4CxymteG
apt-pinの設定だが、自作とかunofficialなapt-lineを使う人の場合、
最近users-jpに流れていた設定をちょっといじって、
/etc/apt/preferencesに
-------------------------
Package: *
Pin: release a=testing
Pin-Priority: 110

Package: *
Pin: release a=unstable
Pin-Priority: 90
-------------------------
なんてするのがイイと思うのだが、どうよ?

これだと、unofficialなパッケージも
Version Numberが大きければちゃんとインストールされるし、
Pinを使って入れたtesting or unstableパッケージは
それ以降testingの最新版が入るようになる。
もちろん、特にいじらないパッケージはstableのまま。

もし、一度unstableを入れたパッケージはunstableを使いつづけたい場合は、
unstableのPin-Priorityを110にすればよし。そんな香具師あまりいないと思うけどな。

テンプレにあるDefault-Releaseを使った設定だと、
releaseが設定されていないapt-lineにあるパッケージは、
該当のパッケージがDefault-Releaseに無い場合を除いて無視されるので、
自作のお気楽apt-lineにあるパッケージをaptで入れようとしてもだめなんだよね。

参考:man 5 apt_preferences


53 :login:Penguin:02/09/27 12:34 ID:aMqOR1rq
>>52
pin利用時のsource.listの書き方も必要じゃない?
じゃないと初心者は混乱しそう。

ついでに以下の項目もいっしょにまとめた方がいいんじゃないかな?
・woodyでsidやsargeのパッケージを借りるには(pinの使い方)
・[FIXME]パッケージをバージョンを指定してインストール

よろしくお願いします。

54 :51:02/09/27 12:45 ID:aMqOR1rq
>>52
> なんてするのがイイと思うのだが、どうよ?

というのを「なんてテンプレを書き直すのがイイと思うのだが、どうよ?」
と思ってしまい、>>51を書きました。スマソ。

55 :54=53≠51:02/09/27 12:49 ID:aMqOR1rq
さらに間違い、、54=53≠51です。
宇津志

56 :login:Penguin:02/09/27 14:46 ID:eUZjdc5k
nkf-2.0.1が出てる。
utf-8に対応。
スレ違いだな(w

xfree86-2.4.1-0pre1v2も出てる。

57 :login:Penguin:02/09/27 15:17 ID:H1xjjv+x
きのう login の質問したものです。
お返事くれた皆さん、ありがとう。

Winで書いたあとすぐに、single mode で起動し、/var/cache/apt/archives/ に残っていた、
login-?.?-3.i386.deb をインストールし直すだけで直りました。
うまくインストールされていなかった模様。
aptitude 使っているけれど、こういうことが起こるのか?
(それとも sid はしかた無いのかな?)

58 :login:Penguin:02/09/27 15:28 ID:aMqOR1rq
>>57
sidはそういうことよくあるよ。

59 :login:Penguin:02/09/27 15:48 ID:eUZjdc5k
>>57
なんつってもunstable

60 :login:Penguin:02/09/27 15:50 ID:xWQNNWMT
>>57
woody やるからその席あけろと。

61 :login:Penguin:02/09/27 16:23 ID:YIEwtoTy

woodyでフォントの設定がうまくいかない。
詳しく解説しているページってないでしょうか?




62 :login:Penguin:02/09/27 16:30 ID:xWQNNWMT
>>61
どんな設定?

63 :いつでもどこでも名無しさん:02/09/27 18:24 ID:E+52C4t3
>>43
NICを粉砕するのではなくて、今のkernel packageを捨てるべきだと思うが…
Tulip入ってない方が糞なんだから。

64 :login:Penguin:02/09/27 19:38 ID:VnZyEaXf
ワラタ。

$ su
Password:
su: Authentication failure
申し訳ございません.

Sorry.の翻訳なんでしょうけど、一瞬何のことかと。

65 :login:Penguin:02/09/27 19:43 ID:aMqOR1rq
>>64
マジじゃん(w

66 :login:Penguin:02/09/27 19:45 ID:ynQ42N6H
>>64
こういう短い文って訳しにくいからなぁ。
「申し訳ございません」ってのはちょっと堅すぎるけど、
「すいません」とか「ごめんなさい」ってのもいまいちだしなぁ。


67 :login:Penguin:02/09/27 20:31 ID:iha+78cv
>>66
そんなの訳す必要ないんだよな。
sorry で十分だし、どうしてもって言うのなら
"ごめんよ"とかか。

68 :login:Penguin:02/09/27 22:32 ID:SuCx7761
スマソ、がいいなぁ・・・

69 :login:Penguin:02/09/27 22:57 ID:+8k54c8k
>>68
そりゃOmaemona DQN/Linuxでやってくれよ、是非とも(w


70 :login:Penguin:02/09/28 01:47 ID:w2JghH/T
別にシステムが謝る必要ないよな。
「逝ってよし」でいいよ。

71 :login:Penguin:02/09/28 01:56 ID:/sJ44MZl
>>70
まったくその通りですな。(゚Д゚)ハァ? でいいよ。

72 :login:Penguin:02/09/28 02:06 ID:w2JghH/T
$ su
Password:
su: 認証失敗
ハカー キタ━━━━━━(゚∀゚)━━━━━━ !!!!!

73 :login:Penguin:02/09/28 02:14 ID:9Hbldbvv
anthy-3322のdebがあがったのでテンプレに追加しといた。

これでeggで入力できるようになるな。

74 :login:Penguin:02/09/28 03:28 ID:t169vWCk
>>62 すみません。フォントを日本語化するための設定です。

75 :login:Penguin:02/09/28 03:29 ID:w2JghH/T
>>74
どのフォントを日本語化するの?

76 :login:Penguin:02/09/28 03:41 ID:VkzOTpcm
>>73

anthy-3322 って version up した package が上がっていると思ってしまった。
anthy-3200 の間違いですな。

ちゅうか anthy_3200-1_i386.deb, libanthy0_3200-1_i386.deb,
anthy-el_3200-1_all.deb をインスコしても、使えない...
emacs -q な emacs の *scrach* で (load "anthy") を評価し、 C-x ret C-\ で
japanese-anthy としても

activate-input-method: Can't activate input method `japanese-anthy'

となって使えません。anthy-agent が wnn でいう jserver に相当するものですよね。
この問題には関係ないと思うけど、これが動いている、いないに関わらず上記の
エラーは出ます。なんでだろ。source を辿ってみるのかなぁ...


77 :login:Penguin:02/09/28 05:20 ID:1Y5bFQI4
>76
Meta-Esc を押してみそ。

78 :おむこさん志望 ◆GqCwfDSA :02/09/28 05:20 ID:qC1npUCd
>>76
> anthy-3322 って version up した package が上がっていると思ってしまった。
> anthy-3200 の間違いですな。

anthy-3322(開発版)を使いたい場合は
deb http://anthy.sourceforge.jp/debian/anthy-ss ./
anthy-3200(安定版)を使いたい場合は
deb http://anthy.sourceforge.jp/debian/anthy ./
って書いてあるよ。

>activate-input-method: Can't activate input method `japanese-anthy'

(load-file "/usr/share/emacs/site-lisp/anthy/leim-list.el")
はどうですか?
本来これは普通にパッケージで入れれば必要ないはずなんだけど。

79 :login:Penguin:02/09/28 06:05 ID:goUvq4Ss
anthyに今一番必要なのは、まともなXIMではないか
KDEで使いにくいぞ

80 :login:Penguin:02/09/28 10:03 ID:LG6tphQb
これもテンプレにいれて欲スィ
http://lists.debian.or.jp/debian-users/200207/msg00193.html

gnome2で(正確にはXftで)日本語が出ずにはまりました。

81 :login:Penguin:02/09/28 10:21 ID:V6382byn
.emacsに
---
;anthy
(load-library "anthy")
(global-set-key "\C-\\" 'anthy-mode)
(setq default-input-method "japanese-anthy")
---
でどうでしょう


ちなみにanthy.elには
---
(global-set-key [(meta escape)] 'anthy-mode)
---
meta escapeってどのキー??

82 :login:Penguin:02/09/28 10:54 ID:LG6tphQb
>>81
>meta escapeってどのキー??
Alt+ESC です。(AltはXでMOD1にマップしてるキー)

sawfishとか、metacityとか使ってると、デフォルトでAlt+ESCをウィンドウマネージャが
フックするのでanthy使えません。

83 :login:Penguin:02/09/28 11:29 ID:VbH1NNCa
作者です
>>79
JKUGの方と協力して解決しましたので,
新しいQtが出回るのをお待ちください.
>>81
leim-list.elがロードできていれば
(global-set-key "\C-\\" 'anthy-mode)
は不要で,できればleimとして使って欲しいです.
>>82
alt-escapeはWindowsのパクりで,
一応付けてみたという感じなので
ctrl-\ を使うことをお勧めします.


84 :login:Penguin:02/09/28 12:43 ID:MsHZy53O
おお、作者降臨。

85 :名無しさん@XEmacs:02/09/28 13:32 ID:FuT+8o0G
sidのmozilla-browser-snapshotですが,Version: 0.0.20020925.15.trunk-1に
したら,起動しなくなってしまいました。

rm ~/.mozilla-snapshot

してみて,再度挑戦してもだめでした。

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=162506&repeatmerged=yes

上記のページにも同じような現象がかいてありましたが,みなさんのころでは,
うまく,うごいてますか?


86 :login:Penguin:02/09/28 14:16 ID:T+mgIPa/
>>78
> (load-file "/usr/share/emacs/site-lisp/anthy/leim-list.el")
> はどうですか?

76ではありませんが、うちの環境でもこの行を書かないと同様の症状がでます。

(load-library "anthy")
(load-file "/usr/share/emacs/site-lisp/anthy/leim-list.el")

この二行追加でうまくいっています

> 本来これは普通にパッケージで入れれば必要ないはずなんだけど。

普通にパッケージでいれてるんですけどね。


87 :86:02/09/28 15:20 ID:T+mgIPa/
それから Depends: で libc6 (>= 2.2.5-13) が指定されているためにwoodyで
使えないんですが、2.2.5-13 以上である必要があるんでしょうか。


88 :login:Penguin:02/09/28 15:27 ID:DfYRmikI
testing の sgmltools-lite で、こんなエラーが出て全然 html が作れない。

Traceback (most recent call last):
File "/usr/bin/sgmltools", line 93, in ?
tool.processFile(curfile)
File "/usr/share/sgml/misc/sgmltools/python/SGMLtools.py", line 235, in processFile
dssslfile = utils.findStylesheet(stylesheet, self._aliases)
File "/usr/share/sgml/misc/sgmltools/python/utils.py", line 307, in findStylesheet
return findStylesheet(name, aliases)
File "/usr/share/sgml/misc/sgmltools/python/utils.py", line 317, in findStylesheet
raise IOError, "Couldn't resolve pubid [%s]" % id
IOError: Couldn't resolve pubid ["-//SGMLtools//DOCUMENT Docbook Style Sheet for HTML//EN"]

python は分からないし、パッケージがやってくれた設定が間違っているようにも見えない。
どうしましょ?
ちなみに、$SGML_CATALOG_FILES の /usr/lib/sgmlcatalog はちゃんと存在しています。

89 :login:Penguin:02/09/28 16:51 ID:NB7Bmpta
slackwareを使っていたが(サーバとして動いていただけ)、Woodyに入れ替えた。
postfix baind9 samba mgetty これでHDDは、126M。
でかくないか?
dselect で、いっぱい削ったけど・・・色んなのがいっぱい入った。不満はないよ。
Debianって、完ぺきだね!



90 :login:Penguin:02/09/28 16:56 ID:iSXnIwVj
>>89
インストーラでは基本システムだけインスコ。
そのあと、必要なパケジだけインスコ。

スッキリんこ。

91 :login:Penguin:02/09/28 16:59 ID:zEDfHico
(´-`).。oO(>>89 は不満があるのか満足してるのか微妙だな…)

92 :login:Penguin:02/09/28 18:07 ID:ZLkoqswy
baseだけでも軽く60Mオーバーだけどね。
んで、aptで使うPackagesファイルは展開した状態で置かれるからmainだけで7.6M(現状のsid、woodyだと6.2Mか)とか、/var/lib/dpkg/(*.postinstとか)も馬鹿にならないとか、パッケージングシステムの分でけっこう食ってる。

93 :login:Penguin:02/09/28 19:16 ID:rcDtwved
コンソールをプロポーショナルフォントにしたいんだけど
なんかフレームバッファの使わなきゃダメかな?

94 :login:Penguin:02/09/28 19:23 ID:ZM2j0AyK
kernel-source 2.4.19-2来てます。

95 :login:Penguin:02/09/28 19:44 ID:FzP7OoSO
>>93
Debianに関係ない話題はよそでおながいします。

96 :88:02/09/28 19:59 ID:DfYRmikI
>>88 です。これが debian スレにふさわしいかチョット不安になりました。

自分で build して、うまく設定すれば問題無く動作するはずなので、
debian の話題で大丈夫ですよねw

97 :89:02/09/28 20:53 ID:NB7Bmpta
システムの完成度は、Windowsより Debianのほうが勝っているのでは。
感心した。って言うか、びっくり。
思っていたより大きいけど・・・でも、HDDはガラガラ。

98 :login:Penguin:02/09/28 21:02 ID:GwqxHfPv
(´-`).。oO(そう褒められてもチョト気味が悪いな…)

99 :76:02/09/28 21:16 ID:VkzOTpcm
>>77,78,81,86
レス、さんくす。

>>78
ちゃんと見てませんでした、すまそ。

>>78, 86
の方法で anthy が使えるようになりました。ありがとう。なかなかよさげですな。

egg package もインストールしているんですが、これが邪魔しているのかな?と
思って purge してみて anthy 関連のみがインストールされている状態にして
みたんですが、これでも
(load-file "/usr/share/emacs/site-lisp/anthy/leim-list.el")
としないと japanese-anthy は input method に現われません。packaging が問題?
あ、使っている emacs は emacs21 っす。


100 :login:Penguin:02/09/28 21:49 ID:9Hbldbvv
>>99
一応 /usr/share/doc/anthy-el/README.Debian には

>If you use emacs20 or XEmacs, please add folloing line(very ad-hoc).
>
>(load-file "/usr/share/emacs/site-lisp/anthy/leim-list.elc")

とあるな。微妙に間違ってるけど。

101 :76:02/09/28 22:00 ID:VkzOTpcm
>>81

この設定でも anthy 使えました。

ついでに >>1 のテンプレに、設定方法を書いてみました。問題、間違いがあったら
修正よろしこ。


102 :76:02/09/28 22:05 ID:VkzOTpcm
>>101

これは anthy-el_3322-1_all.deb の方っすか? 3200 の README.Debian には
こんなこと書いてなかったyo.



103 :login:Penguin:02/09/28 22:10 ID:9Hbldbvv
>>102
3322-1の方。多分追加したんだろ。

104 :login:Penguin:02/09/28 23:01 ID:UXxx4uUm
>>86=>>87
漏れはanthy使ってないけど、
そのパッケージがsid上でbuildされてるから、
dh_なんちゃら が勝手に付けるのでしょう。
実際にlibc6をanthyが呼んでいるのか知りませんけど。

anthy*.dscが手に入るなら、
woodyマシン上でbuildしなおせば問題無いと思います。
テンプレのxsnowの例でも参考になされば良いかと。

もし、このへんはわかった上で言ってるのならスマソ。

105 :login:Penguin:02/09/29 00:14 ID:bJWN2axm
早くKDE3.0で日本語使いたい・・・

106 :login:Penguin:02/09/29 00:48 ID:YR3vdAWc
woody上で、potato用のdebパッケージを作成するには
一体どうすりゃいいのかね?

107 :101:02/09/29 01:06 ID:h+imKPSW
anthy_3322-2のdebが出た模様。changelogによると

* I gave up modifing leim-list.el to fix bug which is not registerd
japanese-anthy in emacs20 and xemacs21. So I decided to use 50anthy-el.el
to fix it.
* anthy-el.README.Debian:
- (load "anthy"),(load-library "/usr/../emacs/leim-list.el") are no longer
needed.
- I fogot to fix maintainer's address.

とのことなんだが....


108 :login:Penguin:02/09/29 01:18 ID:Hl9kx7hN
sambaとswatインストールしたんですがswatの表示が英語なんです…
できれば日本語で表示して欲しいんですがなんとかなりませんか?

109 :login:Penguin:02/09/29 01:43 ID:ceKpo9i1
>>108
samba-jp と swat-i18n いれとけ

110 :login:Penguin:02/09/29 02:08 ID:od2+lzJk
>>109
重箱のすみですまぬがsamba-jaですな。
ただ、いかんせん古いのがガン。
Debian JPアーカイブつりーすっきり計画の時にwoody-jpから削除されちゃったし(メンテナが対応しなかったため)。

swatなんて項目が列挙されてるにすぎないんだから英語でも問題ないような気がするけどなぁ。ヘルプはともかく。

111 :名無しさん@XEmacs:02/09/29 02:59 ID:kpMgTw5q
MSNのクライアントで安定してて、日本語が使えて、
debパッケージが提供されてるものってありませんか?
当方woodyで、everybuddy、gaim、gabber,jmsnを試しましたが、
最初の二つは文字化けして、後者二つは落ちすぎです。

112 :login:Penguin:02/09/29 03:11 ID:YR3vdAWc
libtoolをインストロールしようとしたら
libtool: Depends: libc6-dev but it is not going to be installed or
libc-dev
って言われました。
でもlibc-devって仮想パッケージじゃないですか
本体はどれなんでしょうか?

113 :login:Penguin:02/09/29 03:22 ID:od2+lzJk
>>112
libc6-dev

114 :login:Penguin:02/09/29 04:23 ID:h+imKPSW
apt-get install libc-devしたらlibc6-devが入るはずなんだがなぁ

115 :login:Penguin:02/09/29 06:56 ID:EOj0UCoC
>>111
ム板で,emacs上で動くMSNクローンをつくろっかな…って話があるんだけど
参加してみたら?
そんなに不満があるんならさ,ねえ?


116 :login:Penguin:02/09/29 11:32 ID:YCBUQRGK
>>108
だったらswatなんか使わずにwebmin使え。

漏れはswat自体マヌケな作りだと思うけど。
試しに使ったときに必要なコメントまでさっ
くり削除してくれたんで、漏れ的だめぽ認定。

>>110
というか何のためにあんなモン入れたんだと
思うが。
Debianのポリシーに追従しる!! > samba-ja
といつも思う。


117 :login:Penguin:02/09/29 11:47 ID:x9O2GJUt
>>107
anthy3322-2 こちらでは
C-x ret C-\ 経由で、.emacsになにも書かなくも動きました。
(emacs21 21.2-1)

118 :login:Penguin:02/09/29 12:11 ID:j35nKR2M
sidのvimで、:makeってやるとperlのlocaleのwarningが出るんだけど何とかならん?

119 :111:02/09/29 15:13 ID:kpMgTw5q
>>115
正直lispは自信ない。
Javaで書いてもJMSNと同じだし・・・。
うわぁーん

120 :login:Penguin:02/09/29 16:18 ID:Qqm5O0r4
>>119
今、このJMSN使ってみてるけど、なかなか(・∀・)イイ!感じ。
こんなのがあったんだ〜。

121 :login:Penguin:02/09/30 01:10 ID:DGvOWxRE
フィギュアは付かないのかなー。

122 :login:Penguin:02/09/30 01:49 ID:SS4/jw/k
渦巻きフィギュアが本当に欲しいのかと小一時(略

ムトゥ教信徒の俺から言わせてもらえば
ムトゥタオル
これ最強

123 :login:Penguin:02/09/30 05:02 ID:sLf+O9EC
渦巻きバッチなら欲しい鴨。
渦巻きキャップとか。
……Debianでこーゆーのつくらないやね。

124 :(´・ε。・`):02/09/30 07:56 ID:+qdmsOP7
渦巻きせんべい・・・

125 :login:Penguin:02/09/30 10:28 ID:GPsg/WJL
マジレスだがケースに貼る渦巻きエンブレムが欲しい

126 :login:Penguin:02/09/30 10:32 ID:6m0cQLxv
「虹色ラーメン」の「なるとバッチ」と誤解される罠>渦巻バッチ


127 :login:Penguin:02/09/30 11:00 ID:7/LvoZZ2
あのぅ、昨日よりhttp://debian.fam.cx/の挙動がおかしいのだが、うちだけ?

128 :login:Penguin:02/09/30 11:06 ID:8/FJ10e/
挙動って?

129 :login:Penguin:02/09/30 11:11 ID:7/LvoZZ2
>>128
mozilla 1.0で開こうとすると、Save this file to disk になるのだが。

130 :login:Penguin:02/09/30 11:59 ID:7/LvoZZ2
>>128
ちなみにファイル名は一定していない模様。こわくて save はしていない。

131 :login:Penguin:02/09/30 12:05 ID:WDZzxJXN
>>125
ttp://www.copyleft.net/item.phtml?dynamic=1&referer=%2Fcategory.phtml%3Fpage%3Dcategory_sticker.phtml&page=product_422_front.phtml


132 :login:Penguin:02/09/30 12:30 ID:uFQvRIrs
質問
potatoをインストール後、woodyにアップデートするのと、
woodyをインストールするのはどちらが(設定とかも含めて)楽でつか?

133 :login:Penguin:02/09/30 12:42 ID:DGvOWxRE
sid使ってます。
Javaについてお聞きしたいのですが、blackdownというのを入れました。

$ dpkg -l j2* java* |grep ^ii
ii j2re1.3 1.3.1.02b-2 Blackdown Java(TM) 2 Runtime Environment, St
ii j2sdk1.3 1.3.1.02b-2 Blackdown Java(TM) 2 SDK, Standard Edition
ii j2sdk1.3-demo 1.3.1.02b-2 Blackdown Java(TM) 2 SDK, Standard Edition,
ii j2se-common 1.1 Common facilities for all Java2 Standard Edi
ii java-common 0.16 Base of all Java packages

場所は
deb http://ftp.tux.org/pub/java/debian sid main non-free
からです。

で、でびあんじゃばというページを見ると/usr/lib/j2sdk1.3にインストールされるとなってますが、
自分のは/usr/lib/j2seにインストールされています。
どうやら古いものを入れてしまったようなんですが、
どなたか最新のpackageのversionを教えていただけないでしょうか?

134 :login:Penguin:02/09/30 12:43 ID:DGvOWxRE
>>132
woodyを入れてほうが楽だと思います。


135 :login:Penguin:02/09/30 13:24 ID:uFQvRIrs
>>134
レスサンクスコ
これから挑戦してみまつ

136 :login:Penguin:02/09/30 13:29 ID:uFQvRIrs
もうひとつ。
皆さん質問するときって、2台パソコン使って、
片方で、debianいじりつつ、もう片方で、質問してるんでつか?
それとも、プリントアウトしたり、紙にメモったりしてるんでつか?

137 :login:Penguin:02/09/30 13:34 ID:TCzqK1ru
>>136
Debian 1台で質問していますが?

あと、「でつ」はやめろ。

138 :login:Penguin:02/09/30 13:43 ID:uFQvRIrs
>>137
わかりました

139 :login:Penguin:02/09/30 13:48 ID:7/LvoZZ2
>>138
これからインストールするなら、インストールマニュアルぐらいは読んでおくように。
http://www.debian.org/releases/stable/installmanual

ところで皆さんのところではhttp://debian.fam.cx/は正常に閲覧できていますか?
私だけならmozillaをなんとかしないといけないのでしょうが…

140 :login:Penguin:02/09/30 13:50 ID:TCzqK1ru
>>139
別に問題ないけど。
「ヘルパーアプリケーション」の設定がおかしい、とか?

141 :login:Penguin:02/09/30 13:52 ID:GPsg/WJL
>>131
すでにあったのか・・・これ、ぷらっとホーム(でなくてもいいけど国内)辺りで扱ってくれないかな

142 :login:Penguin:02/09/30 13:56 ID:7/LvoZZ2
>>140
いえ、なにも登録していません。昨日の朝までは大丈夫だったのですが、昼ごろから
変になりました。なにもいじってはないのですが…。
一度purgeしてみます。

143 :login:Penguin:02/09/30 14:02 ID:uFQvRIrs
>>139
了解

漏れは昨日それ見ようとしたらダウンロードダイアログが出てきた。
今日はなんともないが。

144 :login:Penguin:02/09/30 14:08 ID:7/LvoZZ2
>>143
情報ありがとう!
それで思い付き、cacheをclearしたら直りました。
大変お騒がせいたしました。

145 :Nagios:02/09/30 14:19 ID:sWOBwftE
Unstable にしか入っていないホスト監視ツール Nagios。
使っている人いますか?

公式サイト http://www.nagios.org/
Nagios is a host and service monitor designed to inform you of network problems
before your clients, end-users or managers do.

Unstable パッケージ
http://packages.debian.org/unstable/net/nagios-text.html
http://packages.debian.org/unstable/net/nagios-mysql.html
http://packages.debian.org/unstable/net/nagios-pgsql.html

146 :Nagios:02/09/30 14:24 ID:sWOBwftE
あと、dselect って stable からは消えちゃったんでしょうか?
http://packages.debian.org/cgi-bin/search_packages.pl?keywords=dselect&searchon=names&subword=1&version=all&release=all

147 :login:Penguin:02/09/30 14:51 ID:igVxwsQ+
>>146
http://packages.debian.org/stable/base/dpkg.html

148 :Nagios:02/09/30 15:00 ID:sWOBwftE
>>147 ぐわ〜ん。何も考えずに testing のまま apt-get update してたら
俺の Debian はすでに woody じゃなくなってた・・・・・
馬鹿すぎる>俺

こうなった以上、 sources.line を woody に戻す、べきじゃないですよね。
むしろ sarge の方向で?

149 :login:Penguin:02/09/30 15:04 ID:sWOBwftE
>>148 しかも sources.list だ、間違えた。

150 :login:Penguin:02/09/30 15:38 ID:sLf+O9EC
神はたいへんですな。
http://www.topstudio.co.jp/~kmuto/d/?200209c&to=200209304#200209304
4500円でそこまで要求するか。
んじゃ、パソコン本体のサポートなんて……。いや、やってたことあるからどんなに理不尽な客がいるかは知ってるけど。

151 :login:Penguin:02/09/30 16:20 ID:mUbhsa2d
>>148
http://www.debian.org/doc/manuals/apt-howto/ch-apt-get.ja.html#s-pin
ここにダウングレードの仕方が載ってるから試してみては?

>>127
昨日一時期httpd.conf書き換えたときに、
phpがダウンロードされちゃうようになっちゃってました。
ゴメソ

152 :login:Penguin:02/09/30 17:02 ID:KQOUmEo9
>>131
125じゃないけど、思わずポロシャツとシール(2.5cm角だからPCケース用かな?)を買っちまったよ。(わら
Tシャツは売り切ればっかりで、ちょっと残念。
CD-Rは迷った末に止めてしまいました、RWなら買ったかも。

送料が$11.70ってのは、結構安いんじゃないかな。
3週間後が楽しみ。


153 :login:Penguin:02/09/30 21:48 ID:RP/hoZ/U
>>137
丁度気になっていたので便乗質問をお願いします。
なぜ最近になって 「つ」 と 「す」 を間違える人が増えたのでしょう?
qwert では `s' と `t' は間違えられない位置にあります。
それとも t-code ですか?

154 :login:Penguin:02/09/30 22:16 ID:sLf+O9EC
>>153
間違えてるんじゃなくてわざとだと思ふ。
(笑 じゃなくて(藁 とかといっしょ。

……寝たにマジレス?

155 :login:Penguin:02/09/30 22:20 ID:sWOBwftE
>>153 t-code じゃないでつ。

156 :login:Penguin:02/09/30 22:45 ID:DGvOWxRE
どなたか>>133お願いします。

157 :153:02/09/30 23:11 ID:RP/hoZ/U
>>154 由来が分かりません。`t' + `su' -> `tsu' は関係あるのかしら。
まあ助詞は検索に影響しないので 「ディス鳥」 等よりはマシですね。

158 :login:Penguin:02/09/30 23:26 ID:al2uwlsT
>>156
sidユーザーだろ?
それぐらい自分で調べてください。

159 :login:Penguin:02/10/01 00:31 ID:n96a8Kac
>>157
由来も何も語感というか感覚的なものでせう。ローマ字(かな)入力由来のモノもあるでせうけど。
かふいふ言葉遊びにつひてわ言語学者に聞けば明快に答えてくれるでせう。
Debianとわ何も関係ないって言われそうだから、わたすぃからはここまで。

160 :login:Penguin:02/10/01 01:40 ID:qJZ8LI2t
>>157
ちょっと音を変えることで
舌足らずな感じを出しているのだろう。
「でした」→「でちた」は昔からあるな。

161 :login:Penguin:02/10/01 01:44 ID:qJZ8LI2t
つーか、板違いだな。すまん。
続きは言語学板あたりでやってくれ。
http://academy.2ch.net/test/read.cgi/gengo/1031322661/

162 :login:Penguin:02/10/01 05:17 ID:Jdp9pLVU
RedHat8.0気になっている人いますか?
私はダウソ中。

163 :login:Penguin:02/10/01 05:31 ID:RnyRE5ha
>>156
でびあんじゃばが古いんだと思うよ。
最新はそれでいいはず。


164 :login:Penguin:02/10/01 06:52 ID:ObUUJvO+
ダイアルアップ環境でPostfixを使ってe-mailを配信する場合
FQDNなんかの設定はどうしたらいいの?

165 :login:Penguin:02/10/01 07:56 ID:PXbvvh1/
>>164
に便乗。
でたらめなドメインを外に出ないようにするには、
どうしたらいいんだろう?

166 :login:Penguin:02/10/01 10:22 ID:ECaW9mYq
>>164
mydomain
myorigin
を調整すればいいのでは? これの調整はほとんど自明だと思う。
あと、Vine なんかだと日本語コメント付サンプルがついてるね。
postfix reload
で反映する。

167 :login:Penguin:02/10/01 12:33 ID:8EEApyMc
スレッドテンプレの experimental の項でちょっと気になったんですが。
まー、experimental なので使う人も少ないとは思いますが、apt-get 時の
--target-release について書いておかなくていいですかね?
experimental 使う野郎はわかるから、いいのかな…

168 :login:Penguin:02/10/01 13:49 ID:9AtjaGB6
スレッドテンプレのOpenOffice.orgのところに
http://blow-away.net/openoffice/docs/main/install/debian.html
追加して(・∀・)イイ!?


169 :login:Penguin:02/10/01 14:00 ID:n8vW1H81
書いちゃっていいんじゃない?
後で気になったら、消せばいいんだし。

170 :login:Penguin:02/10/01 14:01 ID:ah8Myasi
三輪佳子はLinux Worldという雑誌で連載をしている。
Linux World
http://www.idg.co.jp/lw/

Linux Worldってこんな知能の人間に連載持たせて大丈夫か?
三輪佳子はLinux Worldという雑誌で連載をしている。
*****************
http://tmp.2ch.net/test/read.cgi/asia/1032905786/
ニュース極東板の三輪佳子糾弾スレッド


171 :login:Penguin:02/10/01 16:26 ID:n96a8Kac
>>167
experimentalとはなんぞやって説明は必要かも。

172 :login:Penguin:02/10/01 17:09 ID:3NuRMKuY
http://www.topstudio.co.jp/~kmuto/d/?200210a&to=200210011#200210011
無糖さんがvmware上でAA使えなくて困ってます。
助けてageましょう!

173 :login:Penguin:02/10/01 17:27 ID:M0vMVpOq
質問なのですが、module.confってOSで使われているのでしょうか?
RedHatのmodules.confをwoodyの2.4.xに持ってきたのですが、どうも動かない。
modulesしか読んでくれないのでしょうか?

174 :login:Penguin:02/10/01 17:32 ID:wejotNy5
>>173
素直に modconf 実行すれば?

175 :login:Penguin:02/10/01 17:37 ID:dZtq0mPg
>>173
modules.conf を使ってるのは modprobe や insmod コマンドだから、
Linux ならどのディストリでも読んでくれるはずだよ。

176 :login:Penguin:02/10/01 17:51 ID:K4tLh7OH
>>175
insmodは何も読まない

177 :login:Penguin:02/10/01 17:57 ID:n96a8Kac
>>176
man 8 insmod

>ディレクトリや拡張子なしでモジュールファイル名を与えると、 insmod は 標
>準 のデフォルトディレクトリ(複数)からモジュールを探す。環境変数 MODPATH
>を使って、このデフォルト値を上書きすることができる。 /etc/modules.conf
>のようなモジュール設定ファイルがあれば、こちらの内容が MODPATH での指定
>を上書きする。

「何も」読まないってわけじゃないかと。

178 :168:02/10/01 18:13 ID:9AtjaGB6
>>169
さんくす。

ということで追加してみた。


179 :login:Penguin:02/10/01 18:48 ID:M0vMVpOq
>>175
追加質問なのですが、woodyは起動時にmodules.confを読んでくれるのでしょうか?

180 :login:Penguin:02/10/01 19:19 ID:n96a8Kac
>>179
必要ならば読む。
/etc/init.d/modutilsとmodprobe(8)のman pageを見てみそ。
ちゅうか、そもそも何を期待してRHから持ってきたの? 質問を小出しにしても期待した答えが得られるとは限らないと思うで。

あ。Debianの/etc/modules.confってupdate-modulesを実行すると再構築されちゃうので注意。くわしくは「Debianの」modules.confの頭を参照。
update-modulesはモジュールがらみのパケジをインストールするときに呼ばれることがありますやね。


181 :login:Penguin:02/10/01 21:49 ID:M0vMVpOq
>>180
スマソ。
基本的にDebianファンなのですが、RedHatのインストーラってよく出来てるなぁと思って。
さっきRH8.0インストしてみたけど、サウンドとかUSBキーボードなんかも勝手に認識してくれる。
要は、H/Wを自動認識して、modules.conf勝手に書いてくれるパッケージないか探してるんです。
kudzuがそうでしょうか?

182 :login:Penguin:02/10/01 21:54 ID:8MTQ8vEP
無糖さめも電倶楽ユーザだったのでつか


183 :login:Penguin:02/10/01 23:14 ID:YZCrLkQv
DebianスレッドテンプレのKDE3.0はいつごろ、ちゃんと日本語が入るようになるのだろうか・・・。

184 :login:Penguin:02/10/01 23:31 ID:YZCrLkQv
>>183
今、ftp.kde.gr.jp/pub/kde/stable/3.0.3/Debian
のパスを見つけたんですが、これは日本語入力時に「あ」の問題は出ないんでしょうか?

「Re: 日本語入力中での[あ]表示 」
http://www.kde.gr.jp/~machiyuta/bbs/wforum.cgi?no=3398&reno=3395&oya=3395&mode=msg_view&page=0

185 :login:Penguin:02/10/01 23:33 ID:qJZ8LI2t
[ あ ]

186 :login:Penguin:02/10/02 00:38 ID:cRtOilzb
あ!

187 :login:Penguin:02/10/02 07:24 ID:grZ3l6Q3
>>184
KDE3関連で、packageが無い404だって怒られない?

188 :login:Penguin:02/10/02 10:03 ID:sN8a4sYx
mew3のdebがでたー!

189 :login:Penguin:02/10/02 10:22 ID:8Tu0725M
>>188
どこにありますか?http://incoming.debian.orgまっさらだし。

190 :login:Penguin:02/10/02 10:23 ID:sN8a4sYx
>>189
メンテナの日記をチェック汁!


191 :login:Penguin:02/10/02 10:41 ID:8Tu0725M
>>190
サンクスコ(死語)
さっそく移行すますた。

192 :login:Penguin:02/10/02 21:23 ID:txPief+Z
ああ、日本語環境の設定がうまくできない...

# echo "ja_JP.eEUC-JP EUC-JP" >> /etc/locale.gen
# locale-gen

$ jfbterm
$ set-language-env

で、7の日本語を選択して以下の質問にYesで答えました。
Gnome起動しても日本語になってないし、文字化けします。

193 :login:Penguin:02/10/02 21:27 ID:hp2bHGFT
gnome 起動する前というか X 起動する前の状態で locale どうなってます?>>192

194 :login:Penguin:02/10/02 22:04 ID:xUpXye7I
>>193 それはどうやって調べるんでしょうか?(汗

195 :login:Penguin:02/10/02 22:14 ID:grZ3l6Q3
>>192
おい、jfbterm実行後にLANGの設定やった?

196 :login:Penguin:02/10/02 23:39 ID:hsoQcGIq
>>195
LANGの設定って...
えっ? そんなこと雑誌に書いてないんだもん(汗

197 :login:Penguin:02/10/02 23:39 ID:wpMr4cM6
>>192
> # echo "ja_JP.eEUC-JP EUC-JP" >> /etc/locale.gen

.eEUC-JP はコピペミス? ていうか今どき(woody以降?)は

# dpkg-reconfigure -p medium locales

でやるべきでしょ。


198 :login:Penguin:02/10/02 23:43 ID:hsoQcGIq
>>197
雑誌にそう書いてあったもので^^;
ご親切にどうもありがとうございます。それも試してみます。

199 :login:Penguin:02/10/02 23:57 ID:hsoQcGIq
補足。この記事見つけました。
http://lists.debian.or.jp/debian-users/200205/msg00535.html


200 :login:Penguin:02/10/03 00:28 ID:ZBjvEi8n
USBキーボードがインストールの時点で認識されないから、
最初の設定のrootのパスワードとか入れるとき、どうしたらいいのか
教えてください!マジで困ってます。
古いNECのVALUESTARでBIOSでUSBレガシーいじることも
できない糞マシン使ってます。

201 :login:Penguin:02/10/03 00:30 ID:G0nrAW/O
>>200
PS/2キーボードをつなぐ。

202 :login:Penguin:02/10/03 00:32 ID:g+Mj5YB5
ま た N E C か

203 :いつでもどこでも名無しさん:02/10/03 00:43 ID:ZTjG3CK8
>>200
インストーラ何使ってんの?
前スレにUSBなインストーラあったと思うけど。(by ムトゥーだったかな?)

204 :login:Penguin:02/10/03 00:47 ID:6b2LZCfT
>>203
テンプレに追加されてるので、>>1参照ってことで。
前スレ掘り起こすよからくっしょ。
ただ、USBキーボードってどないなんだろ。

205 :login:Penguin:02/10/03 01:21 ID:G0nrAW/O
アレはUSB-FDDのための起動ディスクでは?
USB-Keyboardだと起動ディスクの最初の画面(カーネルを読み込む前)で
bootとか打てなくない?

206 :login:Penguin:02/10/03 01:23 ID:qGy0neE5
うしろをよーーーーく見ると
PS/2ポートのようなものがついてる(テープで隠してある)機種もあるらしい。
動くかどうかはしらん。

207 :login:Penguin:02/10/03 01:36 ID:XwuyC4k0
>>200
窓 か ら 投 げ 捨 て ろ !

208 :login:Penguin:02/10/03 01:49 ID:6b2LZCfT
>>205
それだとWindowsでも起動時にF8とかControl押しっ放しでメニューとかができないってことになっちゃうような。
問題はカーネルが読み込まれたあとでわないかと。

209 :login:Penguin:02/10/03 01:59 ID:4nUNBI89
>>1にあるスレッドテンプレのexperimentalのaptlineってこれで正しいの?

deb http://ftp.jp.debian.org/debian/ ../project/experimental main

ってあるけど、http://じゃなくてftp://?
あと../projectじゃなくて./project?

210 :login:Penguin:02/10/03 02:05 ID:6b2LZCfT
>>209
わたしはftp:にしてあるけどhttp:でも問題なし。
../projectが正しい。

関係ないけどmainだけじゃなくてcontribとnon-freeもあるやね。

211 :209:02/10/03 02:16 ID:4nUNBI89
>>210
ありがと。
ダウンロードできない理由は多分他にあるんだなぁ・・・。
あとopenofficeがある、

deb ftp://ftp.uninett.no/pub/Linux/packages/openoffice-debian unstable main contrib

がずっとToo many users in your class, please try again later.で
ここのところずっとダウンロードできないんだけどみなさんどうですか?

212 :209:02/10/03 02:17 ID:4nUNBI89
と思ったら突然ログインできるようになった・・・。
繰り返しスマソ・・・。

213 :login:Penguin:02/10/03 02:32 ID:9dDm2QVO
>>211
Red Hat 8 の影響じゃないかな?まーしばらく我慢汁。

214 :login:Penguin:02/10/03 05:09 ID:qGy0neE5
kde-3.1-beta2 for debian (official?) 発見
ftp://ftp.kde.org/pub/kde/unstable/kde-3.1-beta2/Debian/woody/i386/


215 :login:Penguin:02/10/03 07:21 ID:CoNvYvIk
exim使ってやれ

216 :192:02/10/03 14:50 ID:tika8oey
192を投稿した者なんですけど、
ktermでは日本語が問題なく表示されるのですが、
GNOMEの日本語メニューとかが文字化けしたり表示されなかったりします。
ログインするときに日本語EUCを選択しているんですがだめです。
なんでですかねえ??

>>195さんのご指摘くださったラングの設定の意味がわからないままです(汗

217 :192:02/10/03 14:55 ID:tika8oey
ちなみに、locale.genのなかは
ja_JP.EUC-JP EUC-JP

218 :login:Penguin:02/10/03 15:16 ID:6b2LZCfT
>>216
kterm上で
echo $LANG
とやってみそ。

219 :login:Penguin:02/10/03 15:18 ID:zsmDpOjx
AnthyがITPされたようだ。つーかこのX-Faceは一体....
http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no\&bug=163165


220 :login:Penguin:02/10/03 16:31 ID:GrVPZY7z
>>200
ムトゥ神が

| bf2.4ではUSBキーボード関連が起動時に登録されるように見えるけどこれじゃダメかしら。

って言ってるよ。


221 :login:Penguin:02/10/03 18:31 ID:MUw6fKaE
sid ですが 久しぶりに upgrade したら emacs のメニューのフォントや
その他でもいろいろなフォントが汚く表示されるようになりますた。
みなさんのところではなってないですか?

222 :login:Penguin:02/10/03 18:37 ID:ANSFxHhx
>>214
Packageの配置間違ってねえ?
パッケージが無いっいわれるんだけど。

223 :login:Penguin:02/10/03 19:03 ID:xBMAOpZe
>>221
なってませんが何か?


224 :login:Penguin:02/10/03 19:41 ID:ebUvTCMJ
皆さんはdevfsに移行してますか?
今日さんざんイジくりまわしたけど
しょっぱなからmltermが立ち上がらなくて撃沈しますた。
Can't〜と怒られつづけながら、がんばったのだけれども。

はあ…。

225 :login:Penguin:02/10/03 20:12 ID:dn/8+pOF
woody + kde3.0.3の環境でatok x使って幸せな人っていますか?

226 :login:Penguin:02/10/03 20:18 ID:jaGZS1vT
>>221
KDE3入れなかった?

>>224
devfsd 入れて、カーネル構築時に「起動時にdevfsを自動マウント」
選択しとくだけで使えてる。

227 :login:Penguin:02/10/03 20:30 ID:MUw6fKaE
>>226
いれてないです

ちなみに X は 4.2.1-0pre1v2 です

228 :222:02/10/03 20:35 ID:ANSFxHhx
>>223
何か基本的な部分で間違ってるみたいですな。。。
aptについてもちっと詳しくなってきまふ

229 :login:Penguin:02/10/03 21:31 ID:kz5exon5
>>226
Automatically mount at bootですよね?
unix98〜オフにしてるのに
ログインと同時に/dev/ptsがないといわれますた。
そしてなにかするたびにCan't〜/dev/ptsやら/dev/ptmxやらと。

ふう…。

230 :login:Penguin:02/10/03 21:41 ID:tMNmL/Mt
>>229
fstabはどうよ?

231 :login:Penguin :02/10/03 21:55 ID:kz5exon5
>>230
none /dev/pts devptsはないです。
まさかnone /dev devfs必要だったとですか?

232 :login:Penguin:02/10/03 22:01 ID:4d/5GTD2
>>225
sidだけどkde3.0.3でatokx快適です。

233 :login:Penguin:02/10/03 22:01 ID:G0nrAW/O
>>224
/boot/grub/menu.lstに

title Debian GNU/Linux 3.0(kernel-2.4.19)
root (,6)
kernel /boot/vmlinuz-2.4.19 root=/dev/hda7 devfs=mount apm=on

ってな感じで使えてます。liloでも大差ない。


234 :login:Penguin:02/10/03 22:12 ID:iX4m95Co
>>98
このバカ何様のつもりよ?

235 :隣の芝生は青い。:02/10/03 22:23 ID:lXfGJEGU
ほかの人の woody に入っているパッケージをそっくりそのまま自分の woody に入れたいんですが、
dpkg -l の出力を見ながら dselect とか apt-get install するしかないですか?
なんか、こう、もっとサクっとできる方法があったらぜひ教えてください。

236 :login:Penguin:02/10/03 22:29 ID:tykBORlR
>>235
dpkg --get-selectionsとdpkg --set-selections。
man pageみてみそ。

237 :login:Penguin:02/10/03 23:08 ID:dn/8+pOF
>>232
kde3.0.3はどこから持ってこられたのでしょうか?
ftp.kde.gr.jpですか?
それともkde本家からですか?
アドバイスをいただきたいのですが。

238 :loging:Penguin:02/10/04 00:10 ID:PjY4UlPc
>>237
ring serverにもあるよ。

239 :login:Penguin:02/10/04 00:27 ID:bu89t/xU
>>238
やはり、kinput2とcannaだと、確定前の文字列は消えておかしかったでしょうか?
kde.orgのDebian用pkgとATOKXの組み合わせだから幸せなんでしょうか?

240 :名無しさん@Emacs:02/10/04 00:39 ID:DnaegP1e
>>238
それはアレかなー。
変換中、候補ウィンドウが出ると、文字が消失しちゃうって現象?
もしそうなら、KDEのコントロールセンターでフォーカスの設定やれば直るよ。
要するに新ウィンドウにフォーカスが当たっちゃうと確定後フォーカスが変わって消えちゃうんだよね。

って違ったらゴメソ。

241 :名無しさん@Emacs:02/10/04 00:40 ID:DnaegP1e
238じゃなくて239だね。スマン

242 :login:Penguin:02/10/04 00:42 ID:bu89t/xU
>>240
それ以前に、例えば「aaa」といれても、「あああ」と表示されず、
「?」を入れて確定しても「?」が消えてしまう現象です。
kinput2 + cannaで出たんですが、ATOKXのhtt経由だと回避できるのかなと思いまして。

243 :login:Penguin:02/10/04 00:47 ID:U9k5poUv
>>225
最近 sarge にしてしまった・・・。取り敢えず、sarge+KDE3.0.3+ATOK X で幸せ中。
Woody+KDE3.0.3 は試してなくてスマン。

244 :login:Penguin:02/10/04 00:54 ID:bu89t/xU
>>243
sargeはどうですか?
インストーラ変わったって書いてありますけど。

245 :名無しさん@Emacs:02/10/04 00:59 ID:DnaegP1e
そういえばさ、疑問だったんだけど
woodyインストールしてsource.listをsidのに書き換えてアップグレードしたら
sidになっちゃうんですかね?

246 :login:Penguin:02/10/04 01:06 ID:GltHnmZp
>>245
(゚Д゚)ハァ?

247 :login:Penguin:02/10/04 01:14 ID:lLsdAtES
>>245
はい。

248 :login:Penguin:02/10/04 02:55 ID:JROljmKC
UNIX板のXFree86設定スレから移動してきました。

------以下転載
初めてLinux(Debian 3.0)を使うようになってXFree86を入れたんですが、
初心者本によく書いてあるXF86setupっていうのがXのbinに入ってなかったです。
で、結局、Xfree86の4.0以降のリリースではXset.tgzが含まれてなくて(i386分しか
探してませんが)、入らなかったみたいなんですが、
これって何でなんでしょうか?XF86configureは使えてますけど、XF86Setupを
使うのには、3.3.6のXset.tgzのバイナリからどうにかしないといけないんでしょうか?

>>
woodyにあるバージョンにはXF86setupはないはず。
xserver-xfree86ってパケジいれてみ。
------ここまで

最初にapt-get でLinux Magazineの付録CDからx-window-systemという
パッケージを入れました。で、その後に自分のビデオカード(GeForce2MX)に
対応した4.2.0、4.2.1のバイナリをXFree86.org から落としてshでインストール
というのがこれまでの経緯です。
上記の xserver-xfree86 を入れてみようと思います。apt のバージョン管理
周りをまだよく分かってないので、ちょっと時間がかかりそうですが。

249 :login:Penguin:02/10/04 03:05 ID:DnaegP1e
sid、kernel-2.4.19でalsaを使いたいんですが、
まずalsa-module作る為に
kernel-source-2.4.19とkernel-packageをインストール。
kernel-souceを展開して/usr/src/linuxにシンボリックリンク。
alsa-source-0.5, alsa-base, alsa-utils-0.5, alsaconfをインストール。
で、alsa-driverを展開して
cd /usr/src/modules/alsa-driver-0.5-0.5.12a-2
debian/rules binary-modules
すると

make[3]: *** [../include/modules/pcm.ver] エラー 1
make[3]: Leaving directory '/usr/src/modules/alsa-driver-0.5-0.5.12a-2/kernel'
make[2]: *** [dep] エラー 1
make[2]: Leaving directory '/usr/src/modules/alsa-driver-0.5-0.5.12a-2'
make[1]: *** [include/sndversions.h] エラー 2
make[1]: Leaving directory '/usr/src/modules/alsa-driver-0.5-0.5.12a-2'
make: *** [install-modules] エラー 2

と出てしまい、
続く

250 :login:Penguin:02/10/04 03:06 ID:DnaegP1e
サイトを参考にダメなら
cd /usr/src/linux
make-kpkg modules_image
ってやると

make[5]: *** [../include/modules/mixer.ver] エラー 1
make[5]: Leaving directory '/usr/src/modules/alsa-driver-0.5-0.5.12a-2/kernel'
make[4]: *** [dep] エラー 1
make[4]: Leaving directory '/usr/src/modules/alsa-driver-0.5-0.5.12a-2'
make[3]: *** [include/sndversions.h] エラー 2
make[3]: Leaving directory '/usr/src/modules/alsa-driver-0.5-0.5.12a-2'
make[2]: *** [install-modules] エラー 2
make[2]: Leaving directory '/usr/src/modules/alsa-driver-0.5-0.5.12a-2'
make[1]: *** [kdist_image] エラー 2
make[1]: Leaving directory '/usr/src/modules/alsa-driver-0.5-0.5.12a-2'
Module /usr/src/modules/alsa-driver-0.5-0.5.12a-2 failed.

と出ます。
参考サイト http://debian.g-com.ne.jp/

なんですが何か足りないんですかね?
どなたかアドバイスお願いします。

長文スマン

251 :login:Penguin:02/10/04 03:14 ID:e3iUbAXC
>>242
コマンドラインから
$ qtconfig
を起動して"interface"のタブの一番下、"xim inputstyle"を
"OverTheSpot"にする、というのがFAQになってる。

それでも挙動がおかしい場合は最後の手段として
"Root"を試してみるといいと思う。

使ってないのでatokでどうかは知らない。

252 :login:Penguin:02/10/04 04:02 ID:U9k5poUv
>>244
ごめんなさい、Woody から Sarge へ dist-upgrade してしまったので・・・。
インストーラの噂は聞いてるんだけど、どーなんでしょ。

取り敢えず、Sarge なら特に今のトコ問題なしです。

それから、今ちょうど Woody でマシン組んでるところなんで、できたら確認してみます。

ぁ、幸せではありますけど、KDEアプリとはやっぱり相性悪い気がします。(重かったり、
たまにちゃんと確定しなかったりとか)
使わないのであんまり気にしてなかったですけど。

253 :login:Penguin:02/10/04 04:05 ID:U9k5poUv
>>250
実はホントに出てるエラーの部分が足りないんじゃないかと思ったり。

取り敢えず、alsa-0.9 にしてみるとか。

254 :login:Penguin:02/10/04 05:28 ID:oX/nj/NJ
sidを使うならalsa-0.9やね。わたしゃ0.4や0.5はすでに遺物とみなしてます。
ただし(0.9では)alsa-confは使い物にならないので注意。

255 :login:Penguin:02/10/04 06:38 ID:bu89t/xU
>>251
qtconfigやってみたんですが、interfaceタブ内に、この設定ないんですよねぇ。
debianスレッドテンプレのapt lineから入れたんですが。

256 :login:Penguin:02/10/04 07:12 ID:8/FLHAxc
>>254
使い物にならない、というほどではないかも。
あっしは alsa-conf で雛型作ってから、手で修正入れてます。

257 :login:Penguin:02/10/04 08:08 ID:ldAe76tM
kde-i18n-ja-3.0.8.tar.bz2をdeb-packしたいんだけど、
PGP署名とか必要なんですか。

258 :login:Penguin:02/10/04 08:28 ID:g58hDk5Z
>>256
、ヌ、筍「upstream、タ、ネエ、ヒ、ハ、、、隍ヘ?

259 :login:Penguin:02/10/04 08:36 ID:/zURt/wZ
>>258
どちらかというとXの設定だと思う。

260 :login:Penguin:02/10/04 09:00 ID:/4HXwbV+
>>257
dpkg-buildpackage -us -uc


261 :login:Penguin:02/10/04 12:27 ID:iXYnbV7E
>>248
x-window-sysytemをインスコしたならxserver-xfree86はいるみたいだけど。

shでインスコしたらしいけど、それは一度アンインスコしたほうがいいカモ。
アンインスコできなかったら、パケジを上書きで再インスコ。
debパケジでいれればdebconfがめんどうみてくれる。
xfree86-4.2.xのapt-line、apt-howto、pinの使い方などは>>1参照。
よく読んで試した結果つまったら、またどうぞ。

262 :いつでもどこでも名無しさん:02/10/04 12:35 ID:FMUsSUG+
>>248
> で、その後に自分のビデオカード(GeForce2MX)に
> 対応した4.2.0、4.2.1のバイナリをXFree86.org から落としてshでインストール
> というのがこれまでの経緯です。

インストールしたのはGeForceのドライバだけ?
バイナリは全部インストールしたなら最悪!
Xを全部アンインストールしてから、/usr/X11R6以下をきれいにして、
初めからやり直した方がいい。

>>1
> Debian関連サイト、Tips および FAQ はこちら
> http://debian.fam.cx/ (templa948氏提供 : メイン)

んで、ここ読め。

263 :login:Penguin:02/10/04 12:40 ID:e3iUbAXC
~/.qt/qtrc の
[General] セクションに

XIMInputStyle=OverTheSpot

でも同じ設定ができると思う

264 :login:Penguin:02/10/04 14:22 ID:19YFxItu
>>263
Debianだと駄目みたいだよ

265 :login:Penguin:02/10/04 14:24 ID:Ah++VZKJ
>>218
Ktermで
echo $LANG
とやったら
ja_JP.eucJPと表示されました。



266 :login:Penguin:02/10/04 14:53 ID:e3iUbAXC
>>263
こちらで使ってる"qtconfig"だとふつうに設定できてます。

使っているのはkde.orgのミラーサイトに置いてあるqtだけどメンテナは
debian.orgの人のようだし、kde.orgが公然と配布していることから見て"準
official"的な位置にあるパッケージじゃないかと勝手に考えているのですが...

ただしソースがどこにあるのか不明

ftpサイトのreadme↓

These packages are provided by Peter Rockai <yenar@creon.profinet.sk> and are
(a bit) ahead of the beta2 tag. If you experience problems with these packages f
or
Woody, please subscribe and write to either or all of the following adresses:

debian-kde@lists.debian.org
Peter Rockai <yenar@creon.profinet.sk>
Ralf Nolden <nolden@kde.org>

Mind that the Qt version is taken from the CVS module qt-copy and matches qt-3.1
-post-beta1.

267 :隣の芝生は青かった。:02/10/04 21:34 ID:9cxDLM8V
>>236
> dpkg --get-selectionsとdpkg --set-selections。
> man pageみてみそ。

ありがとうございました。おかげで隣の人と同じ woody になりました。
ところで、逆に隣の人はインストールしていないパッケージは
自分の woody 空も remove or purge したいのですが、
これも何か便利な技があったりするのでしょうか?

268 :login:Penguin:02/10/04 21:41 ID:i7zQqMLD
(.../acl-installer_6.2.5_i386.deb から) acl-installer を展開しています...
Testing integrity of /root/tmp/acl62_trial.bz2
Unpacking archive /root/tmp/acl62_trial.bz2

acl-installer 入れようとすると↑で止まるんだけど何で?

acl-6.2 をダウンロードして /root/tmp/ に置いて
woody で apt-get install acl-installer/testing しました。

269 :login:Penguin:02/10/04 21:43 ID:Vh+FsYNo
質問です。
potato+atokxで日本語入力をしているのですが、
ローマ数字が入力できません。
「2」を入力して変換すると、変換候補が4つ出てきて、
その中に太い「=」みたいな文字があるので、
おそらく文字化けしてると思うのですが、
どのような原因が考えられますか?

270 :login:Penguin:02/10/04 22:09 ID:21t3Brdf
>>266
ちなみに、お使いのapt lineを教えて下さソ。

271 :login:Penguin:02/10/04 22:52 ID:I+0OVPuK
今までnntp経由でmailing listを読むには以下が利用できました。
jlug.ml.debian.announce
jlug.ml.debian.users
jlug.ml.debian.devel
jlug.ml.debian.doc
jlug.ml.debian.www
jlug.ml.debian.devel.changes

で、さらに以下でも読めるようになりました。今のとこusersのみです。
gmane.linux.debian.jp.user

272 :名無しさん:02/10/04 23:04 ID:C8QeVd90
>>269
I,II,IIIではダメなのでしょうか?

273 :269:02/10/04 23:19 ID:Wkesu033
>>272
できればそれじゃないほうが・・・

274 :login:Penguin:02/10/04 23:21 ID:9cxDLM8V
Debian woody の emacs には emacs20, emacs21 があります。
スタートアップ時に実行される共通の elisp ファイルはどこにおいておけばいいのでしょうか?

   /usr/local/share/emacs/site-start.d/50oreno.el

では実行されないようです・・・

275 :名無し:02/10/04 23:39 ID:qo/Tcys6
KDE3.0.3はkpackage入ってないんですか

276 :login:Penguin:02/10/04 23:42 ID:e3iUbAXC
>>214 がマスターで日本のミラーはftp.kde.gr.jp の同一パス
aptlineはどう書くのかよくわかりませんが
いちおうディレクトリの中に"Packages.gz"はある模様デス。


277 :login:Penguin:02/10/04 23:58 ID:GltHnmZp
>>269
定義されてないんだから当たり前。
変換候補のところに
《機種依存文字》って出てるだろ。
機種依存文字なんだよ。

278 :login:Penguin:02/10/05 00:05 ID:n4zSh6jj
>>276
これqt入ってます?

279 :login:Penguin:02/10/05 00:35 ID:qui8pQ9v
>>278
qtのバージョンは"post3.1.0"でcvsのqt-copyを使っている、とありますが、
ソースがありません。

全体として安定して動いていますが、
コンパクトにまとめてあるぶん、端折ってあるものがすこしあるようです。

$ kpackage
bash: kpackage: command not found

$ korganizer
korganizer: error while loading shared libraries:
libkcalsystem.so.0: cannot open shared object file: No such file or directory


280 :login:Penguin:02/10/05 00:39 ID:kxDroq35
aptを使ってインストールしようとするとファイルは落ちてるんですが
落ち終わると

dpkg: `ldconfig'が PATH 上に見付かりません。
dpkg: `start-stop-daemon'が PATH 上に見付かりません。
dpkg: `install-info'が PATH 上に見付かりません。
dpkg: `update-rc.d'が PATH 上に見付かりません。
dpkg: 4 個のプログラムが PATH 上に見付かりませんでした。
(注): root の PATH は普通 /usr/local/sbin と /usr/sbin と /sbin を含むはずです。
E: Sub-process /usr/bin/dpkg returned an error code (2)
debian:~/root# dpkg: `ldconfig'が PATH 上に見付かりません

というメッセージが出てインストール出来ません。
弱輩者なのでどうしていいか分かりません

281 :login:Penguin:02/10/05 00:44 ID:n4zSh6jj
>>279
それはKDE3.1b2ですか?
KDE3.0.3 stableだったら大丈夫でしょうか。

282 :login:Penguin:02/10/05 00:58 ID:qui8pQ9v
3.0.3だと
kde.orgミラーにバイナリだけでなくソースも用意されているようです。
qt-3.0.5のソースは debianのpoolの中にofficialなものがあるようです。

動作のほうは使っていないのでよくわかりません。すみません。


283 :login:Penguin:02/10/05 01:05 ID:c4Olp3CN
>>280
それはFAQのような……
rootでuser-ja(だっけ??)をしてしまったのでは?
そんなんが原因じゃなかったっけ?(ウロ覚え)
# 識者の方ヨロシクです〜(ぢゃレスするな>漏れ)

284 :login:Penguin:02/10/05 01:09 ID:v3ikDG1t
>>274
/etc/emacs/site-start.d/ かな。
http://lists.debian.or.jp/debian-doc/199904/msg00057.html
なんか参考になるかも。


285 :login:Penguin:02/10/05 01:14 ID:c4Olp3CN
>>275 ある。

286 :login:Penguin:02/10/05 01:15 ID:kxDroq35
>>283
すいません。
どうやったら改善出来ますか

287 :login:Penguin:02/10/05 01:22 ID:c4Olp3CN
>>286
MLのアーカイヴ検索してみそ。
たびたびそんな投稿があったと思う。

288 :login:Penguin:02/10/05 01:34 ID:c4Olp3CN
もしかして単純に、/root/.bashrcを
export PATH="/sbin:/usr/sbin:/usr/bin:/bin:/usr/X11R6/bin:/usr/local/bin"
export PS1='[\u@\h \W]# '

# Ignoring duplicated/empty history line
HISTCONTROL=ignoreboth
だけに書き換えればいいんじゃないかなぁ??
# 自分はuser-ja-confって使わなかったんでよく判らないけど。

289 :login:Penguin:02/10/05 05:33 ID:RrTMIxZq
>>264
woody の qt-3.0.3 だと駄目。
XIM Style の設定ができるのは 3.0.4 以降からみたい。

だから漏れは、日本KDEユーザ会のパッチ当てて 3.0.3 使っている。


290 :login:Penguin:02/10/05 16:36 ID:RpmOXJj3
>>289
やっぱソースにpatch当ててやらなきゃ駄目か。。

291 :login:Penguin:02/10/05 17:36 ID:D989+z8j
むつみちゃんが恐いです

292 :login:Penguin:02/10/05 17:42 ID:BMhpsvfS
>>291
投稿しにくい雰囲気ではあるよなぁ。もうちっと柔らかくならんもんじゃろか…

293 :login:Penguin:02/10/05 17:44 ID:+m+uWkag
>>291
あんな口調だけど
実はめんどうみいいよね。

294 :login:Penguin:02/10/05 20:56 ID:P2G68dkI
>>293
本人?

295 :login:Penguin:02/10/05 21:07 ID:CUBntppP
>>291
そんなにムカつくのなら口挟まなければいいのにね

296 :login:Penguin:02/10/05 22:10 ID:AAzAIK9K
むっちゃんはアレが芸風ですから。

297 :login:Penguin:02/10/05 23:46 ID:EJaz5Bpd
Debian って、人の名前ですか?

298 :名無しさん@Emacs:02/10/05 23:49 ID:3hinhtYM
人名由来だけど、Debianって人じゃないよ

299 :login:Penguin:02/10/05 23:59 ID:+m+uWkag
>>297
Debra + Ian
http://www.jp.debian.org/doc/FAQ/ch-basic_defs.en.html#s-pronunciation

300 :login:Penguin:02/10/06 00:17 ID:LulK6Dz6
>>297
ちなみにデビアンではなく両氏の名前からデビーンと発音するみたい。

日本ではみんなデビアンっていうし商標もデビアン/Debianでとっているのに不思議だ。

301 :login:Penguin:02/10/06 00:23 ID:S+z+sGbB
デブラとイアンでデビアンとなりそうなもんだと
考えてしまう漏れは日本人だからなのだろうな(´・ω・`)

302 :login:Penguin:02/10/06 00:24 ID:p54AT8Tw
login-1:4.0.3-3 にしたら、 newgrp が segmentation fault する…
20000902-12 に戻したけど、これって他のところに原因があったりするのかな…
mit-scheme も segmentation fault で起動できないし…

303 :login:Penguin:02/10/06 00:46 ID:SIbnBfUU
>>300
申請当時はみんな気付いてなかっただけと思われ。

# どっかに「デビアン」って発音も書いてあったような……。

304 :login:Penguin:02/10/06 00:46 ID:X0Rs3MBY
>>300
じょえいはそんな発音ではなさげだったゾ(by LC2002 でびあんBOF


305 :login:Penguin:02/10/06 00:47 ID:2F5p9aCR
疲れた〜。日本語もあったよ。by 297
http://www.jp.debian.org/intro/about

306 :login:Penguin:02/10/06 00:56 ID:SIbnBfUU
>>301
>>299 より。
(Dictionaries seem to offer some ambiguity
in the pronunciation of Ian (!), but Ian prefers ee'-en.)


307 :login:Penguin:02/10/06 00:58 ID:SIbnBfUU
>>299 だと「でびぃぇん」って感じかな?
「びぃ」にアクセント。

308 :login:Penguin:02/10/06 04:57 ID:XflVG6/v
debianインストールしてますが、redhatなどに比べると
慣れてないせいか、結構大変です。

もしドキュメントがなかったら、インストール
出来ていないでしょうね。

309 :login:Penguin:02/10/06 09:13 ID:56J6FlRH
debian-users-ctl@debian.or.jp にメール送っても失敗するんだけどなんで?

310 :login:Penguin:02/10/06 09:29 ID:D0brMoMV
>>309
日頃の行いが悪いんじゃない?

311 :login:Penguin:02/10/06 10:58 ID:7gHamcgH
リゾルバがAAAA、Aの順にレコード検索を行っているんだけど、
これをAレコードだけ検索させるようにするにはどうしたらいいでしょうか?
host.confとかresolv.confとかのマニュアルをあたってもそれらしい記述が
見当たらなくて…

312 :login:Penguin:02/10/06 10:59 ID:7gHamcgH
あ、バージョンはwoodyです。


313 :login:Penguin:02/10/06 12:34 ID:6qBlkAgf
>>311
getaddrinfo使ってるなら確かAAAA->A決めうちだったはず。

314 :login:Penguin:02/10/06 13:08 ID:YjJP0szx
debian-develもgmaneに追加されました。gmane.linux.debian.jp.develです。
wanderlustの方は
-gmane.linux.debian.jp.user@news.gmane.org
-gmane.linux.debian.jp.devel@news.gmane.org
で読めます。

315 :login:Penguin:02/10/06 14:22 ID:s5wl/MCV
sid の X はもうすぐ 4.2.1 か…。
ttp://lists.debian.org/debian-devel-announce/2002/debian-devel-announce-200210/msg00001.html

316 :login:Penguin:02/10/06 14:28 ID:0VQpPxc7
Debianのwoody落とそうと思ったんですが、CDイメージって8枚もいるんですか?あと外国のサーバーから落としても日本語使えますか?

317 :login:Penguin:02/10/06 14:31 ID:TjGmhdwW
>>316
>>1

318 :login:Penguin:02/10/06 15:37 ID:ebMqWypQ
あの…
lsコマンドをとかを使うと日本語のファイルが文字化けして表示されるんですけど、
日本語で表示させるにはどうすればいいのでしょうか?

Samba導入して、winから日本語のファイル持ってきたら表示されなかったので…

319 :login:Penguin:02/10/06 15:45 ID:SIbnBfUU
>>318
ls | nkf

320 :login:Penguin:02/10/06 17:45 ID:ueZ1gzDx
>>318
今後のためにもsambaを正しく設定しておけ.

321 :login:Penguin:02/10/06 23:44 ID:inaLTFNU
>>318
実はLANG=Cになってるとか

322 :login:Penguin:02/10/06 23:44 ID:SIbnBfUU
>>321
関係あるの?

323 :login:Penguin:02/10/06 23:51 ID:9+E1FlWE
どなたかkde3.1b使って幸せな人います?

324 :321:02/10/07 00:51 ID:zeAfJA4F
>>322
LANG=Cでlsやると日本語が??にならない?


325 :login:Penguin:02/10/07 01:51 ID:R+9E39Nr
>>323
おれもきになるYO!
sidでkde.orgのパケジ入れたヤシおらん?

326 : :02/10/07 02:51 ID:MTCOOgRt
>>325
入れますた。

何点か気になるところはあるけど、おおむね幸せ。

327 :326:02/10/07 02:58 ID:MTCOOgRt
具体的には

tabがらみでたまにコンカラが落る。
kdeartwork-styleを入れるとstyle選択でフリーズ。
kdmが立ち上がらないことがある。(これは設定の問題かも)

いまのこと気になるのはこれくらい。
結構安定してるし、パネルが使いやすくなってていい感じだYO!

328 :login:Penguin:02/10/07 03:52 ID:DaRujXLr
>>327
apt line教えてください。
あと、日本語入力は問題ないですか?

329 :login:Penguin:02/10/07 04:17 ID:jgO58Igz
Woodyが、「pnmtopng: command not found」って言うんだけど、
どのパッケージを入れればいいの?


330 :329:02/10/07 04:27 ID:jgO58Igz
スレVer.3で、解決できました。過去の資産でした。

81 名前: login:Penguin 投稿日: 01/09/15 03:03 ID:nQCb4HCM

>>79
> ppm を png に変換するいいパッケージあります?
> パイプ使って処理したいです

woody では、netpbm に pnmtopng が入っています。
potato では別パッケージでした。(pnmtopng)

331 :326:02/10/07 04:49 ID:MTCOOgRt
>>328
パッケージは>>214ものを入れました。

apt-getがうまくいかなかったので(Packages.gzがおかしい?)
debファイルをすべて落してローカルでapt-getしました。

日本語入力はatokxでいまのとこ快適です。

332 :login:Penguin:02/10/07 05:47 ID:0oR0wC2n
gnomeicu インストールしました。が、勝手に UID を獲得してくれると書いて
あるようですが、うまく接続できないようなんですが、設定とかいるんでしょ
うか? ADSL で接続してます。

333 :login:Penguin:02/10/07 08:41 ID:yw6nsAhm
>>330
つーか、>>1 読んで
どのパッケージに入ってるかくらい自分でさがせるようになれ。

334 :login:Penguin:02/10/07 09:20 ID:rlgOJO6i
新規アカウント作るのって上手くいかなかったような。
他のクライアントで作ってから、existing userとして登録しなきゃだめかな?
LICQは新規アカウント作れたと思います。あとはweb siteからも作れるみたいです。

335 :334:02/10/07 09:21 ID:rlgOJO6i
>>334>>332へです。スマソ。

336 :login:Penguin:02/10/07 09:51 ID:R+9E39Nr
>>326-327
お前良いヤシだYO!ありがとYO!
おれもこれからがんがります

337 :いつでもどこでも名無しさん:02/10/07 10:33 ID:2Gf2t/os
>>329
pnmtopngじゃないと駄目なの? ImageMagickの
$ convert foo.pnm bar.png
の方がcommand lineだと便利だと思うけど。

338 :332:02/10/07 10:44 ID:0oR0wC2n
>>334 LICQってのは見付からないので、ほかのやつでやったらうまく逝きました。
どうもです。

339 :てすと ◆PbfAC65QoU :02/10/07 10:57 ID:ji86u+IM
しらねー

340 :login:Penguin:02/10/07 11:34 ID:cigz0niW
お前ら!今後Linux関連の質問するときは「お世話になります」とか言うんじゃないぞ

341 :login:Penguin:02/10/07 13:03 ID:gsTpOE6w
>>340
「お世話してください」とか誰か逝ってみてくれ


342 :login:Penguin:02/10/07 13:35 ID:rtOKK1yg
sidのmurasaki 0.6.1-4ですが,みんなのところでは,無事に動いてる?

俺のところは,apt-get upgradeしたところ,murasakiの再起動のところで止まってしまい,
一端中断して,再起動させたら,スタートアップが途中で止まってしまうようになりました。

おそらく,murasakiの起動のところで,駄目になっていると思いますが。

今のところ,murasakiを削除して使ってますが,みなさんのところは大丈夫ですか?

http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=murasaki

上のページを見ても,特に報告はあがっていないようです。


343 :名無しさん@Emacs:02/10/07 17:00 ID:SAwA6HJ3
>>340
お前のヘッダの方がどれだけ邪魔か

344 :login:Penguin:02/10/07 17:13 ID:ftqEqL5N
Debianを使用してjabberサーバを構築し、
Windowsマシンも含めてみんなでハッピーなIMライフをしているかたいらっしゃいますか?
いらっしゃいましたら、、、
お勧めのクライアントは何でしょう?(Debian, Win)

345 :login:Penguin:02/10/07 17:38 ID:6QPmZGIN
> 334
Debianで日本語通るのは
http://packages.debian.org/gabber
http://packages.debian.org/everybuddy
あたり。Winはとーぜんながら知らん。


346 :login:Penguin:02/10/07 17:39 ID:6QPmZGIN
345は > 344でした。スマソ


347 :おどりこ:02/10/07 18:21 ID:c7Igjs64
gaim 萌

348 :330:02/10/07 18:42 ID:jgO58Igz
>>333
1を読んで、色々やってみたけど、出来なかったので、質問しました。
解決できたことですが、今後の為にも、具体的なコマンドを教えてください。

349 :login:Penguin:02/10/07 18:52 ID:rtrPUKF4
>>348
>>1の"自分が使いたいsoftwareのpackageがないみたい"を見た?

350 :login:Penguin:02/10/07 18:59 ID:jDGb8Ex3
>>348
http://debian.fam.cx/#content:38

351 :login:Penguin:02/10/07 19:23 ID:I4OitlBm
>>342
同じくmurasakiのconfigureで止まった。ctrl-cで抜けた。
どうもUSBの初期化で止まるみたいだけど(/sbin/murasaki_init.usb)
漏れはboot時に止まるということはない。
よく分からないな。

352 :login:Penguin:02/10/07 19:44 ID:dzuzl5Sn
これ使ったことのある人っている?
http://www.jp.netbsd.org/ja/zoularis/#debian


353 :login:Penguin:02/10/07 20:35 ID:+unUnoGO
Debian GNU/Linux入門者のための詳しいドキュメントって
ネット上にありますか?


354 :login:Penguin:02/10/07 20:39 ID:+unUnoGO

GNOMEが文字化けするぅぅぅ

cannaも使えないよぉぉぉ



355 :名無しさん@Emacs:02/10/07 20:53 ID:n0IBh4hN
>>353 漏れが作ってやるから待ってなさい。

356 :login:Penguin:02/10/07 21:16 ID:R2cD69rY
>>355
有難うございます。
急いでいるので遅くても明日までにお願いします。
お世話になりますm(__)m

357 :login:Penguin:02/10/07 23:04 ID:HA8TF1kJ
>>355-356
おもしろい

358 :sid使い:02/10/07 23:46 ID:vn15pZIG
今日、なにげなくapt-getしました。xserver-xfree86が4.2.1になりました。激しく色化けするようになりました(w
trident9388です。どうやら、モニタ側が垂直周波数38.6kHzを期待しているのに800x600x16では37.9kHzを問答無用で送りつけているのが原因みたいだ…。

…久々の地雷だ、明日一日つぶれるかな、アヒャ

359 :login:Penguin:02/10/08 00:13 ID:FmxTgh0B
>>358
DDC対応じゃなければ周波数帯域書けばいいんじゃないの?

360 :Password::02/10/08 00:16 ID:UYYyR9Pc
お世話になります

apt-get で本気でラクしようと思うと
二台以上Debianマシンをでっちあげて、どうでもいいマシンで
大丈夫だったら、全部やるってのがいいかなぁと最近思うですよ

361 :login:Penguin:02/10/08 00:40 ID:Ek+jE4Eb
>>360
複数台管理してるならたうぜんだと思いますが。>テストマシン用意

362 :login:Penguin:02/10/08 00:49 ID:IH6a/xN7
>>353
> Debian GNU/Linux入門者のための詳しいドキュメントって

>>1

363 :login:Penguin:02/10/08 01:00 ID:Ek+jE4Eb
Debianについてのみなのかどーか(GNU/Linux一般ちゅうか、UNIXの思想についての知識はどないよ?)によって変わってくるよーな。>入門者
Debian onlyならそこらじゅうに点在(わら してるし、LinuxについてもJFとかがあるよね。
いずれもまとまっているとはいいがたいけど、でも、総合的なモノとなるとそれこそ徹底本クラスの文章量になるはずで、ネットで(ちゅうか無償で)ってのはきついよーな。

364 :login:Penguin:02/10/08 01:35 ID:eIRvgZYf
kde3.1woody用バイナリ kdeのマスターftpより消滅
入れ換え?おクラ?

> pwd
ftp://ftp.kde.org/pub/kde/unstable/kde-3.1-beta2/Debian/
ncftp ...e/kde-3.1-beta2/Debian > ls
total 0


365 :login:Penguin:02/10/08 03:58 ID:aNR685fI
>>364
立ってあれ無茶苦茶妙だったじゃない
パッケージャの個人的なkernel-image-2.4.19に依存してるパッケージがあったりして
apt-get upgradeってやると、kdeのサイトからあるはずもないパッケージ
ダウンロードしようとしたりしてた。

366 :login:Penguin:02/10/08 14:28 ID:KW1nRrcd
>>358
パッケージが修復されるまで待った方がいい?


367 :login:Penguin:02/10/08 14:47 ID:W46Cd9/M
>>355
まだですか?

368 :login:Penguin:02/10/08 14:49 ID:W9ZvDiQM
>>367
慌てる乞食は貰いが少ない

369 :login:Penguin:02/10/08 14:52 ID:D7Q9B5Ht
Windows2000からgifとかjpgとかpngとかをsambaのスペースにコピーすると
変なファイルが一杯できるんですけど・・・

370 : :02/10/08 14:59 ID:GL0DtmEH
>>369
woodyでやってるけど全然問題ないよ。
smb.confで
coding system = euc
client code page = 932
くらいかな、関係ありそうなの。

371 :login:Penguin:02/10/08 16:12 ID:l8Nk9BMW
Mozilla での TrueType フォントの描画が異常に遅いです。
例えばこのページが描画されるまで10秒ほど待たされます。
CPU 300MHz RAM 64MB, sarge 最新の状態で xtt モジュール
をロードして使ってます。何か改善策とかありますでしょうか?
TrueType 使うなとか Mozilla 使うなとかいうのは無しでお願いします。

# 早いマシンだと同じ設定でも快適なんですがノートでも使いたいので

372 :login:Penguin:02/10/08 16:15 ID:+tr29HL/
>>371
メモリ不足を疑うべき。

373 :login:Penguin:02/10/08 16:16 ID:G018QXvj
>>367-368
IDが似てるからジサクジエンかと思った。


374 :名無しさん@Emacs:02/10/08 16:53 ID:WXvW/Y3L
>>371
プロポーショナルなTrueTypeって異常にレンダリングが遅いような
気がするので、それを使ってるなら止めるとか
xttはフォントキャッシュ機構を別に持ってたと思うから関係無いと
思うけど、xset(1)でキャッシュ容量を増やしてみるとか

# どっちも効かなそーな対策だな

375 :369:02/10/08 17:30 ID:D7Q9B5Ht
>>370
有り難うございます
Debian 3.0でsamba-2.2.3aなんですが、
sambaのバージョン上げれば直ってるそうです・・・
ソースからインストールするしかないですか

376 :名無しさん@Emacs:02/10/08 17:48 ID:+vHCm84X
>>367
いや、真面目に作ってるんだから。
とりあえずインストールマニュアルだけでもでかしてうpするよ。(今日は無理だが)
>>1にあるようなたいそうなものはできないと思うし、間違いとかもあると思うけど。

377 :370:02/10/08 18:02 ID:GL0DtmEH
>>375

ii samba 2.2.3a-8 A LanManager like file and printer server fo
ii samba-common 2.2.3a-8 Samba common files used by both the server a

だから同じだと思うけど。というか、同じくW2kからファイル鯖として
使ってるから、どういう条件でどんな現象がでるのか情報ぷりーず。


378 :login:Penguin:02/10/08 18:07 ID:W46Cd9/M
>>376
期待してます。

379 :login:Penguin:02/10/08 18:10 ID:aXuaogTT
>>376
> とりあえずインストールマニュアルだけでも
これじゃだめなのかな。
http://www.jp.debian.org/releases/stable/ia64/install.ja.html

380 :login:Penguin:02/10/08 18:10 ID:aXuaogTT
>>379
スマソ、こっち。
http://www.jp.debian.org/releases/stable/i386/install.ja.html

381 :login:Penguin:02/10/08 18:13 ID:W46Cd9/M
>>380
そんな分かりづらいのだったら幻滅しますよ

382 :login:Penguin:02/10/08 18:19 ID:aXuaogTT
>>381
どの辺がわかりづらいの?

383 :login:Penguin:02/10/08 19:22 ID:G018QXvj
>>381
目次だけではインストールできないぞ。

384 :369:02/10/08 19:40 ID:lulQCkJB
>>377
コレは私じゃなくて、UNIX板のsambaスレ眺めたらハケーンすますた
http://pc.2ch.net/test/read.cgi/unix/1028825681/108

.jpgとか.gifとか.png等の画像ファイル、1ファイルずつコピー&ペーストしたら問題ないんだけど、
フォルダごと、とかctrl+Aで全選択してコピー&ペースト、とかやると必ずなってしまいます
画像ファイルの拡張子じゃないヤツはならないようです

385 :358:02/10/09 00:13 ID:w0oSRsa2
>>359
DDC非対応なのよ。んでもってs/垂直/水平/だったね。スマソ。

現在のマシンはSanyo WinkeyG2F (型番MBC-G2F)。モニタ周波数は800x600@60Hzでは37.9k
http://www.infosys.sanyo.co.jp/winkey/QA/g1/screen-1.html
んで、/var/log/XFree86.0.log を抜粋する。
(--) TRIDENT(0): Virtual size is 800x600 (pitch 1024)
(**) TRIDENT(0): Default mode "800x600": 40.0 MHz, 37.9 kHz, 60.3 Hz
(II) TRIDENT(0): Modeline "800x600" 40.00 800 840 968 1056 600 601 605 628 +
正しいなぁ…。
# apt-get install xserver-svga
# dpkg-reconfigure xserver-svga
して、3.3.6に戻してみても同じく色化け…。ちゃんと37.9kHz,60Hz送ってることは確認。
>>366 の言う通り、あきらめて待ちます…。

386 :fetch 出たよ:02/10/09 07:12 ID:jzXO6CuP
Inst fetchmail (5.9.11-6.1 Debian:3.0-updates/proposed-updates, Debian-Security:3.0/stable) []
Inst fetchmail-common (5.9.11-6.1 Debian:3.0-updates/proposed-updates, Debian-Security:3.0/stable)


387 :login:Penguin:02/10/09 11:58 ID:iK74wvxg
unstable使ってるものです。

最近のXが4.2系列になりましたが、それに伴い、マウスの挙動がオカシクナリマシタ。

Option "Protocol" "ImPS/2"

Option "Protocol" "PS/2"

にしてしのいでいるのですが、
4.2系になってからマウスの動作が異常になった方おられませんか?

当方、名も無いホイール付きマウスを使用しています。
マネージャーはKDE3.0.3系列です。


388 :login:Penguin:02/10/09 12:03 ID:bSFsuVQf
>>387 おかしくなったってのは、どういう風におかしくなったんでしょう?
まさか gpm ・・・・ガクガクブルブル じゃないですよね?

389 :login:Penguin:02/10/09 12:33 ID:iK74wvxg
>>388
gpmは使用しておりませぬが、
マウスポインタの挙動が、ガクガクブルブルです。


390 :login:Penguin:02/10/09 12:34 ID:i0kQ8t8w
./のセンスの無い広告を何とかしてよ

391 :login:Penguin:02/10/09 13:02 ID:FqoWyT9k
>>390
板違いじゃねーの?
ttp://www.dotslash.jp/

392 :login:Penguin:02/10/09 14:35 ID:urjsIlT6
>>390
./ って何?

393 :login:Penguin :02/10/09 14:56 ID:CPJwG9es
>>392
キミの立っている、ほら、そこだよ

394 :名無しさん@Emacs:02/10/09 15:16 ID:vIktq7SI
>>393
(わら


395 :login:Penguin:02/10/09 15:34 ID:G15nX1lc
>>387
マウスがおかしくなった。出たばかりのlogicool/MX-300だったので戦慄したが、
Option "Protocol" "ImPS/2"
Option "Buttons" "6"
Option "ZAxisMapping" "4 5" これらを再確認して、
再起動したら動いたよ。(ホイールのことね)
で乗り切れた。

396 :369:02/10/09 16:30 ID:kQ8WC5CJ
2.2.5のソース取ってきて付属のパッチ?でパケージ作ってインスコすますた。
直ってますた。

397 :login:Penguin:02/10/09 16:34 ID:jao+JrGi
先日potato -> woodyにしたところ、xemacs -f mewすると以下のような
ワーニングが出るようになってしまいました。

(2) (font/warning) xemacs: couldn't deduce a bold-italic version of the font
"-*-fixed-medium-r-normal--16-*-*-*-*-*-*-*".

Please specify X resources to make the bold-italic face
visually distinguishable from the default face.
For example, you could add one of the following to $HOME/Emacs:

Emacs.bold-italic.attributeFont: -dt-*-medium-i-*
or
Emacs.bold-italic.attributeForeground: hotpink

同じワーニングがboldとitalicでも出ます。
.Xresoucesとか.emacsを変更したり、色々なML等を漁ってみたのです
が、一向に解決できず、手詰まり状態です・・・
どなたか解決策をご存知でしたらご教授くださひ。

398 :login:Penguin:02/10/09 17:04 ID:XnqQLMEK
「ワーニング」か…。
最近は許容できるようになってきたな。

399 : :02/10/09 18:00 ID:pZa0z5Jm
>>397
potato→woodyでフォント類のパッケージ名他が変更されてます。
xfont-ほげほげを追加して逝けばいいのでは?


400 :login:Penguin:02/10/09 18:11 ID:DY2XDQn4
USB HDD買ったんですが、どうやってマウントすればいいのでしょうか?
ディス鳥はwoodyです。

401 :まよってる:02/10/09 18:39 ID:6CJQw1QR
http://ftp.hk.debian.org/debian-cd/3.0_r0/i386/

からバイナリ7枚分isoをDLしたんだけど・・・
これでいいんでしょうか?
これをCDに焼いてインストールをすすめていけば大丈夫?

日本語環境になるのかな?
どうにか教えてください・・・よろしくお願いします。



402 :login:Penguin:02/10/09 18:55 ID:kjzPnnNY
>>401
げ。ここ全アーキテクチャ用のisoイメージそろってるじゃん。はじめて見た。
debian-cd/3.0_r0/jigdo/なんて、ある意味ふざけてるとこも多いのに。
使うこと無いと思うけどブックマークしとこ。

普通にインストールして、taskでJapanese environmentを選んで著。
んで、一般ユーザーになってlanguage-envを実行するといい鴨。

403 :login:Penguin:02/10/09 18:56 ID:4SxOBOuD
>>395
MX500は無理かな?

>>398
イギリス式発音ということで

404 :login:Penguin:02/10/09 18:58 ID:kjzPnnNY
>>402
language-envじゃなくてset-language-envやね。

405 :login:Penguin:02/10/09 19:38 ID:3+5eKTz+
>>402
> げ。ここ全アーキテクチャ用のisoイメージそろってるじゃん。はじめて見た。

めずらしいの?
http://ftp-stud.fht-esslingen.de/pub/Mirrors/ftp.debian.org/debian-cd/3.0_r0/

406 :login:Penguin:02/10/09 20:26 ID:uNsEkubj
死奴でpamがぶっこわれてる、、鬱

407 :login:Penguin:02/10/09 20:45 ID:DeIe21Ue
sid で ALSA 0.9.0rc3-0.2, devfs を使っている環境ですが、

ldmod でロードされているモジュールを見ると snd-* は正しく
ロードされているのですが、/dev/sound/* のデバイスが作られません。

/etc/devfs/devfsd.conf, /etc/devfs/conf.d/alsa あたり何かしないと
駄目ですか?



408 :login:Penguin:02/10/09 20:50 ID:uNsEkubj
>>407
なんもしないで大丈夫なはずだけど。


409 :login:Penguin:02/10/09 21:13 ID:DeIe21Ue
>>408
そうですか…

うーん…
/etc/default/devfsd
# mount point for devfs
MOUNTPOINT=/dev

# mount on boot?
MOUNT=yes

/etc/fstab
none /dev devfs defaults 0 0 ←追加

起動時のカーネルパラメータ
devfs=mount

を渡しています。

devfs 関係はこのくらいしかいぢってないのですが、
何か他にお気づきの点があれば教えてください。


410 :login:Penguin:02/10/09 21:14 ID:Vrc9sair
Anthyまだ〜?

411 :login:Penguin:02/10/09 21:47 ID:q86xmrKD
>>400
これってマジレスないっすか?

412 :login:Penguin:02/10/09 22:05 ID:uNsEkubj
>>409
> /etc/fstab
> none /dev devfs defaults 0 0 ←追加

これ要らないと思う。


413 :login:Penguin:02/10/09 22:13 ID:G15nX1lc
>>411
kernel-2.4.18には、USB Section に、"USB Mass Strage"って項目があったから、
それ設定して、
$lv /usr/src/kernel-source-2.4.18/Documents/ 以下を掘れ。

414 :login:Penguin:02/10/09 22:36 ID:VguODZcU
Your problem does not depend Debian specific.
You should see USB thread.

Tips:
(1) check your modules for usb. (usb-storage)
(2) apt-get install usbutils
(3) apt-get install ( murasaki or usbmgr or hotplug )
(4) watch your syslog.
(5) do "tail -f /var/log/syslog"
(6) plug your usb device
(7) pray own geek skill.



415 :login:Penguin:02/10/09 22:55 ID:7Q2nJRRO
>>409
取りました。
でも /dev/sound/* などのデバイスファイルが作られません…
他に何か注意する点があれば教えてください。

416 :366:02/10/09 22:56 ID:GYSE2s6n
>>385
358さんの報告を呼んでたんだけど,ついうかっりupgradeやっちゃったんだよね…
で,同じ現症が出てるんだけど,これって何が問題なの?
>3.3.6に戻してみても同じく色化け…。ちゃんと37.9kHz,60Hz送ってることは確認。
ってことはupgradeが問題ではないってこと?



417 :login:Penguin:02/10/09 22:58 ID:7Q2nJRRO
↑ 409 じゃねー、409 は自分だった....

>>412

すみません...

418 :login:Penguin:02/10/09 22:59 ID:uNsEkubj
>>415
/etc/devfs/conf.d/alsaはあるよね?


419 :login:Penguin:02/10/09 23:04 ID:7Q2nJRRO
>>418
あります。

# device permissions for ALSA sound devices.
REGISTER ^snd/.* PERMISSIONS root.audio 0660
REGISTER sound/.* PERMISSIONS root.audio 0660

# create more mixer devices FIXEME: - quick hack -
-- 以下略 --


420 :login:Penguin:02/10/09 23:11 ID:uNsEkubj
>>419
/dev/.devfsdはある?

421 :login:Penguin:02/10/09 23:17 ID:7Q2nJRRO
>>420
crw------- 1 root root 8, 0 1970-01-01 09:00 .devfsd

といったかんじにあります。

422 :login:Penguin:02/10/10 00:00 ID:wPSeO5Ne
>>384

最近HDDが壊れたを機にファイルサーバを sid から sarge にしたら
samba のバージョンが下がって 2.9cvs から 2.2.3a-6 になった。
そしたら正にこの症状で、同じようなファイルができていたよ。
>http://pc.2ch.net/test/read.cgi/unix/1028825681/108

ありがトン

pin つかって sid/samba 入れるかなぁー

423 :401:02/10/10 01:22 ID:a+/z10CJ
スレありがとうございます。
http://gd.tuwien.ac.at/opsys/linux/debian-cd/3.0_r0/i386/

一応不安でこちらからもダウンロード7枚分したんですが・・・

同じものなんでしょうか?
若干容量が違うような気がして・・・・;;

すみませんよろしくお願いします。

424 :login:Penguin:02/10/10 03:31 ID:rsFhTwoT
>>406
こっちでは、 xlock が password 認証に成功しなくなった…
libpam-modules だけ戻したら、ちゃんと動くようになったけど…

425 :login:Penguin:02/10/10 06:17 ID:C2NidF7d
ひさびさにapt
sarge gpg ヴァージョンアップ

Get:9 ftp://ftp.dti.ad.jp sarge/main gnupg 1.2.0-1 [1255kB]


426 :login:Penguin:02/10/10 11:49 ID:5Vaydg6e
woodyで jabber 1.4.2a-1.1 が使えた人っています?
普通に apt-get しただけでは、クライアントからの初期登録が
うまくいかないみたい。
hoge.xmlはできるのに、オープンできないってエラーになるね。
なにか、おまじないが必要!?

427 :セッションマネージャとウィンドウマネージャ:02/10/10 13:32 ID:tBYHSYrV
KDE をインストールすると x-session-manager からシンボリックリンクが張られます。
WindowMaker をインストールすると x-window-maker からシンボリックが張られます。

/etc/X11/Xsession.d/50xfree86-common_determine-startup を眺めていると、

if [ -x /usr/bin/x-session-manager ]; then
REALSTARTUP=x-session-manager
elif [ -x /usr/bin/x-window-manager ]; then
REALSTARTUP=x-window-manager
elif [ -x /usr/bin/x-terminal-emulator ]; then
REALSTARTUP=x-terminal-emulator
fi

となっているので、 x-session-manager があればそれが優先されるようです。

  ┌────────────────────┐

     ウ ィ ン ド ウ マ ネ ー ジ ャ と 

      セ ッ シ ョ ン マ ネ ー ジ ャ っ て 

           ど う 違 う の ?

  └────────────────────┘


428 :login:Penguin:02/10/10 13:46 ID:QRMCV3k4
sidのsamba2.99で日本語ファイル名を通してEUC⇔SJIS変換する方法ってあるんでしょうか?
smb.confでcodepageとか使えないのですが…


429 :login:Penguin:02/10/10 14:24 ID:Fan//1A9
>>428

http://www.atmarkit.co.jp/flinux/special/samba3/samba3b.html

このページによく読めば,わかるよ。

430 :login:Penguin:02/10/10 20:12 ID:JOfm49pb
dpkg-reconfig localesってやったときに文字化けしてるんだけどどうやったら直ります?

/etc/locale.genはja_JP.EUC-JP EUC-JP
で locale-gen って入力したんですが…

431 :login:Penguin:02/10/10 20:19 ID:96fR+N/3
>>430
コンソールなら jfbterm か kon。
X なら rxvt とか kterm とか。

それでだめならちょっとめんどう。

432 :login:Penguin:02/10/10 21:16 ID:KQB7hhXI
>>401=>>423
無駄にisoダウンロードするのやめてjigdo使え

433 :385:02/10/10 21:32 ID:ODEHQE9r
>>416
なぜか、256色だと色化け発生せず。
また、久しぶりにディアルブートのwin98を起動したらwin98でも色化け発生。win98でも256色だと問題無し。

……もしかして、たまたまxserver-xfree86を4.2.1にしたタイミングでモニタが壊れたのかな…?

434 :416:02/10/10 21:39 ID:3/XXkr5q
>>433
報告が遅くなって申し訳ないが…どうやら当方では解決出来たみたい

どうやらうちの色ずれの原因は xinit -- -bpp32 とかやってたからみたい
xinit -- -depth 24 -fbbpp 24 -pixmap24 に変更したら治ったよ

モニタが破損…そんなことも起こるんですか?!



435 :login:Penguin:02/10/10 22:09 ID:/LTI5sbo
sidでOpenOfficeとかに日本語入力すると化けるの何で?
Cannaで
つかOpenOfficeのメニューも日本語だと?になりまする

436 :login:Penguin:02/10/10 22:28 ID:Hr/wdW7j
>>435
単に OpenOffice つってもねぇ。具体的にはどれを使ったとき?
日本語フォントで表示してないだけだったりして。

437 :login:Penguin:02/10/10 22:59 ID:euLcTMIA
>>435
うち問題ないよ。>>1にあるapt-lineからで、1.0.1-5。もちsid。
メニューはきっちり日本語。XIMはxwnmo(Wnn7)で入力おけ。ただし文節区切り範囲とかが表示されないので実質的に使い物にならない。openoffice.orgはrtf(しかも英語)のビューアとしてしか使ってないから困ってないけど。
フォント置換はいっさいしてない。

438 :login:Penguin:02/10/10 23:37 ID:1l+JkoAk
ローカルのハードディスクからインストールしたいんだけど、どのファイル落としたらいいの?
いっぱいあって分からないんだけどぉ
アドヴァイスヨロシコ?

439 :login:Penguin:02/10/10 23:44 ID:euLcTMIA
>>438
何をインストールしたいん? debian本体?
いっぱいあるって何が?

440 :login:Penguin:02/10/10 23:51 ID:1l+JkoAk
>439
debian本体です
インストール中はネットワークが使えないのですが。。。

441 :login:Penguin:02/10/11 01:47 ID:TabvM44J
>>436
全部だよ。
日本語フォントで表示してる。PPT読み込ませて日本語表示も可能。
だけど入力は化けちゃって出来ない
>>437
いいなー。
オレもコンカラとかだと文節区切りでないけど入力できる状態。
OOもその状態に持ってければ問題なしなんだけどなぁ

442 :441:02/10/11 03:07 ID:TabvM44J
知らないうちに直ってた
なんでダメだったんだろう
問題無しになりますた

443 :login:Penguin:02/10/11 08:18 ID:jtPU3xFX
>>440
ローカルのハードディスクから……ってことはCD-ROMも使えないって見ていいのかな?
あと、FDDはつながってる? つながってるなら接続形態は?(内蔵? PCMCIA? USB?)
で、使ってるWindowsのバージョンは?(いえ、SPARCです、とか言われるとアレだけど……)
Winで使ってるファイルシステムはFAT? それともNTFS?

いちおーここにも目を通してくだされ。
http://www.debian.org/releases/stable/installmanual
ただ、妙な不備があるやね。「4.4 ハードディスクブート用ファイルの準備」にはそーゆーこともできるよんとだけあって、具体的な方法が書かれてない……。

あと、古いけど(potato対応)ここも。
http://debian.g-com.ne.jp/debian/dfir.html#install-potato

444 :433:02/10/11 09:23 ID:Yq0K5gqA
>>434
むう、それも考えたんだけど、
# dpkg-reconfigure xserver-xfree86
でbppを8,15,16にしてみたが8以外は色化けする…。
デュアルブートのwin98でも同様。出荷時デフォは800x600x16@60Hz…。

まぁ、あきらめて8で生きることにしますか。

445 :名無しさん:02/10/11 09:36 ID:UbR5UCQB
>>444
> むう、それも考えたんだけど、

って一体何の事よ? 考えただけ?

446 :名無しさん@XEmacs:02/10/11 10:27 ID:23pyHXZS
>>440
http://www.jp.debian.org/releases/stable/i386/ch-appendix.ja.html
ここ読めばわかるはず

447 :login:Penguin:02/10/11 10:59 ID:KkhH2BIt
>>406
俺はよくわかんないけど、pam_wheel.cの問題みたいよ。
詳しくはBTSを見てくれ。


448 :login:Penguin:02/10/11 13:54 ID:VDP0Wx+7
前から疑問だったのですが,X Windowsでfreetypeモジュールを使う
と,日本語のTrueTypeフォントが文字化けしてしまいます。

xttモジュールだと,問題ないので,こちらを使っているのですが。

ちなみに,sid(xserver-common 4.2.1-2)を使っています。

xttとfreetypeモジュールがありますが,これ,どちらを使った方が
いいのでしょうか。この辺のことを解説しているWebsiteとか,ござ
いますか?


449 :login:Penguin:02/10/11 13:58 ID:cNtSk7oI
>>448
こういうこと?
ttp://debian.dtdns.net/2ch-debian/1030178687.html#786

450 :x:02/10/11 14:00 ID:Xznih7PT
これってどうよ? マジ?

http://www.dream-express-web.com/space-trust.htm


451 :login:Penguin:02/10/11 14:04 ID:Ccf46Uex
>>450
debian-express-web に見えてしまった俺って・・・

452 :login:Penguin:02/10/11 14:06 ID:FNAGNm41
>>450
Debianに関係無い話しは他所でおながいします。


453 :444:02/10/11 17:55 ID:Yq0K5gqA
>>445
モニタが表示できるbppを上回るbppが設定されているのではないか、ということ。
434氏はxinitに与える引数で制御したが漏れはdpkg-reconfigureした。
その結果、色化けはbpp=8bitsならば発生しないことがわかった。しかし色化けが発生する以前は16bitsで使えていた。
そして、デュアルブートのwin98でも同様に800x600x8だと色化けしないが、800x600x16にすると色化けするようになった。
という訳で、8bitsで生きていくことにした、という事。

…説明抜きで「あれ」「それ」って使うの良くないね。スマソ。気をつけます。

454 :440:02/10/11 20:58 ID:p/nPHY9G
>>443
アドヴァイスどうもサンクス!
CD-ROMはついてません
FDDはUSB接続なのでインストールに使うのは無理っぽいと思ってあきらめました
WindowsのヴァージョンはMeで、PCはLibretto L1です
それで、下の方のリンク先のページを参考にさせてもらったところ、無事インストールが始まりました
まだ終わってないので安心できないのですがとりあえずお礼を言いに来ました
ありがとうございます
また何かあったら来るかもしれないですがヨロシク♥

>>446
すいません、そこは一応読んだのですが、サッパリでした。。。(^^;;
debianって他のディストリビューションとかなり勝手が違うみたいで。。。

455 :login:Penguin:02/10/11 22:10 ID:cfbWe6R8
dpkg -l すると
以前使っていたけど既にアンインストールしたパッケージで
"rc"フラグがついて残っているものがたくさんあったので

dpkg -l | egrep "^rc" | awk '{print $2;}' | xargs dpkg -P
として消すことはできたのですが、

スマートにさくっと消す方法はありますか?

456 :login:Penguin:02/10/11 22:50 ID:ShpZPtqX
>>455
dpkg -l の出力結果のパッケージ名がちょん切られてたりして(((;゚Д゚))ガクガクブルブル
dpkg --{get,set}-selections や
dpkg-awk, grep-dctrl のほうがいいと思われ。

457 :login:Penguin:02/10/11 23:15 ID:cfbWe6R8
>>455 だと
"切れた"パッケージ名と同じ名前のが偶然あると
そのパッケージ+それに依存しているものまで根こそぎ消されてしまって、
運が悪いとシステムが空っぽになっちゃいますね。

たしかに(((;゚Д゚))ガクガクブルブル

dpkg --get-selection してみました。
こちらだと完全なパッケージ名が表示されててgood!

教えていただきありがとうございました。

458 :login:Penguin:02/10/11 23:40 ID:0V9IvDfC
>>455
COLUMNS=200とかにしてみるとか

459 :login:Penguin:02/10/11 23:48 ID:uE7/80JD
>>454
> debianって他のディストリビューションとかなり勝手が違うみたいで。。。
お前は他のディストリをどれだけ知っているのかと (略

460 :login:Penguin:02/10/12 00:21 ID:vVhNca40
Diaインストールしました。メニューなどは全て日本語で表示されますが、
オブジェクトに日本語入力しようとすると激しく文字化けしますが、なんか
設定いりますか?

461 :login:Penguin:02/10/12 00:34 ID:PJtv8rac
>>460
文字入力のボタンをダブルクリックして出てくるプロパティで、日本語のフォントを
指定(Ryumin-Lightとか)すればよい。既に入力した文字を変更したい場合は
その文字を選択して右クリックでダイアログ->プロパティを選択する。

462 :login:Penguin:02/10/12 00:45 ID:IC2T9Z/X
すみません。  apt-get update 時に依存関係があるために更新しませんでしたと言うメッセージがでますが、
このような場合には依存関係を壊してまでアップデートした方がいいのでしょうか?
現状で安定している為、セキュリティ関連に問題が無い限り
アップデートはしたくないのですが、セキュリティ上やっぱり問題がありますか?
す〜っとアップデートしていないので、こんな感じになってます ↓

134 packages upgraded, 0 newly installed, 0 to remove and 6 not upgraded.
Need to get 225MB of archives. After unpacking 15.5MB will be used.

厨房質問で申し訳ございません。 どなたかお答えをお願いします。

463 :login:Penguin:02/10/12 00:52 ID:vVhNca40
>>461 あの、そこに日本語フォントがでてこないってことはどういう事なんでし
ょうか?

464 :login:Penguin:02/10/12 00:54 ID:mEzzgOP8
>>462
使っているつもりのリリースと、apt-lineを確認。
Potatoなのに、apt-lineにpotatoではなくstableと書いてあって、
woodyのパッケージを入れようとしているって話しじゃない?


465 :462:02/10/12 01:18 ID:IC2T9Z/X
>464
返答ありがとうございます。 woodyを使っています。 思い切って依存を無視して全部アップデートしてみたら sambaが動かなくなってしまいました シクシク
今は一からsambaを入れなおして設定とパスワードを書いてます。 その他は今のところ異常なし。

もうアップデートなんかはしたくない・・・ これってセキュリティ関連だけアップデートする方法なんかは無いのでしょうか?

466 :login:Penguin:02/10/12 01:22 ID:Mt+D6/hl
>>465
woodyなのに、apt-lineにwoodyではなくtestingと書いてあって、
sargeのパッケージを入れてしまったって話しじゃない?と言ってみるテスト。

467 :login:Penguin:02/10/12 01:22 ID:iEPsGGxE
>>465
まずは /etc/apt/source.list 晒せよ。

468 :login:Penguin:02/10/12 01:36 ID:mEzzgOP8
>>465
>>466-477でも触れられてるけど、マトモに設定されている状態なら、そのような事はありえない。
apt-lineかpinの設定がおかしいんだよ。

| 思い切って依存を無視して全部アップデートしてみたら

Debianに限らず、典型的な物を壊すパターンだな...

| もうアップデートなんかはしたくない・・・

大きな誤解だ。
「Debianのアップデートは上手く行かない」とか、しったかで他所でふれまわるなよ。
貴方の設定がおかしいだけ。

| これってセキュリティ関連だけアップデートする方法なんかは無いのでしょうか?

あるに決まってるじゃん、てか普通はそういう設定なの。


469 :462:02/10/12 01:43 ID:IC2T9Z/X
うひひ。 面白いほど罵倒された。  
>466
その通りでした。
>467
恥ずかしいから嫌です。
>468
勉強しなおします。 どうもありがとう。

470 :login:Penguin:02/10/12 01:47 ID:iEPsGGxE
釣りかよ……。

471 :login:Penguin:02/10/12 01:47 ID:mEzzgOP8
>>469
まぁ、がんばれ。(わら
とりあえずテンプレは読んどけよ。


472 :login:Penguin:02/10/12 01:48 ID:SAgNIpiM
>>469
罵倒なんかされてないと思うけど?てゆーか、ネタ?

473 :login:Penguin:02/10/12 01:49 ID:mEzzgOP8
>>472
sambaが... って辺りがマヂっぽいけどな。


474 :462:02/10/12 01:56 ID:IC2T9Z/X
ネタじゃーねーよ。 マジだから悔しいんだよ。 フンだ!

>468
セキュリティ関連だけアップデートする方法おせーてください。

475 :login:Penguin:02/10/12 01:56 ID:Mt+D6/hl
釣りにマヂレス(゚∀゚)カコイイ!
>>469
APT HOWTOでも見てdowngradeでも…
http://www.jp.debian.org/doc/manuals/apt-howto/index.ja.html

476 :login:Penguin:02/10/12 02:00 ID:Mt+D6/hl
>>474
stable (woody) を使っている限り、ほぼセキュリティ関連だけアップデート以外出ない。

477 :462:02/10/12 02:00 ID:IC2T9Z/X
>475
ありがとう。 読んでみます。 フンだ。

478 :login:Penguin:02/10/12 02:02 ID:mEzzgOP8
>>474
ネタなのかマヂなのか、本当にわかんなくなってきた... (わら

使ってるのはWoodyなんだな?
って、もう半分sargeになっちゃったかな。

/etc/apt/souces.listに

| deb http://security.debian.org/ stable/updates main contrib non-free

を加えて、

| # apt-get update; apt-get upgrade

繰り返すが、テンプレは読んどくように。


479 :462:02/10/12 02:11 ID:IC2T9Z/X
>478
スゲーありがとう。 
>462
おめーみたいなテンプレを読まないで質問する厨房がいるから良スレが堕スレになるんだよ!
つまんねー反論してないで、テンプレぐらい読め!





・・・はい。 ごめんなさい。
これでもPart3くらいのときに全部のテンプレ読んだサ。 もう一回テンプレ読んでやるよ。 フンだ!

480 :login:Penguin:02/10/12 02:13 ID:mEHnPIi0

# cd /etc/apt
# netselect-apt woody
# apt-get update
# apt-get dist-upgrade

では?
netselectはおもしろいのでときどき用もないのに走らせて遊んでます

481 :login:Penguin:02/10/12 02:13 ID:10I+MJIn
462 のおにいちゃん、口は悪いがすごくいい人のような気がしてきた。
トリップ希望。

482 :login:Penguin:02/10/12 03:47 ID:7fChJSxj
>>462のキャラ萌え。

483 :login:Penguin:02/10/12 06:45 ID:Tk5v0oxX
ねーねーねー
KDEのページのAAパッチあてたX4.2のテンデブ落ちてるとこないの?

484 :名無しさん@Emacs:02/10/12 09:32 ID:f6ulkL06
>ムトゥ神
うちにも来ましたぜ"ロリロリ武藤"

485 :login:Penguin:02/10/12 09:56 ID:3BONu/62
>>484
家にも何度か着てます。
やめてくれーーーロリロリ武藤サメ

486 :login:Penguin:02/10/12 11:49 ID:E/dB7XYP
うち「ロリ炉利ムトー」の方は来たけど「ロリロリ武藤」は来てない。なぜ? ひそかに期待して待ってるのに(エロspam集めが趣味です。すみません)。

それはそーと、あのレビュー内容(ほめてるとこは一カ所もない。結論は買うな)で星3つってのはどーして? ひとつ(or なし)の間違いじゃないの?
星の基準はあるのだろーか。amazon。

487 :login:Penguin:02/10/12 18:44 ID:Ilyjm+On
loginってキーワード検索しづらいな….
dist-upgradeするとloginのインストールでこけるんだけど,
これはシングルモードでインストールしなければならないものですか?

488 :login:Penguin:02/10/12 18:52 ID:LmpSEvCe
いいえ

489 :Agean:02/10/12 19:12 ID:N3nx7x6A
debianをはじめようと思っている新参者です。お薦めの本やWebがありますればお教えきぼんぬ。

490 :login:Penguin:02/10/12 19:13 ID:LmpSEvCe
>>489
>>1

491 :Agean:02/10/12 19:21 ID:N3nx7x6A
>>490
ダンケ。お薦め本についてお教え下さい。

492 :login:Penguin :02/10/12 19:24 ID:LmpSEvCe
>>490
>>1
Debian GNU/Linux 徹底入門

493 :Agean:02/10/12 19:27 ID:N3nx7x6A
>>492
merci!ガッテンダ〜休日に読む読むします。

494 :login:Penguin :02/10/12 19:29 ID:LmpSEvCe
>>493
ガンバレ

495 :login:Penguin:02/10/12 21:18 ID:DsEfWBzR
>>493
ガソバレ

496 :login:Penguin:02/10/12 21:26 ID:AJdeximb
esecannaえせかんなでatokxしよと思った。
atokxのモジュール、debパッケージないな、、
debには1.0.1なのがないねぇ。
オフィシャルサイト閉じててソースもない。
どっかないかな。
探したrpmパッケージはnosrc.rpmだし。
src.rpmなやつはatokxのモジュールないし。
困った困った。


497 :login:Penguin:02/10/12 22:03 ID:+JLXla5u
dfontmgrの凄さにようやく気がついたと書くテスト。

498 :名無しさん:02/10/12 22:14 ID:KnzlKRKH
>>496
alienでrpm→debじゃ駄目なの?

俺は、おもいかねのatokx-arma_1.0-1o1.debに
atokx-1.0-1.i386.patch01.tgzを上書きしている。
Debian package system的にはかなりの極悪人(w

499 :名無しさん:02/10/12 22:22 ID:KnzlKRKH
あれ? 1.0.1ってのはesecanna-module-atokのversionだったのかな?

500 :login:Penguin:02/10/12 22:33 ID:AJdeximb
>>498
debにatokxはあるんだ。esecanna-module-atok(or -atokx?)がない。
探したrpmでalienもやってみたよ。
src.rpmでやったらwnnしかmoduleがなくてさ、、
昔えせかんなで盛り上がってた時、atokxのもあったよねー、確か。





501 :名無しさん:02/10/12 23:06 ID:KnzlKRKH
http://www.google.com/search?hl=ja&ie=UTF-8&oe=utf-8&q=esecanna+atokwrapper.c&btnG=Google+%E6%A4%9C%E7%B4%A2&lr=
検索してもかすりもしない…(w

502 :login:Penguin:02/10/12 23:15 ID:Me4BDzYJ
DebianでUSB-HDD使えてる勇敢な人いますか?

503 :login:Penguin:02/10/12 23:21 ID:9z+mJvyy
こんばんわ。Debian GNU/Linux入門者です。
woodyをインストールしてみたのですが、
日本語でGNOMEを起動するとGNOMEのメニューとかが
文字化けするんです。
たとえばgfontsetとかを起動すると

Gtk-WARNING **: Missing charsets in FontSet creation
Gtk-WARNING **: JISX0208.1983-0
Gtk-WARNING **: JISX0201.1976-0

こんなふうな警告が表示されます。
KtermとかMozillaとかEmacsの中では日本語がちゃんと表示
されるんですが、Gnomeのメニューやウィンドウの日本語だけが
文字化けします。
Gnome起動するときの「***を起動中」とかの文字は文字化け
せずに日本語で表示されるんですが....


504 :login:Penguin:02/10/12 23:32 ID:hxBJRJPX
>>502
使える。

505 :login:Penguin:02/10/12 23:41 ID:Me4BDzYJ
>>504
やり方教えて著、またはポインター。

506 :login:Penguin:02/10/12 23:43 ID:gf61WK2J
>>505
つかDebian関係ないだろ

USB統合スレ
http://pc.2ch.net/test/read.cgi/linux/1002630729/l50

507 :login:Penguin:02/10/13 00:06 ID:xoPrOfGn
>>501
そうそう、最近は動きがないみたい、

atokxは別のマシンで使ってるんだけど、
tcp portを閉じて使う方法がわかんなくて。

で、kinput2ならソースとってきて、
-DNO_TCP_TRANSPORTしてdebuildしたら、
unix domain socketだけでlistenにできるから、
esecanna!と思ったんだよな。

atokxなひと、どうやってtcp port閉じてる?
やっぱinetdなの?




508 :496,500,507:02/10/13 00:34 ID:xoPrOfGn
http://www.li18nux.org/subgroups/im/IIIMF/
これかな?
$ apt-cache search iiimf
htt-le-examples - Example language engines provided in im-sdk
htt-server - Htt input method server
htt-xbe - Htt XIM BackEnd module
im-sdk-docs - Documentation provided in im-sdk
で、このへんか。
あーでも、atokxのはjust systemのバイナリだっけ?
debなhtt-serverとかhtt-xbeいれてatokxなひとっているの?




509 :496,500,507:02/10/13 01:28 ID:xoPrOfGn
htt-serverって-DTCPCONN外せばtcp portをlistenしなくなるっぽい。、
問題はatokxで使ってるhtt-serverのバージョンでソースが手に入るかどうか。
今度atokxのCDを確かめてみよー。

なんかdebなhtt-serverだとうまくいかない予感。
うーむ。

kinput2とかiiimfって、
起動オプションでlistenするportを選んだりできるといいなー。
-tcp or -unixとかなんとか。

-port外したら実はうまくいったりして。(わら
やってみよ。



510 :login:Penguin:02/10/13 02:21 ID:Eg4yQhUv
http://www.debian.or.jp/Near-Mirror.html
ここを参考にして netselect したんですが、全てのサイトで結果が
9999 ms 30 hops 0% ok
となってしまいます
何故なんでしょうか?

511 :login:Penguin:02/10/13 02:28 ID:xoQyzASG
>>510
>>1のではだめなの?
http://www.debian.or.jp/Near-Mirror.html
のやつはかなり長いことメンテされていないみたいよ。

512 :login:Penguin:02/10/13 02:51 ID:Eg4yQhUv
>511
解答ありがとうございます
さっそくやってみたんですが、やっぱり同じ結果になりました。。。
何が原因なのか、とか全く分からないので困ってます

513 :login:Penguin:02/10/13 03:09 ID:xoQyzASG
>>512
確認しておくが、pingは通るの?

514 :login:Penguin:02/10/13 03:13 ID:391S00R1
>>507
ipchains とか iptables で落とすのではダメですか?

515 :login:Penguin:02/10/13 03:16 ID:Eg4yQhUv
>513
はい、ping は通りますし、apt-get もできるんですが。。。

516 :login:Penguin:02/10/13 04:23 ID:zunF95Ia
>>509

rawhideのim-sdk(20020813) +
sourceforge.jpにあったiiimf-canna/iiimf-skkinput
の組み合せで動いているけどまるっきり野良の状態。

しかしこの"iiimf-canna"が動いているときにpsすると
"org.momongaなんとか"というPIDが数個立ち上がってるので
そのままではdebにできないですね。

517 :login:Penguin:02/10/13 05:11 ID:9PVOlnJG
2分前に Rootで chmod 600 /* してしまいました。。
とりあえずchmod 777 /* でしのいでるけど
ヘタレなので元のパーミッション想像つきません
Woody環境の人だれかls -al /してもらえませんか?
お願いします。
Googleで4時間探したけど探しきれませんですた



518 :login:Penguin:02/10/13 05:16 ID:9PVOlnJG
517です
2日前の間違いです;


519 :login:Penguin:02/10/13 06:15 ID:vTdIWwFN
>>517
drwxr-xr-x root root {. .. bin boot cdrom dev etc floppy initrd lib mnt opt root sbin usr var}
drwxrwsr-x root staff {home}
dr-xr-xr-x root root {proc}
drwxrwxrwt root root {tmp}
lrwxr-xr-x root root {vmlinuz vmlinuz.old}

520 :login:Penguin:02/10/13 07:27 ID:9PVOlnJG
>>519
517ですありがとうございます!
rootが755ってことは素のWoodyですね!
やっと安心できます.


521 :login:Penguin:02/10/13 09:59 ID:vq8w7TDG
>>515
おれもそうだよ。pingは通るがnetselectは使えない。
なんでだろう、、、。


522 :login:Penguin:02/10/13 15:41 ID:h7RKuYEv
>>516
情報さんくす。

org.momongaとか出てても、
# License: GNU General Public License (GPL), MIT/X Consortium License
ってことで-skkや-cannaはdeb(main)にできそう。


tcp portでlistenしてるのがヤだけど、
htt.confでaccess controlの設定かな。
(libwrapなのね、、)

いままで
# update-rc.d -f foo remove
# update-rc.d foo stop 20 0 1 2 3 4 5 6 .
とかしていろんなのがtcp portでlistenすらしてないので、
atokx(htt-server)だけ例外なのはヤだな。

できればunix domain socket使って、
tcp portも必要な時だけstart、
終ったらstopがよいのではないかと。

htt-le-atokxがあるとdebなhtt-serverが使えていい感じ。
(htt-serverのバージョンとかライセンスとかややこしそう)
htt-le-cannaとかhtt-le-skkとかはまだないね。



523 :login:Penguin:02/10/13 16:14 ID:h7RKuYEv
>>514
ダメじゃないです、それもありと思います。

listenはしてるけど、その手前で落すっていうのが落ち着かなくて、
そもそもlistenしてなきゃなんもできんでしょうってのが、
一番安全かなぁと思ってるので、いままでなるべくそうやってきてます。

debなcannaも前にtcp portをlistenするとこが変わったし、
なるべく安全にしたいなぁっていう希望ですね。

defaultはなるべく安全で、使いたいひとだけがオプションを選んで、
tcp portをlistenするってのがいいかなって思ってます。

で、(たぶん)ほとんどのひとは、こういったサーバーを、
複数のマシンで共有したりはしないんじゃないかと、勝手に思ってたりして、
だったら複数のマシンで共有できる設定がdefaultじゃなくても、
いいんじゃないかなぁとか、いろいろ思ってるんですよね。



524 :login:Penguin:02/10/13 19:09 ID:5NFm6Xz2
初歩的な質問ですみませんが、
環境変数 LANGをja_JP.eucjis
にしておくと、
PerlがLocaleを設定できないと文句を言います。
環境変数 PERL_BADLANGを設定すれば
よいというのはわかりましたが、そういうものなんでしょうか?


525 :login:Penguin:02/10/13 19:20 ID:Oft8HRLZ
ja_JP.eucJP?

526 :524:02/10/13 20:47 ID:5NFm6Xz2
>525
あ、すみません。
typoです。
ja_JP.eucJPでもja_JP.uji でも同じです。



527 :524:02/10/13 20:51 ID:5NFm6Xz2
もう一つ、前々からの疑問があります。
dselectでpTeXまわりを入れているのですが、


*** Opt tex dvipdfm A DVI to PDF translator.
*** Opt tex ptex-jisfont Provide an environment of jis.tfm and jisg.tfm

が問題起していて、解消することができません。
ptex-jisfonts recommends dvipdfm (>= 0.13.2c-2)
というんですが、これはどうすれば解消できるんでしょうか。
いちおう動いていることは動いているんですが。



528 :login:Penguin:02/10/13 21:10 ID:391S00R1
>>523
普通ね、あらゆる deny なり drop して、使う物だけを外に晒すんだよ。
localhost とか、おうちLAN からは、使いたい放題にしておくとかね。
(必要あれば、ちゃんと制限するに越したことはないけど)

でね、
1. www,smtp は、あらゆる場所から
2. ssh は、学内/16 から
という感じで、必要最低限を晒しておくものなんだよ。

言ってることわかる?

529 :login:Penguin:02/10/13 21:15 ID:XxRIzpgT
>>528
お前,偉そうなわりに日本語おかしいな.
偉そうに出るときは日本語に気をつけないと恥ずかしいぞ.

530 :login:Penguin:02/10/13 21:24 ID:3tDoBSB1
>>528
それは甘いぞ。
最低限iptables/ipchainsで防御して各サーバソフトでも防御。
2重、3重の対策が必要。

そんなんだから大学の鯖は食われちゃうんだぞ。

531 :login:Penguin:02/10/13 21:59 ID:5P/WHNtB
>>524
dpkg-reconfigure localesでja_JP.eucJPを指定する


532 :login:Penguin:02/10/13 22:11 ID:woj9JFfe
ここもチェックね。

http://www.lesbian.mine.nu/


533 :login:Penguin:02/10/13 23:26 ID:q+VsgI1d
Anthyがunstableに入ったからテンプレ書き換えたほうがいいかなぁ。

534 :login:Penguin:02/10/13 23:42 ID:XK8HL6j/
>>529-530
マジレス キタ━━━━━━(゚∀゚)━━━━━━ !!!!!

535 :名無しさん:02/10/14 01:35 ID:WL6eZEko
>>522
つーか、atokxを含めて多くのIMのtcp接続にはユーザ認証がない。
port空けちゃ駄目。

536 :login:Penguin:02/10/14 03:57 ID:MEIIWKYL
openssl version で、OpenSSL 0.9.6g 9 Aug 2002 と出るのに、
apacheが、
Server: Apache/1.3.26 (Unix) Debian GNU/Linux mod_ssl/2.8.9 OpenSSL/0.9.6d
としゃべるのはなぜ?
まぁ、気にしなくていいと思うんだが。

537 :523:02/10/14 05:13 ID:qz4wUtOT
>>528
クライアントマシンとして使ってるから、
ふつうはひとにwwwみせないし、
プロバイダのメール鯖使ってるから、smtpもlistenしとく必要なし。
で、sshもこっちはつなぎにいくほうだから、listenして待ってる必要なし。
(Winマシンからコピーするのにscp便利だから一時的に開けたりはする)

kinput2だってわざわざtcp portでlistenせんでもええでしょ。
unix domain socketってやつで接続できんだからさ。

つうわけで、そもそもtcp portを開けとく必要がないから、
全然開けたくないよって話をしてるつもり。

なのに、空けんでもええもんが空いちゃうもんだから、
どうにかしたいなってこと。

access controlもいいんだけどね。
そもそもtcp portで立ち上がってなかったらもっと安全だよね。

# 日本語があいまいだったんだろうが、
# 523の後半部分はIMサーバーの話をしていたつもり。


538 :522:02/10/14 05:29 ID:qz4wUtOT
>>535
うん、im-sdkの-DTCPCONN外して、debuildしてみるよ。
debなatokxとの調整はなんとかやってみるつもり。


539 :login:Penguin:02/10/14 11:58 ID:RNrM9utI
おい お前等
言うまでも無く iptables以前に、バーナーを消すぐらいのQuick Hackはしてますよね?

540 :login:Penguin:02/10/14 12:43 ID:C/6Ys+Ro
>>537
emacsはUNIX domain socketを扱えないので、
localでもTCP portを使わないと
cannaなんかが使えないという話を聞いた記憶があります。


541 :login:Penguin:02/10/14 12:52 ID:ksOtoRA4
>>539
http://dictionary.goo.ne.jp/cgi-bin/dict_search.cgi?MT=%A5%D0%A1%BC%A5%CA%A1%BC&sw=2

542 :login:Penguin:02/10/14 16:21 ID:i0pkILp4
XFree86を4.2.1にしたら、手元でxhost +してもよそからウィンドウ
開けなくなりますた。
giko$ xhost +
access control disabled, clients can connect from any host
giko$ slogin mona
mona$ export DISPLAY=giko:0.0
mona$ xine
This is xine (X11 gui) - a free video player v0.9.8
(c) 2000, 2001 by G. Bartsch and the xine project team.
Built with xine library 0.9.8 [Sat 19 Jan 2002 22:24:54]-[gcc version 2.95.4 (Debian prerelease)]-[Linux 2.4.18pre2 i686].
Found xine library version: 0.9.8 (0.9.8).
Cannot open display
このままではアニメDVDでハァハァできません。教えてください。おながいします。

543 :login:Penguin:02/10/14 17:17 ID:RNrM9utI
バナーやね,banner
>>541すまんです.

いずれにせよ,iptablesで防御できても,OS等が割られるのは危険と言う事で

いや,nmapを使えば…という話は置いといて

544 :login:Penguin:02/10/14 17:20 ID:ksOtoRA4
>>543
> いずれにせよ,iptablesで防御できても,OS等が割られるのは危険と言う事で
そうか?
ちゃんとアップデートしとけ。

> いや,nmapを使えば…という話は置いといて
置いとくなよ。


545 :login:Penguin:02/10/14 18:00 ID:qO9xyBp1
>>543
バーナーはみんな分かっているよ。

それはそうと、自宅鯖は何重の守りで固めているの?

専用ルータ、iptables、tcp wrapper、鯖ソフトの設定とまぁ4重位できればいいのだが。

546 :login:Penguin:02/10/14 18:57 ID:ELbwLC1Z
MacでDebian使ってる強者はいますか?
我もMac使ってるんですけどDebianに乗り換えたいと思ってます。
初心者にはどのディストリがオススメですか?
教えて君ですみませんが指導をお願いします。

547 :login:Penguin:02/10/14 19:04 ID:W1MgvYt8
>>546
debianスレでその質問を聞いてもdebianとしか返ってこないのでは?

そもそもMac向けのディストリってそんなにないような気がする。
うちはもらいもののholon。

548 :login:Penguin:02/10/14 19:06 ID:YhlW/Z2Q
あのーカスタムパケジについて質問です。
1つのソースでいくつかのパケジわかれているもので、それだけ作ることはできないんでしょうか。
たとえばxfree86のソースでxlibsだけを作るということなんですが。
そういうオプションなどは、ないのでしょうか?

549 :login:Penguin:02/10/14 19:34 ID:IFHAdy7/
>>546
強者ではないがMacでも使っている。
ほぼi386と同じ感じで使えるので、Debianに満足している。
オススメは他を使ったことないので知らん(Vineは昔、一日だけ試したことはあるが…)。
数少ないので自分で試してみ。

550 :login:Penguin:02/10/14 19:42 ID:RNrM9utI
>>546
MacでDebianって,別に強者じゃないですよ.
(よほど,昔のMacで無い限り)
黄色犬,Vine,Holonとありますが日本人ユーザーが多いと思われる
Debian,Vineがいいんじゃないかと思います.

Vineもapt-rpmを採用してから使いやすくなったなと思います.

551 :login:Penguin:02/10/14 19:46 ID:vLff7zD/
インストーラがいつのまにか日本語になってて感動しますた。

552 :login:Penguin:02/10/14 20:03 ID:ksOtoRA4
>>546
> 我もMac使ってるんですけどDebianに乗り換えたいと思ってます。
> 初心者にはどのディストリがオススメですか?
こっちで聞いたら?

LinuxPPCユーザー、集え
http://pc.2ch.net/test/read.cgi/linux/980246074/

553 :login:Penguin:02/10/14 23:04 ID:jjdih/XM
enlightenmentでメニューの日本語がズレて表示される問題
http://lists.debian.or.jp/debian-users/200112/msg00285.html
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=122764
を解決して使ってる人いますか?


554 :login:Penguin:02/10/14 23:47 ID:fnbdjPvN
>>540
emacsは使わなくなって数年。今はvim。
Ctrlいっぱい押すのに疲れてしまいました。

いまんとこkinput2で足りています。


555 :login:Penguin:02/10/15 00:01 ID:yKDArg3p
/etc/apt/sources.listに
deb ftp://ftp.a.net/debian unstable main contrib non-free
deb ftp://ftp.b.net/debian unstable main contrib non-free
deb ftp://ftp.c.net/debian unstable main contrib non-free
って書いて、aになかったらb、bになかったらcってやってるんだけど、
(a,b,c,ともにミラーサイト)
もっとスマートな方法ってある?

network的にちかいとこをひとつ指定するだけだと、
そこがしょーもないとpoolにdebが入ってなかったりするよね。

最近外れをひくことが多いのでこうやってるんだけど、
無駄なトラヒックを増やすことにもなるもんだから、
接続しにいく前にミラーがまともかどうか知る方法があればいいなと。


556 :login:Penguin :02/10/15 00:06 ID:H1z8iSiU
Macの古いノートがあります(’92年製)。
Debiandeで逝きたいのですが目安としてどのくらいのcpuを必要と
するのかお教え下さい。

557 :login:Penguin:02/10/15 00:35 ID:AmTvlBcv
Debianでeclipse(http://www.eclipse.org/)使ってる人いますか?
ちょっと興味あるんですが,注意点とかあれば教えていただきたいんですが.

558 :login:Penguin:02/10/15 01:13 ID:8geouoem
>>557
libgtk+2.0-0をいれれば
http://download.eclipse.org/downloads/drops/R-2.0.1-200208291828/index.php
のLinux RH 7.1/SuSE 7.1 (x86/GTK 2)版が使えるよ

#eclipseのdebパッケージってあったっけ?

559 :login:Penguin:02/10/15 02:06 ID:6IW2xD5J
>>557
前にnightly buildにしたら動かなかったことがある・・・。
今はgtkのほうで普通に動いてるけど、日本語がまだ入力できん。
motifのほうはどうなんだろう?

560 :千鶴:02/10/15 02:07 ID:VPuVTMN0
http://people.debian.org/~walters/gnome2.html

561 :login:Penguin:02/10/15 02:21 ID:6IW2xD5J
>>560
sargeだよーうわぁーん!!

experimentalのaptlineは入ってるけど
足りないものがイパーイあるようわぁーん!!

ちなみにsidってどうなんでつか?
最新のソフトが一杯使えそうなイメージがあるんですが。
不安定?

562 :login:Penguin:02/10/15 02:28 ID:+e0VcBD4
>>sage
私も使ってるけど、i386 と変わらないよね。
非公式パッケージが少ないのが難点だけど。

KDE3.0.4 の PPC 版、どこかにないものか。


563 :login:Penguin:02/10/15 02:29 ID:+e0VcBD4
>>561
デスクトップ用途ならsidでもそんなに困らない。
っていうか新しいものが一杯はいっててたのしい。
たまに狂うけど。

564 :login:Penguin:02/10/15 02:34 ID:+e0VcBD4
>>556
なんの目安だ?
インストールできるか否かということなら、68k も含めてほぼ全ての Mac に
インストールできるはず(68kMacは良くしらんが)。

快適に使えるかどうかということなら、G3 かどうかが境界かな。
うまいことセッティングすれば 601/604 あたりでもなんとか。

参考
http://www.jp.debian.org/releases/stable/installmanual

565 :546:02/10/15 02:43 ID:i6k7J237
Debianのpotatoで行こうと思います。
インストールはFDとHDではどちらの方が安全ですか?

566 :login:Penguin:02/10/15 02:46 ID:AmTvlBcv
特別な理由がないのなら,今更potatoはやめておけ.


567 :login:Penguin:02/10/15 02:56 ID:H1z8iSiU
>>564
Thanks!! 601/604です。目的は埃のカブッタmacを再生させること。
用途はインターネット、ワープロ、表計算、メール・・・こんなもんです。

568 :login:Penguin:02/10/15 03:12 ID:+e0VcBD4
>>567
GUI を使うんだとしたら、少なくとも G3 じゃないとしんどいと思う。
っていうか、92年製だったら 601/604 もなにも PowerPC じゃないと思うんだが…。

で、92年製の PowerBook を調べてみたんだが PowerBook145 というのが出てきた。
こりゃむりだ。System7 を入れた方がまだマシ。


569 :login:Penguin:02/10/15 05:22 ID:J9wudT+i
アルケミーのマザボが載ってるパフォーマ5440にDebianの
woodyを入れてLinuxごっこをしている厨房です。

その前はLinuxPPC2000とVineLinuxで遊んでました。

Debianはかなり良さげなのですが、ただ一つ困ったことにX
Windowが立ち上がりません。

taskselでXFree86を入れて、設定のところでつまずきました。
ていうかアルケミーのグラフィックは内蔵なので、あてはまる
チップがないような・・・・

どうやって設定するんだ、この場合。ネットで調べたらATIだ
という情報があったのでどこまで信用して良いか判らないけど
設定し直しました。やっぱりダメ。

LinuxPPC2000とVineLinuxは何の問題もなくX Windowが
立ち上がったのに。どうもそれはフレームバッファというの
が使われてるかららしい。BootXでvideo=valkyriefdとやる
のがそれらしい。

でもDebianのBootXで同じ指定をしてもX Windowは立ち上がら
ない。ていうか、起動画面でのペンギンマーク、あれがすでに
色落ちしてる。起動画面はX Windowが立ち上がるはるか前の
はず。ということは、これカーネルの問題なんでしょうか?

最近のカーネルはフレームバッファ対応らしいのですが、
でもwoodyなら十分新しいでしょ?

誰か何か知りませんか?


570 :login:Penguin:02/10/15 05:33 ID:H1z8iSiU
>>568
Good moning! 寝ぼけて変なこと書いてました。実はPowerBook145(’92製)
&601/604の二台あるのです。初めてPC触ったのがmacでした。ちなみに
今はDynaBook(G4)です。145は無理そうデンナ。601/604の方は逝けるそうなので
そちらでDebianに挑戦します。GUIできるかな・・・。

571 :login:Penguin:02/10/15 07:13 ID:iO/iyHYe
>>570
| 今はDynaBook(G4)です

まだ、寝ぼけてるみたい。(わら


572 :login:Penguin:02/10/15 07:38 ID:H1z8iSiU
>>571
G4/510PME

573 :login:Penguin:02/10/15 08:17 ID:80iaBOvU
>>569
video=valkyriefb:vmode:10,cmode:16 でどうよ

>>570
>PowerBook145
m68kですな。一応インストールはできるが、快適に動くのは無理かも。CUIでどうかなと言ったところでしょう。
>601/604
PCI Macなら大丈夫でしょう(Old World機でもBootXで起動すればOKだが、Nubasの
もの(PowerMac 6100, 7100, 8100、PowerBook Duo 2300c, PowerBook 5300, 1400、
Performa 5200, 6200, 6300)は、MkLinuxかNubas-pmacでなくてはならない)。

574 :login:Penguin:02/10/15 08:29 ID:H1z8iSiU
>>573
Merci!!


575 :login:Penguin:02/10/15 08:32 ID:80iaBOvU
をぉ、漏れも寝惚けていた…。
s/Nubas/Nubus/

576 :login:Penguin:02/10/15 09:12 ID:80iaBOvU
>>569
XFree86のlogが無いので何とも言えないが、一応/etc/X11/XF86Config-4のSection
"Screen"のDefaultDepthとSection "Monitor"HorizSyncおよびVertRefreshあたりを
チェックしてみてはいかがかと。

577 :login:Penguin:02/10/15 10:18 ID:6tsr14wh
woody使ってます
xmms1.2.7の日本語のタイトル文字化けしちゃうんだけど、直せません
調べた限りでは mpg123 のプラグインの設定いじればよさそうなんだけど、
読み込み時の変換とかそういう項目がないのです。
どうすればいいんでしょ

578 : :02/10/15 11:31 ID:8TomcJ05
>>577

xmms-jaで表示できますが?


579 :login:Penguin:02/10/15 11:43 ID:+0enTdSD
>>578
woodyからはxmms-jaがなくなってないかな?
リリース前はあったのに

580 :login:Penguin:02/10/15 12:46 ID:STmW6Alh
x-window-manager とか使わず .xsession から exec fluxbox で
fluxbox を使ってるんですがメニュー等から gtk なプログラムを
実行すると日本語が化けます。ターミナルでコマンド打って実行すると
ちゃんとでるんですが...

考えられる原因は何でしょうか?

581 :login:Penguin:02/10/15 12:49 ID:83btLm1X
>>577
SHIFT-JISでタグ打たれてるとダメだたよーな。
EUC-JPに変換しちゃうってのはダメ?

582 :578:02/10/15 12:51 ID:8TomcJ05
>>579
ん? jpにまだありますよん。
http://ring.ocn.ad.jp/archives/linux/debian/debian-jp/dists/stable-jp/main/binary-i386/sound/
とか


583 :wdm のデフォルトのウィンドウマネージャ:02/10/15 12:55 ID:LaZEXWxH
wdm のデフォルトのウィンドウマネージャって、
特に .xsession で起動しなければ勝手に前回使ったものが使われますよね?
この個人用設定ってどこに保存されているのでしょうか?

584 :login:Penguin:02/10/15 13:14 ID:83btLm1X
>>582
Packagesからは削除されてます。
ちなみにこーゆー状態です。ftp.debian.or.jpにて。
lrwxrwxrwx 1 9003 ftpadm 79 Sep 21 05:53 xmms-ja_0.9.5.1-jp1-2.deb -> ../../../../../dists/potato-jp/main/binary-i386/sound/xmms-ja_0.9.5.1-jp1-2.deb

これが関係してるんでしょう。
http://www.debian.or.jp/News/#20020525
debian-devel:15201


585 :561:02/10/15 13:51 ID:wHjk//hs
>>563
漏れは個人用途しか使ってないからいいや。

たまに狂う、ってのはどのくらい狂うの?

586 :578:02/10/15 14:10 ID:8TomcJ05
>>584
なるほど、確かにPackagesにはないですねぇ。
ちなみにインストールされてるのは
ii xmms-ja 1.2.3-jp1-3 Versatile X audio player that looks like Win
こっちの方ですけどね。potatoからwoodyに上げた時に残ったのかなぁ。

587 :login:Penguin:02/10/15 14:23 ID:xB94tfYD
lsdbをw-betaで使ってるんだけど、どうもうまく動きません。
下のようなことで動くようになったんですが、
debianもlispもよくわかりません。つっこみよろしくお願いします。

--- lsdb-0.9/debian/emacsen-startup.orig 2002-10-15 14:04:10.000000000 +0900
+++ lsdb-0.9/debian/emacsen-startup 2002-10-15 14:06:04.000000000 +0900
@@ -31,7 +31,7 @@
;; for wl
(autoload 'lsdb-wl-insinuate "lsdb")
(add-hook 'wl-init-hook 'lsdb-wl-insinuate)
- (add-hook 'wl-draft-mode
+ (add-hook 'wl-draft-mode-hook
(lambda ()
(define-key wl-draft-mode-map "\M-\t" 'lsdb-complete-name)))
(add-hook 'wl-summary-mode-hook


588 :login:Penguin:02/10/15 15:53 ID:CwZfiVip
どこかのスレで見たが、LANG=ja_JP.SJIS xmms で逝けます。

589 :577:02/10/15 16:16 ID:u+iP8nT3
>>578 >>579
情報サンクス!
ゲトしてきて dpkg -i xmms-ja_1.2.3-jp1-3.deb したら表示出来ますた
依存関係で xmms が消えたけど(藁

>>581
LINUX しか使ってないので EUC-JP に決め打ちしちゃってもいいんだけど
一つ一つ変換するのも大変かなと思いまして。

590 :577:02/10/15 16:19 ID:u+iP8nT3
>>588
あ、そうなんだ。
それは試してないや。

591 :login:Penguin:02/10/15 17:08 ID:DUxew7Np
defoma管理下でみかちゃんフォントを使ってみたいと思うのですが、defomaの設定をどういじればいいのかわかりません。
何処かに資料ないでしょうか?


592 :login:Penguin:02/10/15 17:19 ID:xB94tfYD
>>591
おれも知りたい。
http://pc.2ch.net/test/read.cgi/linux/994758481/292-295n


593 :login:Penguin:02/10/15 17:25 ID:XjUpgeZh
>>587
ここじゃなくてBTSに投げれ


594 :login:Penguin:02/10/15 17:48 ID:03q/udVo
>>591
一つだけならdfontmgr使え。なけりゃapt-get install dfontmgr
とりあえず、dfontmgrで起動してRegister fontを選べばWizard形式で登録できる。
あとはdpkg-reconfigure x-ttcidfont-confでfont.dirを作りなおせ。


595 :login:Penguin:02/10/15 18:09 ID:F25pUgq0
間違えてMozilla板に書き込んだけど気をとり直して
Omoikane1.0を踏台にWoodyに移行したんですがメモリーが少なく認識されます
環境はkernel-2.4.18[&16]-686-SMPでkernel-modulesでのUpgradeです
メモリーは256x4積んでてRPM系[2.2&2.4]やOmoikane[2.2]では認識していましたがWoodyではdmesg&free -mでも900Mしか認識しません
liloにappend="mem=990M"とか書き込んでもダメです
dmesgではbigmem saportとなっているしkernel-modules使ったので
Omoikaneの設定引き継いでるはずなんですけど
わたしの100Mどこにあるのか知りませんか?

596 : :02/10/15 18:36 ID:8TomcJ05
>>587
メンテナに伝えようと思ったら風邪引いて
ひきこもり中

復活をマテ!

597 :login:Penguin:02/10/15 18:42 ID:xB94tfYD
>>593
そうしたいのだけど、これでいいのか自信がない。
diff自体はじめて使ったもので。

>>596
ども。


598 :名無しさん:02/10/15 20:27 ID:037wd56I
>>595
誠に僭越ながら申し上げます。

Linux kernelはデストリ間で共通ですから、
Debianスレはスレ違いだと思われます。
また、BIOSが変更されている可能性も否定できず、
その場合自作板辺りが適切な板と思われます。

御静聴ありがとうございました。

P.S.
サイズが少し違いますが、
/boot/configのHIGHMEM近辺も念のためお調べになった方がよろしいかと。

599 :login:Penguin:02/10/15 20:29 ID:83btLm1X
>>586
あ。すぐ下にxmms-ja_1.2.3-jp1-3.debってあるじゃん。おれ馬鹿?
徹夜明けでボケてたってことにしてください。

600 :login:Penguin:02/10/15 20:40 ID:F25pUgq0
>>598
595です
上で書いたBigmemsaportはHighmemSaportの間違いです
勿論Highmemについては調べたんですが
Debianの問題と思ったんですけどね
ま、他で調べます
ちなみにBiosはブートシーケンスしか触ってません

601 : :02/10/15 20:40 ID:sVzjbse9
>>599
> あ。すぐ下にxmms-ja_1.2.3-jp1-3.debってあるじゃん。おれ馬鹿?
sarge な俺もやってみようかと思ったら、xmms の plug-in が軒並み 1.2.5 を
要求してくるのであきらめた・・・。なんか切ないけどいいや(⊃д`)

602 :login:Penguin:02/10/15 21:45 ID:3wT9/hiK
>>577
まずは ttp://www3.big.or.jp/~sian/linux/products/xmms/index.html.ja
から xmms-1.2.7j_20021012.tar.bz2 を取ってきて、
$ apt-get build-dep xmms (必要なら)
$ apt-get -d source xmms
$ tar xvzf xmms_1.2.7.orig.tar.gz
$ tar xvjf xmms-1.2.7j_20021012.tar.bz2
$ diff -urN xmms-1.2.7 xmms-1.2.7j_20021012 > xmms-1.2.7j_20021012.diff
$ cd xmms-1.2.7
$ patch -p1 < ../xmms-1.2.7j_20021012.diff
$ gzip -dc ../xmms_1.2.7-1.1.diff.gz | patch -p1
(reject されたのは無視しても OK)
$ vi po/Makefile.in.in
---
prefix = @prefix@ ---> prefix = $(DESTDIR)@prefix@
---
$ debchange -i
(テキトーにバージョンとか決めて)
$ chmod a+x debian/rules
$ dpkg-buildpackage -us -uc

こんな感じでパッケージにしてます。
ここまで書いて気づいたが、diff ---> patch なんてする必要が
あるんだろうか……?

603 :login:Penguin:02/10/15 22:50 ID:EtuFGci/
Woodyでnisを動かしてみようとゴチャゴチャやって
ログオフしてログインしようと思ったら
rootでもlogin incrrectされてしまうようになりました

debianはシングルユーザーモードもパスワードは?とくるので‥

もうだめ?

604 :login:Penguin:02/10/15 22:57 ID:duNLy/Iq
ブート時にliloの画面で[tab]連打して
# [カーネルのラベル] init=/bin/sh rw
では?

605 :login:Penguin:02/10/15 23:44 ID:LvKoqh0O
巫女 GNYO/Linux
http://miko.gnyo.org/about.html

を使ってみるとかなー…      すみません,ネタです.

606 :login:Penguin:02/10/15 23:54 ID:j2Re8MLq
>>577
完全では無いがパッチを当てなくても文字化け程度は
直るようです
http://www.mn.cis.iwate-u.ac.jp/~koike/linux/index.html


607 : :02/10/16 00:11 ID:FMINXwRp
>>602
> ここまで書いて気づいたが、diff ---> patch なんてする必要が
ココはおいといて、まさにそのままでやってみました。
なんですが、やっぱりうまくいかず・・・もしかして、フォントを選んだりするんですかね・・。
なんか一瞬表示されたりはするんですけど、すぐに消えてしまいます・・・。
>>606
こちらも重ねて試してみたんですけど、駄目駄目でした・・・。

608 :602:02/10/16 00:28 ID:efyC8OxJ
>>607
mpg123 のプラグインで、文字コードの変換を設定する所があるんですが
そこは設定しましたか?確か、
入力:EUC-JP ---> Shift_JIS
出力:Shift_JIS ---> EUC-JP
とかを設定しなくてはいけなかったはずです。(これは自信なし。
手元に Linux マシンないので詳しく調べられないので)
日本語化パッチの中に説明が入ってるはずなので、それを読んでみてください。
あと、もちろんフォントも日本語含んでる物に設定しなければいけませんよ。

609 :603:02/10/16 00:41 ID:D9TiF1sF
>604
入れました、どうもありがとう

しかし、passwd: cannot determine your user name だそうで

いろんなとこが壊れちまったか‥

610 :login:Penguin:02/10/16 01:44 ID:MHyUjaUE
だれかそろそろえみに引導を渡してやって・・・

611 : :02/10/16 03:27 ID:FMINXwRp
>>608
入力を、Shift-JIS --> EUC-JP と逆でしたが、やってみたら、Playlist に
問題なくちゃんと日本語表示できました・・・ヽ(´ー`)ノ
凄いうれしいです、皆々様ありがとうございました。
こんなとこまで、設定するトコあるとは思ってもみませんでしたさ。

612 :login:Penguin:02/10/16 03:44 ID:JP/ZrFp+
>>610
そんなに迷惑じゃないだろ

613 :login:Penguin:02/10/16 04:26 ID:gkTBErcv
漏れもxmmsの件でずっと悩んでるんだが。
mpg123の設定を見てもエンコーディングの情報がみつからん。
「タイトル」のタブの中って聞いたんだが、やっぱりない。
どういうこと?

あとxmmsのgnome-applet使ってるからLANG=ってのはできない・・・。
しょぼん。


614 :569 (Xが勃たない男):02/10/16 06:37 ID:peTTASNI
>>573
言葉省略してて申し訳ありません。もちろんcmodeやvmodeは色々試してみたんですが・・・

>>576
さっそく今日チェックしてみますがDepthが16、水平も垂直もそんなに極端な数値にはなってなかったはず。
症状としてはscreen not foundでXが立ち上がらないんです。

615 :名無しさん@Emacs:02/10/16 06:43 ID:XYDoiL1K
>>614
>>1

616 :login:Penguin:02/10/16 06:59 ID:JP/ZrFp+
>>614
な、.xsessionの最終行に
exec twm
とか書いてみたらどうだよ?

617 :login:Penguin:02/10/16 07:57 ID:s0CZPNDU
>>608
>>613も言っているように、xmms-1.2.7のmpg123プラグインの設定項目に、
プレイリストの文字コードを設定する箇所がない。
mpg123-esdを入れていますが、それは関係があるのかな。
xmmsの[オプション]->[設定]で、GUIで設定したんですよね?

618 :608:02/10/16 08:28 ID:KuChji3O
>>617
日本語化パッチがあたっていれば、xmms の
[オプション] -> [設定] -> [オーディオ入出力プラグイン]
-> 入力プラグインの [MPEG Layer 1/2/3 ...] の中の [タイトル] タブに
「読込時の変換」と「書込時の変換」という項目が追加されます。で、
読込時の変換:Shift_JIS -> EUC-JP
書込時の変換:EUC-JP -> Shift_JIS
に自分はしているのですが、もしもこの設定項目が出てこないようでしたら
日本語化パッチが上手くあたっていないのかもしれません。

619 :577:02/10/16 08:49 ID:xwyBoa2L
俺も文字コードの変換の項目でて来なかったから悩んでたんだけど、
xmms-ja 入れたらすんなり解決したヨ

620 :login:Penguin:02/10/16 08:58 ID:7FPcPVqU
id3タグを全部eucに変換しちゃう案も
ちょっとスクリプトとか書いたら
そんなに大変でもないですよ


621 : :02/10/16 09:01 ID:FMINXwRp
Winでも使うので、なかなかそうもいかなかったです。

622 :login:Penguin:02/10/16 10:06 ID:8eSkbXEA
>>614
fbに関してはこのあたりでも参考にしてみてはいかが?
http://ppc.linux.or.jp/~hero-2/misc/BootX.html

XFree86に関しては>>1を読んで必要な情報を…。

623 :not577:02/10/16 14:31 ID:s0CZPNDU
>>602
詳しく書いてくれてありがとう。
他にもdeb-packageにパッチ当てるとき、これ位親切に書いてもらえると助かる。
rpmより難しい気がするから。

624 :login:Penguin:02/10/16 15:14 ID:+9IFoDgS
>>623
パッチ当てそのものはパケジシステムなしの場合と変わらんので、単にどっちのパケジ作成方法に詳しいか否かぐらいの違いしか無いような気がする。
……いや、ソースパッケージによってビルド時に自動的にパッチ当てするようになってる場合もあって、理解すれば合理的ではあるけどちと戸惑うような場合もあるけど。XFree86とか。そのこと言ってる?

625 :login:Penguin:02/10/16 15:47 ID:2FHFtQsn
>>624
呪文みてぇ、とオモタ

626 :glimpse:02/10/17 03:00 ID:Nyx2aaJ1
Debian のメーリングリストの検索ページが Powered by Glimpse らしいんで、
使ってみようかなと思ってパッケージを探したんだけど、
パッケージにはなっていないんだね。
RFP には入ってたけど、一年近く放置されてた。
http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no&bug=121825

むむ〜 agrep はパッケージになっているのになぁ。

627 :569=614 (Xが勃たない男):02/10/17 04:51 ID:7sol8FNg

Performa5440にDebianのwoodyを入れてX Windowが立ち上がらない男です。

念のためcmodeを10で起動したらちっちゃなペンギンが色落ちせずに表示されました。ということで、カーネルがおかしいのではというのは私の勘違いでした。

依然としてX Windowは立ち上がりません。純粋にXの問題だと思ってXF86Config-4を確認。水平同期は59-63、垂直同期は60-75に設定したはずだったんですが、なぜかそれぞれ28-50、43-75になってました。さっそく訂正。startx。

やっぱり立ち上がりません。XFree86.0.logを読んでみると、

(WW) cannot open APM
(EE) No device detected
Fatal server error:
no screen found

だそうです。APMの方は何だか良く分かりません。致命的なのはディバイス(スクリーン)が見つからないこと。コケる直前にATIのドライバらしきものを読んでるようです。あらためてXF86Config-4を確認すると

Section "Device"
Driver "ati"
Option "UseFBDev" "true"

となってました。UseFBDevとあるのだからフレームバッファは有効なんでしょうね。やっぱりビデオチップが認識されてないようです。ATIのドライバがATIのチップ探してみつからないので駄目でした、という結論らしい。

ATIで駄目なら何なら良いんだオイ。う〜ん。よし、

ガサゴソ、バキッ、ズズッー
マザボ引っ張り出してみました。

う〜ん。マザボ直接眺めてもビデオチップの名前分かりません。困った・・・

>616
ということでそれ以前のレベルのようです。


628 :login:Penguin:02/10/17 05:04 ID:E/mhffeX
>>627
http://vinelinux.org/ppc/manual/node76.html#2837

まあ、Apple の独自開発チップだからぱっと見じゃわからんわな。


629 :glimpse:02/10/17 07:13 ID:Nyx2aaJ1
>>627
> う〜ん。マザボ直接眺めてもビデオチップの名前分かりません。困った・・・

/proc/pci 見てもだめかな?


630 :login:Penguin:02/10/17 07:16 ID:UpSWzFVl
"true"を変えてみ

631 :login:Penguin:02/10/17 08:29 ID:E/mhffeX
>>629
628 のリンク先、見てみ。


632 :login:Penguin:02/10/17 08:34 ID:jWbYXu9F
漏れもOption "UseFBDev" "true"のコメントアウトに一票(Driver "ati"の時)。
確かfbで使う時にはDriver "fbdev"(うろ覚え)とかにしたような覚えが…。

633 :login:Penguin:02/10/17 08:37 ID:j5DNY5oC
俺は素人だ。雑誌についていたWoodyを入れた。
Postfix、Apacheが動いている。簡単すぎて、なんだか怖い。
雑誌で大量配布、DQNがあちこちにサーバを立てる。これでいいのか?
俺の場合は、公開サーバじゃないから、いいんだが・・・


634 :login:Penguin:02/10/17 09:19 ID:VuBSxeHn
>>633
なんとも言えないけど、GPLやその他多くのフリーソフトウェアライセンスを採用したものについて言えば制限することは不可能。それがウリだし。
せいぜいがセキュリティに関する啓蒙、容易なアップデートシステムの構築、そもそもセキュアなソフトウェアの作成などで地道に底上げしていくしかないかと。

635 : :02/10/17 10:53 ID:4ybSnTtM
なんで、そんなに1行が長いの?

636 :login:Penguin:02/10/17 11:04 ID:Nyx2aaJ1
>>635 それが >>634 の生き様、そして個性。

637 :login:Penguin:02/10/17 12:32 ID:+J1stnDg
なにげにemacs21のjapanese-egg-cannaが効かなくなったが?

error: "Can't activate input method `japanese-egg-canna'"

638 :login:Penguin:02/10/17 14:03 ID:JGJYe6Ee
>>637
うちの環境では動いているわけだが?

639 :login:Penguin:02/10/17 16:06 ID:JKjsfTaM
cannaに-inetオプションを付けていないってのは無いよな?

640 :login:Penguin:02/10/17 16:16 ID:XJ94RExW
>>639
それだと「activateできない」じゃなくて
「cannaserverと交信できない」ってエラーが出たのでは?

641 :639:02/10/17 16:36 ID:JKjsfTaM
その通りだ。すまヌ。

642 :login:Penguin:02/10/17 23:07 ID:+J1stnDg
>>638
eggを入れなおしたら、直った。
/usr/share/emacs/21.2/site-lisp/egg/ 以下が空っぽだった。
aptitude使っているからこうなるのだろうか?まさかな…
原因はsidだからか…

643 :569=614=627 (Xが勃たった):02/10/18 04:45 ID:pJsN6w3Z
ありがとうございました。

ディバイス名"fbdev"でX Windowが立ち上がりました。
ただ#Option "UseFBDev" "true"のコメントアウトはダメでした。
trueをfalseにしてもダメ。

644 :login:Penguin:02/10/18 06:43 ID:wZJsQUaS
sidにlibc6-2.3.1キタ━━━━━━(゚∀゚)━━━━━━ !!!!!

645 :login:Penguin:02/10/18 07:51 ID:yyHVxU2h
>>643
PowerBookG3のときの話だが、いろいろと試した中に、たしか解像度を決め打ちにして
atiドライバを使ったという覚えが有る(実は関係ないのかも知れんが…)。
でもatiは速いが、fbより粗かったので結局fbにて使用することにしたよ。

646 :login:Penguin:02/10/18 11:42 ID:WjZrX+Rj
custum packageのversionの付け方を教えて下さい。

officilalがupgradeした時にはofficialに追従したい場合、
officilalが
1.1-1
とすると、
1.1-1.1
でいいでしょうか?

また、custumであることを示すために、LOCALというのも入れたいのですが、
1.1-1.LOCAL.1
1.1-1.1.LOCAL
この二つの場合、どちらが最新と扱われるのでしょうか?

647 :login:Penguin:02/10/18 12:19 ID:zhraHCIc
>>644
日本上陸は週末だろうね。
変更点は何だろう。2.2.1でそのままで日本語OKになったのは知っているけど。
2.2.xって、UCS-4準拠なのかな?
で、2.3.xは何がいいの?GNUのglibcページはまだ2.2.5が最新となっていた。

648 :login:Penguin:02/10/18 12:44 ID:Mg3yXMO5
>>646
1.1-1.1はNMUで使ったりするから、
1.1-1.0.1とかやってる。
で、
/etc/apt/sources.list
deb file:/usr/debs ./
って感じ。


649 :login:Penguin:02/10/18 12:44 ID:Mg3yXMO5
>>648
1.1-1.1.1


650 :login:Penguin:02/10/18 13:03 ID:Mg3yXMO5
>>649
勘違い。-1のlocalぱっじぇーじは-1.0.1とか。
>>646
> 1.1-1.LOCAL.1
> 1.1-1.1.LOCAL
試してみなyo。


651 :login:Penguin:02/10/18 13:27 ID:WjZrX+Rj
>>650
> 試してみなyo。

やってみました。
1.1-1.LOCAL.1が1.1-1.1.LOCALに優先されました。
数字よりアルファベットの方が優先されるという理解でよろしいでしょうか?

652 :login:Penguin:02/10/18 13:47 ID:oxRMAJwg
>>646
http://www.debian.or.jp/search/namazu.cgi?query=%A5%D1%A5%C3%A5%B1%A1%BC%A5%B8+%A5%D0%A1%BC%A5%B8%A5%E7%A5%F3+%C8%E6%B3%D3&idxname=debian-users-jp-2001

653 :login:Penguin:02/10/18 14:27 ID:+f+z2ob4
すんません、sidなんですが、無線PCMCIA LANカードの
BUFFALO(Melco) WLI-PCM-L11GPを使いたいんですが、
設定はオッケーっぽい(ピッピッと鳴ってIPの設定なんかはちゃんとしてるっぽい)んですが、
pingも通りません。
powerとactiveランプが一瞬だけ付いてすぐ消えるので、そのせいじゃないかと思うんですが、どなたか対処法を知りませんか?


654 :login:Penguin:02/10/18 14:43 ID:WjZrX+Rj
>>652
どうもありがと。
まとめます。上から優先されるversionです。
Version: 1.1-2-1
Version: 1.1-23
Version: 1.1-2.LOCAL.1
Version: 1.1-2.1.local
Version: 1.1-2.1.LOCAL
Version: 1.1-2.0.1
Version: 1.1-2.0LOCAL.2
Version: 1.1-2+LOCAL.1
Version: 1.1-2
Version: 1.1-1

-、小文字アルファベット、大文字アルファベット、数字、.、+ の優先順位な気がしました。


655 :login:Penguin:02/10/18 14:48 ID:gAwn50s3
>>651
どういうアルゴリズムでバージョン比較をしているかは Debian Policy の
section 4 に書いてある。なかなか複雑そうだ。
その場合だとまず -1 と -1.1 の比較になるからその時点で -1.LOCAL.1 が
優先されれているんじゃないかな。

よくわからないときは

$ dpkg --compare-versions 1.1-1.LOCAL.1 gt 1.1-1.1.LOCAL && echo true
true

などとして試すのが吉。


656 :login:Penguin:02/10/18 15:08 ID:n5j/o3dK
>>635
kernel版じゃなくて、pcmcia-sourceから作るpcmcia-module使ってみては?
うちはWLI-PCM-L11だけどkernel版では動きませんでした。

657 :login:Penguin:02/10/18 15:21 ID:WjZrX+Rj
>>655
> >>651
> どういうアルゴリズムでバージョン比較をしているかは Debian Policy の
> section 4 に書いてある。なかなか複雑そうだ。

ありがとうございます。読んできました。

>>654を訂正。
-(ハイフン)は特別扱いなんですね。-でupstream-versionとdebian-revisionを区切って
別々に比較します。複数-がある場合、最後の-が区切りとなります。
で、非数字と数字で前から別々に比較してくみたいです、、、。

658 :glimpse:02/10/18 16:09 ID:FYlR3gfs
>>626
結構でかいなぁ、インデックス。
tiny で元データ総量の 1/10 くらい。


659 :651:02/10/18 16:14 ID:WjZrX+Rj
>>657
いろいろ想定してみたのですが、以下の方法がいいような気がします。
つっこみよろしくお願いします。

custom packageのversionの付け方。

<official-version>A0<好みのアルファベット>.<あなたのrivision>

例;official-versionが1.1-2の場合、
1.1-2A0LOCAL.1

これで1.1-2.0.1や1.1-2woody1や1.1-2+HANZUBON.1より優先順位が低くなります。
Aの後に0を入れるのは最初の非数字文字集合を"A"のみにする為です。

660 :653:02/10/18 16:54 ID:Ku6FW2sA
>>656
アドバイスありがとうございます。
kernel treeの中とpcmcia-sourceの中にそれぞれあるんですか。
知りませんでした。
試してみます。
職場じゃないと試せないので来週になると思いますが結果はまた報告に来ます。



661 :login:Penguin:02/10/18 18:11 ID:66F41Tef
Canna on Tamago-4 on Emacs21 で変換候補の一覧表示出来てる方いますか?

(defun customize-tamago ()
(setq egg-conversion-auto-candidate-menu 1)
;;(setq egg-conversion-auto-candidate-menu-show-all nil)
(setq menudiag-select-without-return t)
)
(add-hook 'canna-load-hook '(lambda ()
(load "egg-canna")
(customize-tamago)))
こんな設定してるんですけど,無理なんです


662 :login:Penguin:02/10/18 18:37 ID:Z0waRzPA
>>653 WEPとかESSIDとかの設定は大丈夫ですよね?

663 :login:Penguin:02/10/18 20:18 ID:wZJsQUaS
>>647
libc6 2.3.1-1でWnn7のライセンスサーバーがsegvりやがります。
(/etc/dpkey/dpkeyservlistでlibc6 2.2.*なマシンのdpkey7を見に
行くようにすれば大丈夫)
RedHat8.0でもWnn7が動かないという話があるし、
libc6 2.3.*はまだ地雷かも……

664 :login:Penguin:02/10/18 20:31 ID:NJLtfkv0
mode-info.el や perl-ja.info ってパッケージングされてませんよね。
info 周りとかが single binary より難しそうな気がしますが、簡単に出来るかな?
それともパッケージがありますか?(auto-apt はしました)
また、既にあるパッケージで用が済むなら教えてください。

665 :login:Penguin:02/10/18 21:12 ID:zhraHCIc
#apt-get update を実行した後このように表示されます。
これの前に、aptitudeでupdateを実行中、#dpkg-reconfigure apt-listchangesをやりました。

Reading Package Lists... Error!
E: Dynamic MMap ran out of room
E: Error occured while processing kmid (NewVersion1)
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.

/var/lib/dpkg/status の修復方法を教えて下さい。
status-old と置換すればいいのでしょうか。

666 :名無しさん@XEmacs:02/10/18 21:16 ID:KveXyKId
>>653
私も(woody ですが)WLI-PCM-L11GP 使ってます
私の場合、wireless-tools をインストールして /etc/pcmcia/config の

card "MELCO WLI-PCM-L11"
version "MELCO", "WLI-PCM-L11"
bind "orinoco_cs"

となってる所を、

bind "wvlan_cs"

に変更したら、(再起動後)使えるようになりました
参考までに

667 :665:02/10/18 21:24 ID:zhraHCIc
**なんでsageちゃったのだろう**

#apt-get update を実行した後このように表示されます。
これの前に、aptitudeでupdateを実行中、
#dpkg-reconfigure apt-listchangesをやりました。

Reading Package Lists... Error!
E: Dynamic MMap ran out of room
E: Error occured while processing kmid (NewVersion1)
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.

/var/lib/dpkg/status の修復方法を教えて下さい。
status-old と置換すればいいのでしょうか。


668 :Xが勃たった:02/10/18 23:52 ID:bzg8wXfm
>>645
解像度決め打ちにしてatiですか、いろいろ参考になります。
ただ僕の場合スピードはできるだけ軽いウィンドーマネージャを
使うことで対処しようと思ってます。

669 :login:Penguin:02/10/19 01:28 ID:mvzI81wY
>>653
カーネルモジュールだけでWLI-PCM-L11GP は使えます。
その場合は、 orinico_cs を使う設定になるはず。

woody の bf2.4 のカーネルコンフィグを見てみて
ください。

>>666
pcmcia-cs が 3.1.31-? くらいまでは wvlan_cs を
使っていたが、最近は orinico_cs を使うように
変わっている(から 666氏は書きかえている訳だな)。
pcmcia-modules を使うのなら、ONFIG_NET_RADIO は
切っておいた方が無難かも。

670 :USB接続の無線LANアダプタ:02/10/19 02:18 ID:aKdiDQH2
>>669
PCMCIA のものは簡単なんですねぇ・・・
USB接続のやつはだめなのかな。

671 :login:Penguin:02/10/19 02:58 ID:vgadbxfB
>>669
Intersil PRISM IIの コレガ "PCCB-11" 使ってます。
以前は"wvlan_cs"でしたが最近 "orinoco_cs"使ってます。
(どっちでも動くことは動く)
インターフェースは/etc/network/interfaces でなく、
/etc/init.d/pcmcia で直接設定してます。

ただ、APの仕様 or 設定する人 のどちらかがヘボなのが原因で
"WEP"が動作しません。

672 :666:02/10/19 03:11 ID:h3tf/qdD
>>679
orinoco_cs の方は、カードの認識はしてるみたいで
AP への ping くらいは何とかできたんですが
数100KB 程度のファイルを落とすこともできなくて
(途中で止まる)うちでは使いものにならなかったです

>>670
私はデスクトップの方に WLI-USB-L11 を継いでいて
linux-wlan-ng を入れてみたりしたんですがダメでした
誰か使えてる方がいたら情報ほしいです

673 :login:Penguin:02/10/19 03:58 ID:bbk3zYA3
sidにglibc 2.3キタ━━━━━━(゚∀゚)━━━━━━ !!!!!

674 :login:Penguin:02/10/19 07:03 ID:jzOQi5q+
>>673
>>644でガイシュツ

675 :USB接続の無線LANアダプタ:02/10/19 08:22 ID:aKdiDQH2
>>672
> 私はデスクトップの方に WLI-USB-L11 を継いでいて
> linux-wlan-ng を入れてみたりしたんですがダメでした
> 誰か使えてる方がいたら情報ほしいです

やっぱり USB 接続の無線LANアダプタは Linux にはまだ無理なのかも・・・
USB 接続だったら机の下のデスクトップからも余裕でケーブル延長できるので、
いいかなとおもってたんですが。

外部アンテナ接続可能なやつにするしかないのか・・・・・

676 :USB接続の無線LANアダプタ:02/10/19 08:59 ID:aKdiDQH2
スレ違いだけど、ちょっとだけ調べてみた結果を書いておきます。
The linux-wlan(tm) Company
http://www.linux-wlan.com/linux-wlan/index.html#Compatibility

Linux で使えそうなUSB接続の無線LANアダプタは次のとおり。

Bromax BUW211-I FreePort USB 11M WLAN Adapter
http://www.bromax.com/product%20list/wireless/buw211-i.htm

Actiontec 802UI3 USB 802.11b Wireless LAN Intersil Prism II.V
http://www.actiontec.com.tw/wireless.htm

Linksys WUSB11 (ただしメーカーがいま出荷しているのは ver 2.6)
http://www.linksys.com/Products/product.asp?grid=22&prid=435

Gemtek WL-380/780 series Wireless LAN USB adapter
http://www.gemtek.com.tw/prod_wl_380.htm
Gemtek WL-388 series mini-USB
http://www.gemtek.com.tw/prod_wl_388.htm
この二つは本当に動くかどうか妖しい。

677 :USB接続の無線LANアダプタ:02/10/19 09:02 ID:aKdiDQH2
ごめんなさい・・・・↓でした。
Note that this list is almost always out of date.

678 :USB接続の無線LANアダプタ:02/10/19 09:12 ID:aKdiDQH2
Prism2.x 11Mbps WLAN USB Adapter
http://www.qbik.ch/usb/devices/showdev.php?id=1143
driver =acm

Actiontec 802.11b (Wi-fi) USBA adapter HWU01170-01
http://www.qbik.ch/usb/devices/showdev.php?id=1147
driver = acm

Actiontec HWU01170-01
http://www.qbik.ch/usb/devices/showdev.php?id=931
driver = prism2_usb

Addtron Wireless Mini USB Adapter 802.11b AWU-120
http://www.qbik.ch/usb/devices/showdev.php?id=1086
driver = acm

Compaq Corporation Wireless 11Mbps Multiport WLAN Adapter
http://www.qbik.ch/usb/devices/showdev.php?id=1159
driver = linux-wlan-ng

D-Link USB 802.11b adapter based on ATMEL AT76C503A
   (D-Link DWL-120,Compaq iPaq(243658-001),
    Gemtek WL-380, SMC 2661W,HP hn210w (J7801A) )
http://www.qbik.ch/usb/devices/showdev.php?id=705
driver = none ←ってなんだ・・・・

679 :つづき:02/10/19 09:22 ID:aKdiDQH2
Linksys WUSB11
http://www.qbik.ch/usb/devices/showdev.php?id=1266
driver = binary driver from http://www.wireless.org.au/~jhecker/atmeldrv/atmeldrv.html

Linksys WUSB11 v1.0-v2.4 wireless 802.11b USB adapter
http://www.qbik.ch/usb/devices/showdev.php?id=1079
driver = acm

Linksys WUSB11 v2.5 wireless 802.11b USB Adapter
http://www.qbik.ch/usb/devices/showdev.php?id=1078
driver = linux-wlan

Microsoft MN510 Wireless USB adapter
http://www.qbik.ch/usb/devices/showdev.php?id=1407
driver = linux-wlan-ng

Netgear MA101
driver = Atmel's GPLed driver for AT76C503A based devices
http://www.qbik.ch/usb/devices/showdev.php?id=1327

Sitecom WL-003
http://www.qbik.ch/usb/devices/showdev.php?id=1232
driver = vnetusba
     Atmel AT76C503A Chipset, works with with kernel 2.4.18.
     (stable but slow)latest GPLed driver from CVS.

Tekram Technology Europe GmbH AIR.mate U-300C
driver = vnetusba
http://www.qbik.ch/usb/devices/showdev.php?id=1214

ごめん、こんなに長くなるとは・・・・

680 :login:Penguin:02/10/19 09:36 ID:fN3oqhO7
そういえば無線 LAN スレってないね。

681 :login:Penguin:02/10/19 09:37 ID:aKdiDQH2
通信技術板とハードウェア板にあるんだけど・・・・

@通信技術板
 ここのドライバの話などはハードウェア板でやれ。
@ハードウェア板
 Linuxの話はLinux板でやれ。

となるのでつ(笑

682 : :02/10/19 14:57 ID:0IOfJeTU
>>681
スレ立てたらええやん。
結構需要あるとおもうが、、、

683 :login:Penguin:02/10/19 15:44 ID:yERwRSNT
いらねぇよ.
無線LANってったって,結局はPCMCIA周りの設定だろ.
そんなんは無線LANに限ったことじゃない.
立てるんならもっと汎用的に使えそうなスレにしろ.

684 :681:02/10/19 15:59 ID:aKdiDQH2
Linux で各種無線LAN製品を使用するにあたっての情報交換
のためのスレッドを立てさせていただきました。
いろいろとお騒がせしました。どわ。

【Wireless】Linuxで無線LAN【IEEE802.11】
http://pc.2ch.net/test/read.cgi/linux/1035009811/

685 :login:Penguin:02/10/19 18:06 ID:LIcScBsX
jmodeのsourceパケジ試したんだがjmode起動しても日本語入力ができません。

だれかうまくいった人いますか?


686 :login:Penguin:02/10/20 00:13 ID:xfluh5rV
そろそろMewは3.*でいいと思います > のしろさめ

687 :login:Penguin:02/10/20 00:48 ID:dZIW/Uot
Debianでは日本語を中心に使いたいときには
LANGを日本語にしとかなきゃならん(当然)わけですが、
そのままだと、emacsのdiredが化けてしまって、
ファイル操作もできなくなりますよね。

~/.emacs.elに
(setenv "LANG" "C")
と書いておけばよいのは知っているのですが、
すると今度は
emacs-w3mなどがうまく動かなくなります。

どうしたものでしょうか?



688 :名無しさん@Emacs:02/10/20 00:50 ID:TqGbcSsq
>>687
なんかかなり勘違いしてない?

689 :login:Penguin:02/10/20 00:54 ID:ua71uW/o
>>685
こんなんでどうですか?

--~/.xinitrc--
#!/bin/sh
xrdb ~/.Xdefaults &
SOME_NICE_WM="fvwm2"
LANG="ja_JP.eucJP"
LC_ALL="ja_JP.eucJP"
export SOME_NICE_WM LANG LC_ALL
jmode &
XMODIFIERS="@im=jmode"
export XMODIFIERS &&
$SOME_NICE_WM
--------------

690 :login:Penguin:02/10/20 01:39 ID:dZIW/Uot
>>688
> なんかかなり勘違いしてない?

む? 勘違いですか? なんかおかしいのかしら。
FreeBSDから最近引越してきたのでわからんことが多いのです。
.emacs.elも持ちこしてきてるから色々不具合があるのかも....



691 :login:Penguin:02/10/20 01:47 ID:ng72Q8wB
>>687
> そのままだと、emacsのdiredが化けてしまって、
うちは化けてないよ。
set-language-env -l ja しろ、とかそういう話?c

692 :login:Penguin:02/10/20 01:49 ID:ng72Q8wB
>>687
あ、Emacs20 だと化けるな。
Emacs21 とか XEmacs は問題ないっぽい。

>>690
> .emacs.elも持ちこしてきてるから色々不具合があるのかも....
その辺はそっちで切り分けしてもらわんと。

693 :login:Penguin:02/10/20 02:39 ID:dZIW/Uot
>>691
> >>687
> > そのままだと、emacsのdiredが化けてしまって、
> うちは化けてないよ。
> set-language-env -l ja しろ、とかそういう話?c

んがー。してませんでした。ごめんなさい。




694 :login:Penguin:02/10/20 02:44 ID:ng72Q8wB
>>693
必須ではないよ。
dot file を生成してくれる。
やるなら、既存のを壊さないように注意してね。

695 :eximについて:02/10/20 03:17 ID:lkwk0toT
eximでのsmtp-authについて教えて下さい。
woodyにexim+qpopper,WINDOWSにoutlook express, Beckyでの環境です。
サーバーに送信・サーバーから受信はできるのですが、
認証による中継ができません。pop before smtpのような
認証による送信がしたいのです。
bindなどのDNS関係は特に問題がないようです。
本家のhttp://www.exim.org/exim-html-3.10/doc/html/spec.htmlなど
を読みましたが、対処できません。

#1 /etc/exim/passwdについて
「user 暗号化したpasswd」で設定しました。
#2 /etc/exim/exim.confの設定について
host_auth_accept_relay = *
AUTHENTICATION CONFIGURATION
でplain, login, cram_md5の#をはずしました。
#3 outlook express, Beckyの設定について
送信時の認証項目にチェックをしました。

以上の設定にもかかわらず、smtp-authができません。

clientでのエラーメッセージは、
550 relaying to <user@server> prohibited by administrator

server での/var/log/exim/mainlogは
refused relay (host) to <usur@server> from <usur@server>
となっています。

何かヒント・リンク・アドバイス等があれば幸いです。宜しくお願いします。


696 :login:Penguin:02/10/20 03:54 ID:MtQX+7IV
>>667
うちもなりました。
とりあえず、sidのapt-lineを消してatp-get updateしたら問題無くなりました。
> E: Error occured while processing kmid (NewVersion1)
などとあるので、Packages.gz のフォーマットでも変ったのかな?
と思ってるのですが。

apt-get install dpkg/testing dselect/testing
すれば直るかとも思うのですが、手許でこの現象に遭遇したマシンは
あまり冒険させるわけにはいかないやつなので試していません。


697 :login:Penguin:02/10/20 05:16 ID:B1qSgQFz
debian-develの[WARNING] libc6.shlib bug in libc6 2.3.1-1 (Bug#165456)より

For sid users, DON'T HOLD libc6, but upgrade others.
maybe following package was upgraded after libc6 2.3.1-1 upgraded
(according to mirror log on ftp.jp.debian.org), so
some of them may have wrong dependency. be careful.
44bsd-rdist antlr asmail autotrace binutils-avr bison bogofilter
bozohttpd canna centericq cl-sql cmake common-lisp-controller
debianutils eog2 estic exuberant-ctags gcc-avr gconfmm1.3 ggz-txt-client
gnome-applets gnome-gv gnome-media gnome-media2 gnuchess gputils
gtetrinet gtkmm1.3 hdf5 kcdlabel libevent-perl libgda2 libglademm1.3
libgnomecanvasmm1.3 libgnomemm1.3 libgnomeuimm1.3 lids-2.2 lids-2.4
lunar mailutils modlogan mooix muse proftpd pstoedit python-japanese-codecs
r-base regina-normal rfb sendmail tcl8.0 thy tk8.0 wlex wmcoincoin
wmfire xfree86 xmms-shell xmonobut xmorph xpa

だそうな。


698 :login:Penguin:02/10/20 11:02 ID:yJWjEtAu
grubでsplash画像を表示させる方法を教えてください。

赤帽から吸い出したsplash.xpm.gzを/boot/grub/内に置いて
/boot/grub/menu.lstに
splashimage=(hd0,0)/grub/splash.xpm.gz
とか
splashimage=(hd0,0)/boot/grub/splash.xpm.gz
とか書いてupdate-grubしてみても
起動カーネルを選択する場面で画像が出ず文字だけになります。

環境は以下のとおりです
OS: Debian GNU/Linux 3.0 (Windowsは入ってません)
grub version: 0.91-2.guru.1 (0.91-2+赤帽パッチも試しました)
PC: IBM ThinkPadX23-E3J
VGA: ATI MobilityRadeon AGP4X
パーティション構成:
/dev/hda1 /
/dev/hda2 /usr
/dev/hda5 /home
/dev/hda6 /var

過去log検索したら
http://debian.dtdns.net/1030178687.html#58
でガイシュツだったけど解決方法は書いてなかったので。。。

699 :名無しさん@Emacs:02/10/20 11:20 ID:PCv97CD2
>>698
grub にはその patch 当ってるの?


700 :login:Penguin:02/10/20 11:23 ID:/ZZi/8Z5
済みません。

sid使ってるんですが、昨日からeximで受信だけできなくなりました。
syslogを見ると
  inetd[2264]: getpwnam: mail: No such user
こんなのがやたら出てるのですが、user mailは以前と同じくあります。
apt-get update; upgradeは頻繁にやっているものの、inetd eximは最近upgradeした様子もなく、何か根深い問題だろうとは思うのですが、私のスキルでは想像つきません。

何かアドバイスいただけると助かります。


701 :651:02/10/20 11:27 ID:bha3vRWP
>>698
それでいけると思うけど。
splash.xpm.gzがあやしいかな。

702 :名無しさん:02/10/20 11:29 ID:BSKpJjaz
とりあえず、
$ getent passwd mail
してみれば? 変なら、
$ ltrace getent passwd mail

703 :664:02/10/20 11:49 ID:GOEbii56
返事が付かない。。。;D

皆さんは、/usr/share/info に info を手で放り込むことに違和感を感じますね?
そこで、ちょこっとパッケージを作って、、、となるはずです。
ところが、info のインスコは、当方がまだ「Debian メンテナ入門」しか読んでいないせいか、
/usr/info/dir の更新(エントリを追加)もさせる方法を知りません。
install-info の実行もパッケージの中に入れられると思うのですが、、、どうしたら良いのでしょう?
postinst? prerm? とかに、、、どうやって?

704 :698:02/10/20 11:53 ID:+YEAijLf
>>699
guruのはsplashimageパッチが当たってるはずです。

>>701
友人のThinkPad-i1157に入れてみてもらいましたが0.91-2.guru.1に
splashimage=(hd0,1)/boot/grub/splash.xpm.gz
でちゃんと赤い帽子が拝めました。
漏れの環境と違う点は
・同じThinkPadでもi1157だとグラボがNeoMagicなこと
・友人はWin2kとデュアルになっててWoodyのパーティション構成は
/dev/hda2 /boot
/dev/hda3 /
なことです。




705 :login:Penguin:02/10/20 13:07 ID:YnL/XTba
>>703
debian policy の 13.2 は読んだ?
あと、info の入ってる *-doc package を見てみるとか。

706 :login:Penguin:02/10/20 14:37 ID:9E5rkc4X
>>687
dired-move-to-filename-regexp が合ってないとか、そういう話?
うちではだいぶ前から書き直して使ってるけど…

707 :700:02/10/20 14:49 ID:/ZZi/8Z5
>>702

お返事ありがとうございました。

me@hoge:/var/log$ getent passwd mail
mail:x:8:8:mail:/var/mail:/bin/sh

が、とりあえず問題なさそうです。

# xを久方ぶりに起動し直したらskkで辞書引けない等、なんか問題多そうです。
# むー。

708 :login:Penguin:02/10/20 15:07 ID:xfluh5rV
>>707
> # xを久方ぶりに起動し直したらskkで辞書引けない等、なんか問題多そうです。
> # むー。

ttp://www.topstudio.co.jp/~kmuto/d/?200210b&to=200210185#200210185

でどうですか?

709 :login:Penguin:02/10/20 15:29 ID:EA1F66/s
>>703
拙作のローカルなパケジは postinst と prerm で install-info してるなあ
たしか emacs-lisp-intro-ja を参考にしたはず。

>>706
漏れも fileutils(今はもう coreutils か)が上がって ls の書式が変わる度に書
き直して使ってる YO!

710 :login:Penguin:02/10/20 20:59 ID:AJidwkdb
GUIにrootで直接ログインできる方法知りませんか?

711 :login:Penguin:02/10/20 21:12 ID:ng72Q8wB
>>710
なんでそんなことしたいの?

712 :login:Penguin:02/10/20 21:16 ID:bha3vRWP
>>710
gdmならAllowRoot=trueでいけます。
他のは知りません。


713 :710:02/10/20 21:20 ID:AJidwkdb
>>712
ありがとうございます

714 :664:02/10/20 21:21 ID:GOEbii56
>>705
ズバリ書いてありました。ごめんなさい。
実際的な内容ではないものだと思い込んでいました。
最近(?)は dh_installinfo を使っているやつばかりなので、
man を読んでやってみてもうまくいかず、結局 postinst, prerm を編集しました。
install-info --infodir=/usr/info \
--section 2ch 2ch \
--description='* perl5.000J: (perl-ja).' \
/usr/share/info/perl-ja.info
# たったこれだけに、何度も build したょぅ。。。 ;D
# install-info が必要とする記述が perl-ja.info の内部に足りないんだもん。

>>709 あっ、そうか。そのパケジを忘れてたw

715 :login:Penguin:02/10/20 21:22 ID:5WZhl6rw
>>710
suのgdmconfigっすかねえ。
でもなんでそんなことなさりたいれすか。

716 :710:02/10/20 21:26 ID:AJidwkdb
>>710
>>715
一般ユーザーでログインして使うのが筋なのはわかってるんですけど、
一般ユーザーでGUIにログインしてソフトをインストールするときに
いちいちsu するのがめんどくさいんですよ ;




717 :login:Penguin:02/10/20 21:27 ID:E3/Fk9Ok
>>716
気をつけろ。そのうち飯を食うのも息をするのもめんどうくさくなるぞ。

718 :login:Penguin:02/10/20 21:30 ID:6haQSY+J
>>716
sudo

719 :710:02/10/20 21:39 ID:AJidwkdb
>>716
動くのが面倒でデブです。

>>716
sudo使った方が楽ですね。sudoにしようかな。

720 :login:Penguin:02/10/20 21:47 ID:/ZZi/8Z5
>>708
コメントありがとうございました。
これからは武藤さんの日記もチェックするようにします。
でもnscd入れなくて、解決(?)しました。

まずeximの件は、inetdを再起動したら直りました。(多分)
# それ位先に試せって突っ込まれそうですが。

skkの方は、emacsでとりあえず変換ができたので終了する際、.skk-jishoを小さいサイズで上書きするけどいいか?みたいなことを聞かれてYesってやったら普通に使えるようになりました。
# それまではximがwindowを道連れにして死んでたんです。
今まで育てた辞書が吹っ飛んだっぽいけど、まあOKとします。


721 :login:Penguin:02/10/20 22:41 ID:scbzsCun
>>716
毎回ログアウトして再度ログインする方が、よっぽど面倒臭くないかい?
洩れの場合、端末なんて一度ログインしたら滅多にログアウトしないけどな...


722 :login:Penguin:02/10/20 22:57 ID:qjoCuXe0
sudo rm '* ~' などとやってしまった場合は、あわてふためくだろうな

723 :login:Penguin:02/10/20 23:01 ID:GOEbii56
>>710 まじめに root の使い分けを考えた方がいいよ。スレ違いだけどね。

724 :login:Penguin:02/10/20 23:43 ID:NXp6cplb
>>717
ポルポだっけ?

725 :login:Penguin :02/10/21 00:06 ID:oeEP9q6d
apache2のことだけど、
mpmは何使ってますか?こちらはthreadpoolってのを試してます。

726 :login:Penguin:02/10/21 13:25 ID:u54XuK7J
>>722
$ sudo ls '* ~'
ls: * ~: そのようなファイルやディレクトリはありません
ってなったよ。
どこがメタ文字解釈するのでしょう。
ネタにマジレス?


727 :login:Penguin:02/10/21 14:37 ID:YKgg5xDb
$ sudo /etc/init.d/canna start
Starting cannaserver...
/usr/sbin/cannaserver: /lib/libc.so.6: version `GLIBC_2.3' not found (required by /usr/sbin/cannaserver)

今日 apt-get install したら、
canna が起動しないのですが、どうすればいいのですか?


728 :login:Penguin:02/10/21 14:53 ID:S5CeeWWL
>>726
ってか、''で囲っちゃったらメタ文字じゃなくなってるよーな。
* ~
とゆー名前の「1ファイル」を削除しようとしてるだけのはず。危険性はないやね。
>>722 がなぜこんな書き方をしたのか不思議だけど。ネタ?

729 :login:Penguin:02/10/21 14:53 ID:4mCBKW+m
sidつかっとるのですが、このまえemacsがアップデートされてから
sjis-dosのファイルを開いて編集し保存すると
行末に^Mが追加されてしまうようになってしまったのですが、
どうやったら直るのでしょうか?
eus-jp-dosだとこの現象はおこらないみたいです。

使ってるのは、
ii emacs21 21.2-5 The GNU Emacs editor.
ii emacs21-common 21.2-5 The GNU Emacs editor.
ii emacs21-el 21.2-5 GNU Emacs LISP (.el) files.
ii emacsen-common 1.4.15 Common facilities for all emacsen.


730 :login:Penguin:02/10/21 14:54 ID:fCmaFXWw
>>728
> >>722 がなぜこんな書き方をしたのか不思議だけど。
「* ~」を強調したかっただけ、とか。

731 :login:Penguin:02/10/21 14:56 ID:NasQaP+S
>>727
3.5b2-51で直ってない?



732 :726:02/10/21 15:42 ID:u54XuK7J
sudoにshellが'* ~'をわたすときにescapeを使っちゃって、
sudoがlsに* ~を渡すと、*と~になる、なんてストーリーを考えて、
実際にテストしてみました。

でも、lsが自前でメタ文字(+コマンド行引数を)解釈しないとダメですよね。

もし、sudoがシェルを呼んで、その上でlsを実行してるなら、
そういうストーリーもありでしょうか。


733 :login:Penguin:02/10/21 18:46 ID:YsS4Bk4P
>>732
そもそもメタ文字って、コマンドラインを渡されたシェルが解釈・展開するものじゃなかったっけ?
だから個々のプログラムがメタ文字を解釈する必要がないってのがUNIXのシェルのえらいところで(もちろんエスケープによってそのまま渡された「メタ文字」を自前でメタ文字として扱うことは可能だけど、たいていはしない)。

>もし、sudoがシェルを呼んで、その上でlsを実行してるなら、
>そういうストーリーもありでしょうか。

そうなると、サブシェルに渡される可能性がある場合はメタ文字を二重にエスケープしないといけないってことになるやね。そんな(人間にとって)ややこしい仕様になってるとは思えないけど。

734 :login:Penguin:02/10/21 18:54 ID:/SYQfA4H
渡○君はネタですか?
読む気もしないんですが

735 :login:Penguin:02/10/21 19:12 ID:AV2GI049
>>723 root でないユーザでログインして、sudo 使うのが便利だと思うよ。

736 :login:Penguin:02/10/21 20:32 ID:mfCwKy4v
すみません。 質問です。 potatoから昨日 woody に入れ替えて、Xの設定をしているのですが、どうしても立ち上がりません。
XFree86 のログを見る限り エラーログはこんな感じで

# cat /var/log/XFree86.0.log | grep EE
(EE) Failed to load module "glide" (submodule could not be loaded, 2)

ビデオカードは # lspci | grep VGA
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] SiS630 GUI Accelerator+3D (rev 21)

一応必要なものは入っているつもりなのですが、 アドバイスをお願いしたいと思います。
# dpkg -l | grep xserver
ii xserver-common 4.1.0-16 files and utilities common to all X servers
ii xserver-xfree8 4.1.0-16 the XFree86 X server

737 :login:Penguin:02/10/21 20:47 ID:vFFiYbek
>>736
glideがなんだか知らないので一般論だけど、
WoodyからXが4系になってconfigファイルは
/etc/X11/XF86Config-4
になったよ。このファイルの中身を確認。

738 :login:Penguin:02/10/21 22:08 ID:u54XuK7J
>>735
すさまじくうろ覚えなんですが、実行可能なスクリプトの先頭の
#! /usr/bin/hoge
の解釈を昔はシェルがやっていた、(今はカーネルがやっている)
という話を聞いた気がします。

この状況では、sudoが全ての実行可能ファイルを扱えるようにするには、
シェルを起動してそこに丸投げしちゃえば良いかと。
丸投げしないとなると、sudoが自分で1行目の
#! /usr/bin/hoge
を解釈しなければならないでしょうから。

こういうことを考えると、サブシェルに丸投げは、
全くかけらも微塵も想像できないってほどでは無いかと思いますが。

「カーネルじゃなくてシェルが云々」の話がまるで嘘だったらごめんぽ。


ちなみに、自前でメタ文字解釈をする珍しい例外には、例えばfindあたりが入るのでしょうか。


>>736
$ apt-cache search glide
すると
libglide2 - Graphics library for 3Dfx Voodoo based cards
と出てくるように、glideはsisでは使わないんでは?
glide関連のライブラリ、例えば mesag3-glide2 あたりが入っちゃってるんでは?
とりあえず、glide関連のライブラリを削除してみるのがよろしいかと思いますが。



739 :738:02/10/21 22:09 ID:u54XuK7J
>>735じゃなくて、>>733です。
逝ってきます。

740 :736:02/10/21 22:24 ID:mfCwKy4v
>738
やってみます・・・・ トワァーーーー  起動してた dselect 暴走中。  気づいたら、もう修復不可能状態・・・
running dpkg --pending --remove ...
(データベースを読み込んでいます... 現在 22858 個のファイルとディレクトリがインストールされています。
)
telnet を削除しています...
mbr を削除しています...
pciutils を削除しています...
ipchains を削除しています...
dpkg: textutils の読み込みエラーです(--remove):
これは必須(essential)パッケージです。- 削除すべきではありません。。

・・・・・なんかこんなのが延々100行くらいでてるんで、もう一回クリーンイントールします。 dselect のキー操作ってムズイ・・・

741 :login:Penguin:02/10/21 23:17 ID:KAF5fl0u
>>740
そりゃ必須パッケージ削っちゃダメだろ(汗)
LANGをja_JP.eucJPにすりゃヘルプも日本語で出るだろ?
よく読んで使おうよ。

あと、woodyはdebconfがXの設定やってくれるんで、

# dpkg-reconfigure xserver-xfree86

して質問に答えていけばいいはずだよ。

742 :login:Penguin:02/10/21 23:29 ID:hHyZ1dVI
>>740
>dselect のキー操作ってムズイ・・・
そうだね。apt-getを使おうね。

743 :736:02/10/22 02:35 ID:r3IlZapV
もういや・・・・ もういや。 まだ終わんない(涙
dselect も使いこなしている人はいいツールだって言うけど vi とかのコマンドと全然違うからやばくなったときに対処方法に困った。
とりあえず Ctrl+C とか :q とか :q! とか押してみたんだけど、もう無理だった・・・・

で、今見てみたらわかんなくなったら大文字のQを押して、そのまま抜ければよかったらしい。
ちゅうか ごめんやっぱりよくわからない。 参考にしないで下さい。

744 :login:Penguin:02/10/22 02:49 ID:9W45y+vB
>>736
?押せばhelpが出ます。とりあえず、これだけ覚えておくといいかも。

745 :login:Penguin:02/10/22 03:25 ID:qo4wjxSg
aptitudeってのもあり

746 :login:Penguin:02/10/22 06:51 ID:XO1BLQpH
>>738
ソースなり解説書なりを読みませう。想像で話してたって変な結論が出てくるだけ。
落語のうわばみじゃあるまいし。

>>743
なぜに:q……。
lynxやw3mを立ち上げてviと違うじゃねぇか、とかいうの?

747 :login:Penguin:02/10/22 08:50 ID:8QFmkuql
dselectってなんか怖いので一度も立ち上げたことない。>>736 の経過を
見て、これからも絶対に使わないことを心に誓いますた。

748 :login:Penguin:02/10/22 10:40 ID:ps/CHhPI
>>747
何も考えずにキーを押してたら俺もそうなった。
初めてやったときは再インストールしたけど、
二度目のときは全パッケージを前と同じ状態に
戻した。超面倒。

749 :login:Penguin:02/10/22 10:56 ID:+G8UvrwB
10/30に◯。がDebianインストールセミナーをやるってマジなの!?



750 :login:Penguin:02/10/22 11:14 ID:O+T4g2+G
>>749
これもひとつのテロですかね。

751 :login:Penguin:02/10/22 11:18 ID:4nH/BVKO
生物兵器テロですな。

752 :login:Penguin:02/10/22 11:47 ID:rmU51gpC
いま、LINUX MAGAZINEの10月号に付いていたWOODYを富士通LOOX S9
(CPU CRUSOE)にインスコしようとしているのですが、どうにも
手つまってしまってます。
諸処の理由からネットワークインストールを使いたいのですが
"基本システムインストール"のところで「debootstrapは異常終了
しました(戻り値 1)」と出て止まってしまいます。 ftp先を
色々変えてみたのですが、どこも同じ所で止まってしまうので
たぶん原因はマシンの方だと思うのです。
エラーを回避する方法をは無いものでしょうか? そもそも、
戻り値1 はどんなエラーなのでしょうか?

753 :login:Penguin:02/10/22 12:30 ID:fyKwtB3w
>>752
戻り血1はたんにエラー出たよっていってるだけと思う。

754 :login:Penguin:02/10/22 12:57 ID:RB2+93Pl
http://www.debian.or.jp/events/2002/0919-lc2002/

755 :752:02/10/22 14:55 ID:mM3znOJO
>>753
レスありがとうございます。 やっぱネット経由は無理でしょうか?
NFSも試してるんですが全然マウント出来ないんす。 インスコーラ
以外では普通にNFSとして繋がるので、やはり問題はノートPC側に
有ると思うんですが、どうにもこうにも。 何かコツというか特殊な
設定などがあるのでしょうか?


756 :login:Penguin:02/10/22 16:17 ID:O+T4g2+G
>>755
baseシステムまでならフロッピーのみでインストールできたはず。
base-*.binはCD-ROMには入っていないだろうからネットから落す必要があるし、20枚以上のフロッピーを扱うのははっきりいって苦痛だけど。
最終手段としてくだされ。

757 :755:02/10/22 16:23 ID:mM3znOJO
>>756
レス感謝です。 FD20枚ですか? そんなに使うのWINDOWS95のバックアップ
とって以来かも。 HDDを一度外してってのも考えていたところですので
色々含めてトライしてみます。

758 :login:Penguin:02/10/22 16:31 ID:YJHvHh+j
久々にupgradeしようと思ってここに来たんだけど,697の警告って未だ生きてるの?
良ければ教えておくれ〜


759 :login:Penguin:02/10/22 18:25 ID:36TwXbNt
>>758
Mr.ヒトバシラがいやならwoodyかsargeでも使っててください。

760 :736:02/10/22 20:07 ID:r3IlZapV
やっとある程度復旧しましたよ。 設定をいろいろ変えてXもきちんと認識できました。
はぁ・・・ あとは apache とwu-ftpd と samba の設定か・・・・

>746
ごもっともです。 いつもは man を見る前にとりあえず起動して、画面を見て"ヘルプ" ウィンドウが無かったら man を見ていたのですが
これを機会に起動の前には man を見ることにしようと思います。 
今回はわからなかったから、抜けたつもりだったのに 抜けきれてなくて逝ってしまいました。

>752
なにかの 6Mくらいの tgz と rescue ファイルをダウンロードしたあとのエラーですか?

761 :738=726 (!722):02/10/22 21:08 ID:9W45y+vB
>>746
sudoの実際のふるまいの話をしているわけではなく、
もっともらしい妄想をして遊んでいたつもりでした。
sudoを使うのに二重エスケープが必要ではない、ということは>>726
で既に確かめていますし。

ちなみにソースを眺めてみたら、
config.h.in:# define EXEC execv
config.h.in:# define EXEC execvp
sudo.c: EXEC(safe_cmnd, NewArgv); /* run the command */
ってなかんじでexecしてました。


762 :726: 名無しさん@Emacs:02/10/22 23:46 ID:BsR1F2a0
たまにダウングレードしたいときあります。でも古いやつ置いてない。
ちょっと前のに戻したいときってどうするん?


763 :login:Penguin:02/10/22 23:52 ID:O+T4g2+G
>>762
http://snapshot.debian.net/
ただし動き出したのは今年の6月4日なので……あれ? 6月のディレクトリがForbiddenになってる。HDDいっぱいになって削除したのかな?

764 :login:Penguin:02/10/23 01:15 ID:PTp8jV/P
>>755
う〜ん、ちょっと状況分からないので何ともだけど、Bug#165550 と関係あったりする?


765 :login:Penguin:02/10/23 10:35 ID:QuyeieyC
ママー、libc6-2.3.1-1入れるの怖いよ〜

766 :321:02/10/23 11:11 ID:F0WlH/P0
>>765
現在は2.3.1-3です。

767 : :02/10/23 11:15 ID:QuyeieyC
ママー、2.3.1-3だった

768 :login:Penguin:02/10/23 11:49 ID:Rc0hSEBK
>>765
だいじょうぶよ。こわくないから(´ー`)

769 :名無しさめ@Emacs:02/10/23 12:16 ID:eEo07gTG
emacs21 と krxvt の間で C-@ M-w + C-y で
文字列を copy-and-yank したいのですが
どこをどう設定したらいいか教えてください。

現状:
(゚д゚)ウマー emacs で C-@ M-w したものを中ボタンで krxvt に yank できる
(゚д゚)ウマー krxvt で左ボタンでコピーしたものを C-y で emacs に yank できる
(´・ω・`)ショボーン emacs で C-@ M-w したものを C-y では krxvt に yank できない
(´・ω・`)ショボーン krxvt で C-@ M-w したものを C-y では emacs に yank できない

Woody で、
emacs のバージョンは 21.2-1
rxvt-ml のバージョンは 2.6.4-6
です。


770 :login:Penguin:02/10/23 13:25 ID:Rc0hSEBK
http://headlines.yahoo.co.jp/hl?a=20021023-00000011-vgb-sci
わらた

771 :login:Penguin:02/10/23 13:28 ID:yk6v4S4v
Debian Project社
Debian Project社
Debian Project社
Debian Project社
Debian Project社
Debian Project社


772 :名無しさん@Emacs:02/10/23 15:35 ID:tlWSGZyb
ハゲワラ
っていうかニュースにする程のもんなのか?
アイディフェンス社のサイト見るとハッカーとクラッカーの区別ついてないし。


773 :login:Penguin:02/10/23 15:47 ID:sDsxqQuI
>>771 社?

774 :login:Penguin:02/10/23 15:48 ID:sDsxqQuI
>>773
ああ、http://headlines.yahoo.co.jp/hl?a=20021023-00000011-vgb-sci のことね。
ごめん、 >>770 読んでなかったよ。

775 :login:Penguin:02/10/23 17:34 ID:XSIhcPy3
まあ、NICは影響が大きいからニュースになること自体はアレだけど、別にDebian固有の問題じゃないんだよねぇ、これ。
なぜにDebianだけが独立した記事になるのか……。
17日のpamの問題も大きいのに載ってないし。

それにしても「Debian社」。

776 :login:Penguin:02/10/23 18:45 ID:XSIhcPy3
>>775
NICじゃなくてNISだよ。わーん。
Debian社なみにはずかしいよ。欝。

777 :login:Penguin:02/10/23 22:29 ID:d35cuEdp
おお!
このYahooにニュース提供してる会社は随分な厨房な会社だと以前から思っていた。

随分前だが、Mozilla 1.0がリリースされた時だったか、
「Mozilla社から1.0が発売されました」みたいな記事があって大笑いした事が
ある。

こんな恥晒しなことするならニュース提供を止めたらいいのに、
つーか、ニュース自体もちょっと変だし。

778 :login:Penguin:02/10/24 05:43 ID:tjeHbZA3
ついさっきsargeからsidにしたんだけど、
gnome2のgnome-utilのパッケージがみつからん。
他のパッケージみたいにgnome-*2って名前じゃないの?

779 :login:Penguin:02/10/24 05:59 ID:Nw2Pqd9Z
>>778
experimental なパッケージ群なら、すでに "2" は消去されてる
みたいだよ。今は gnome-utils 2.0.5-2 になってるね。

780 :login:Penguin:02/10/24 12:27 ID:Z5A2iHpS
kochi(ttf-kochi-mincho-naga10 0.2.20020326-1)の「調」の字が変。
btsになかったけどdu-mlには載ってた。
http://lists.debian.or.jp/debian-users/200204/msg00388.html
まだfixされてないの?(´・ω・`)ショボーン
# 直し方さえわかれば「漏れが直したる」と言いたいのだが。


781 :login:Penguin:02/10/24 13:20 ID:ra1R30PK

ftview -f 11934 10 /usr/share/fonts/truetype/kochi/kochi-mincho.ttf

この字?普通に見える。



782 :login:Penguin:02/10/24 13:45 ID:lzFQToTO
>>781
ftview -f 11934 300 /usr/share/fonts/truetype/kochi/kochi-mincho.ttf

783 :login:Penguin:02/10/24 13:46 ID:C+viOhq+
Debian on the Desktopが始動しますた。
http://www.debian.org/devel/debian-desktop/



784 :778:02/10/24 13:58 ID:+goHmmGM
>>779
experimentalとsid両方のaptlineを入れてあるけど、

ちなみに、
experimental != sid
だよね?
experimentalって何?

785 :780@自宅:02/10/24 20:17 ID:bjvEvL1J
>>781-782
thx
>>782でもやっぱり潰れて見えたけど
ustableに入れ換えたら直ってました。




786 :login:Penguin:02/10/24 22:40 ID:dYAIVjmb
man -l <file>で自分で作ったtroffドキュメント(?)を表示させようと思ったんですが、
日本語の部分だけ抜けて表示されてしまうのはなぜですか?/usr/share/man/jp/の下に
あるファイルをコピーして展開してやってみてもやっぱり日本語の部分が落ちてしまい
ます。普通にman lsとかやると日本語も表示されるのに...。おせーてください。

787 :login:Penguin:02/10/24 23:02 ID:687dQsGq
>>783
>Debian on the Desktopが始動しますた。
>http://www.debian.org/devel/debian-desktop/

期待大。ただアジア系デスクトップは、fontcoding/Xft2で荒れそう。

788 :login:Penguin:02/10/24 23:27 ID:UXpRMayW
sid使いの皆様へ

ここ何週間かupgradeしていない者です...
758でも似たような書き込みがありますが、ここ最近大きな問題はありましたでしょうか?



789 :login:Penguin:02/10/24 23:42 ID:jr+O5cFT
>>788
Debian固有のパッケージの問題ではありませんが、
Wnn7が動かなくなります。
(dpkeyservが動かない。
よそのライセンスサーバーを見に行くようにするとOK.
あとWnn6は大丈夫)


790 :login:Penguin:02/10/24 23:50 ID:WJdTsnZe
>>788
upgradeするたびに(((( ;゚Д゚)))ガクガクブルブルならwoodyかsargeしててください。

791 :login:Penguin:02/10/25 00:56 ID:51OERPXU
>>786
man -l -Tnippon FILENAME
でどうでしょ。

792 :login:Penguin:02/10/25 01:11 ID:Iu+WA6nv
>>788
Oracle9iが動かなくなります・・・ってsidでOracleは動かさんか。

まぁMutoサメも仰ってるがglibc2.3にしたら一回リブートしといた方が
よさげ。

793 :786:02/10/25 01:22 ID:XwQD6vZ6
>>791 でたーっ。でました。ありがとうございます。-T指定するとページャーは
無効になるんですね。

794 :login:Penguin:02/10/25 02:09 ID:kIsK2q/V
>>784
Gnome 2 on Debian
http://people.debian.org/~walters/gnome2.html


795 :login:Penguin:02/10/25 04:01 ID:mNXZhJrl
>>789
おかげでCannaに戻して、おまけにCannaの開発MLに
加入してしまいますた。
Emacs21+egg がどうもあれなので、yc-elにしてみた。
あれ、結構いいね。
dpkeyserv専用でマシン組むかな......

796 : :02/10/25 05:24 ID:iWu4V9PT
漏れもEmacs21+eggで違和感ばりばりなんだが、emacs-dl-canna
と同じキーバインドのものってあるの?

797 :login:Penguin:02/10/25 06:59 ID:nd5d3GLA
日曜日にgnome2移行 キタ━━━━━━(゚∀゚)━━━━━━ !!!!!
http://www.debian.or.jp/diary/?2002102&to=2002102410S7#2002102410S7

798 :login:Penguin:02/10/25 07:59 ID:cUBDDrcg
昨夜寝る前にDLだけしといて、さっきdist-upgradeしたよ
glibc 2.3になったけど、2.3.1-3だからかな? 勝手にデーモン再起動してくれた。
でも全部じゃないだろうなあ。


799 :778:02/10/25 08:53 ID:PLVBcrVx
>>794
サンクスコ。今DLしてる。

>>797
素直に待てばよかったかなぁ。

800 :login:Penguin:02/10/25 10:31 ID:2UMYsDBc
japanese-egg-cannaって、やっぱり、japanese-cannaとは違いよな。
emacs20-dl-cannaとかXEmacsとかのとは。
微妙に使いにくいのですが、改善させていくのでしょうか。
と言うか、元々の使いやすさに戻せるのでしょうか。eggの上で。

801 :login:Penguin:02/10/25 10:38 ID:gbJ7zf27
canna3.6が出たそうな。
…3.5は。

802 :cannaネタ:02/10/25 11:39 ID:fHgOhX9V
yc-el on emacs21
----
(setq emacs-ime (getenv "EMACS_IME"))
(if (null emacs-ime)
(setq emacs-ime "yc"))

;yc
(if (or (equal emacs-ime "yc"))
(progn
(load "yc")
(setq yc-server-host (getenv "CANNASERVER"))
(if (null yc-server-host)
(setq yc-server-host "localhost"))
(setq yc-use-color t)
(setq yc-use-fence t))
)
-----
anthyは3322-2だと.emacsになにも書かなくても
C-x RET C-\ japanese- RET で侯補に現れます。


803 :778:02/10/25 14:26 ID:m44+zQca
gnome2入れ終わりますた。
nautilusで何かしようとする度に強制終了します。

アイコンクリック>強制終了>強制再起動>強制終了>(以下略)

いい加減つらくなってきたのでデスクトップを他のものにしたいんですが、
デスクトップをgmcに変える、なんてことはできますか?

804 :login:Penguin:02/10/25 14:47 ID:oU06xS5U
>>803
うちはgnome2関係は全てソースからいれてるんだが、Nautilus2はそんなに不安定じゃないよ。
dot.nautilus やdot.gconf/を一度きれいにしてみるとかどう?

nautilusを起動させたくなけりゃ gnome-session-properties で現在のセッションの欄のnautliusを
削除すればよい。そのあとgmcを起動すれば次回起動時もgmcがあがってくれる
(けど、いまさら使う気しねぇな)


805 :778:02/10/25 15:01 ID:M13AxER2
>>803
試しに別のアカウントを作ってみて、
そっちで試してみたんだけどだめだった。
あと一回消してもう一度インストールってのも
やってみたけどだめだった。
とりあえず日曜まで待ってだめだったらgmcにしてみまつ。
ありがとう。

806 :login:Penguin:02/10/25 16:44 ID:/EIZwJZI
debianインストールしています。
x-window使おうとしてXF86Configと格闘しているのですが
マウスが無いって叱られます。

/dev/mouse を探したんですが見つかりません。
これはどっから持ってくるもんなんですか?
又は、どっかにリンクすればいーんでしょうか?

なんか、ストライクになるようなサイトないですか?
出来れば、ストライクなサイトをお願いします。もうヒントはこりごり
です。

807 :login:Penguin :02/10/25 16:53 ID:Qxv5LT4F
>>806
>>1

つか、なに接続なの?
/dev/mouseじゃなくて/dev/psauxにしてみたら?

808 :login:Penguin:02/10/25 16:55 ID:xBLpavee
>>806
君は素直に Red Hat を入れるべきだ。いやアオリじゃなくて。
動いてる状態の XF86Config を見れば Debian に応用も効く。

809 :login:Penguin:02/10/25 16:58 ID:/EIZwJZI
>>807
答えてくれてありがとう。
ps/2 接続。

XF86Setupの中から /dev/psaux も選んだけど
同じでした。
他のデストリから /dev/mouse コピーして盛って来ようとしたら
これは馬鹿だと気が付いた。んで、仕方ないのでネットから
他のパソコン中の /dev/mouse にリンク作ったら出来るかと
思ったら、これも馬鹿な発想でした。

インストールのときに mouse チェックしなかっただけでこんな
に苦労するとはおもわなんだ。
インストしなおさなきゃなんないの?

810 :login:Penguin:02/10/25 17:02 ID:/EIZwJZI
Linuxは既に動いてるんだけどさ、もう一度最初から
インストール動かす方法ないの?
もちろんLinux上から。。

811 :login:Penguin:02/10/25 17:04 ID:U5OFyngL
>>810
目的は?

812 :login:Penguin:02/10/25 17:06 ID:/EIZwJZI
ごめん、psauxで動いたよ。
俺はホントウに馬鹿だったみたい。

皆迷惑かけたm(_ _)m

>>811
目的はゲームだ

813 :login:Penguin:02/10/25 17:07 ID:uC2GkYEj
>>810
>もうヒントはこりごりです。

情報の無い質問もこりごりです。

814 :login:Penguin:02/10/25 17:07 ID:U5OFyngL
>>812
> 目的はゲームだ
遊びでインストーラ動かしたいだけ?

815 :login:Penguin:02/10/25 17:16 ID:/EIZwJZI
>>814
mouse って聞いてくる部分をもう一度画面に
だして今度はしっかり ps/2 選択してやろうか
と思ったの、分かった?

816 :login:Penguin :02/10/25 17:16 ID:Qxv5LT4F
>>809
XF86Setupってことはpotato?
woodyにしようよ。

>>813
マターリ

817 :login:Penguin:02/10/25 17:17 ID:/EIZwJZI
woodyにしたいんだけどさ、手元にあるのは
potatoだけなんだよ。

updateしようと思ってるんだけどさ、遠いかな?


818 :login:Penguin:02/10/25 17:21 ID:BTSfBsAY
(゚Д゚)オイ! オマエラ
マウスが画面の上にヒッツイタママ使えないゾ! debianのバグダ!

819 :login:Penguin :02/10/25 17:25 ID:Qxv5LT4F
>>817
>>1
ま…まさか、ひかるか?

>>818
たぶんオマエがProtocolをまちがえてる。
なおしてみ。

820 :login:Penguin:02/10/25 17:26 ID:U5OFyngL
>>818
バグだと思うなら BTS に行け。
お前の ID にも書いてあるだろ?

821 :login:Penguin:02/10/25 18:04 ID:zTnj5cLQ
>>820
藁田

822 :login:Penguin:02/10/25 18:54 ID:LW08AyzZ
>>819
直らネーヨ!やっぱりバグだろ?

823 :login:Penguin:02/10/25 18:57 ID:mNXZhJrl
dpkeyserv、static linkにしてくれればいいのになぁ......
dynamic linkだと、今回みたいなこともあるし、OMRONも
困るだろうけどなぁ。
メールしてみるよ

824 :login:Penguin:02/10/25 19:21 ID:Qf1FfCtS
>>822
>>813

825 :login:Penguin:02/10/25 19:26 ID:ub1QhhCv
>>822
gpm使ってない?


826 :login:Penguin:02/10/25 19:54 ID:LW08AyzZ
使ってないと、思う。
どこで確認すんのか知らないが、それらしき daemonは無かった
findでdisk探したが /usr/lib/menu/default/gpm しか見つからなかった
し、なぜか root でPermission deniedと叱られたので
動いてはいないだろう。
ダロ?

827 :login:Penguin:02/10/25 20:18 ID:fHgOhX9V
へんなマウス使ってないか?いろいろ試してみればいい。
http://www.xfree86.org/current/mouse6.html

おれのXF86Config-4はこんなだな
-----
Section "InputDevice"
Identifier "Configured Mouse"
Driver "mouse"
Option "CorePointer"
Option "Device" "/dev/mouse"
Option "Protocol" "IMPS/2"
Option "ZAxisMapping" "4 5"
EndSection
------

828 :login:Penguin:02/10/25 20:20 ID:gVsMpQjS
#ifup
Don't seem to be have all the variables for eth0.

って、こりゃ何の事だ?誰かアドバイス〜!

829 :login:Penguin:02/10/25 20:22 ID:NqLY5FXG
武藤神が!!!!

830 :login:Penguin:02/10/25 21:21 ID:gVsMpQjS
>>827
どうもありがとう!
でも、解決しなかったヨ。
山あり、谷ありだな、こりゃ・・。

831 :login:Penguin:02/10/25 21:27 ID:dOm7tgxd
d-uのchiristmas bombはいったいなんなんだ!?

>>829
次の徹底本はunstable/testing対応で付属CDはPGIでGUIインスコになるんかな?(わら


832 :828:02/10/25 21:54 ID:jhjAlLyQ
Don't seem to be have all the variables for eth0.

文法間違ってたら出るんだな。
さては、皆知ってたな・・。放置かヨ・・。

833 :login:Penguin:02/10/25 23:10 ID:9K31Fz6s
gnome2使っている人、フォントの設定教えてー。
sansとsans-selfは明朝体とゴシック体でいいと思うが、
文字がジャン牌みたいになるんだ。
dfontselector(?)とかで設定すればいいのかな?あのGUIのやつ。

834 :login:Penguin:02/10/26 00:05 ID:brWmB+t+
>>833
雀牌(四角の中に数字が書かれてる)ってことは GDK_USE_XFT=1 してるってことだよね。
(してない場合は普通の豆腐のはず)
/etc/X11/XftConfig で日本語フォントの入っているディレクトリを指定しておき、
そのディレクトリで xftcache すれば出るはず。
http://www.kde.gr.jp/%7Ekom/aa.html とかKDEスレを参考に。
(KDE,GNOME2 ともXftに関しては同じ)

835 :login:Penguin:02/10/26 00:18 ID:+dE3/60E
>>818
gpm の件。
1) % ps ax | grep -i gpm
2) % dpkg -l gpm
3) # apt-get remove gpm (いきなりこれをやるのは危険か)

マウスの件。
使ってるマウスのメーカ名、製品名、型番くらい書いてみれば
的確なアドバイスがあるかも。


836 :login:Penguin:02/10/26 03:11 ID:syKZHhRk
>>834
(いぜん、msgothic.ttcのUIがうまく表示させられなかった。
dfontmgrをつかったら、UI Gothicがうまく表示された。)
で、その設定をどうにかしようと思って苦労したけど、
defoma任せの、kochi-gothicを選んだらすぐ日本語が出たよ。

駄目だったのは、gnome-control-center2をインストールしてなかったから、
どうあがいても駄目だったってことか。
上のサイトにある、#apt-get -t experimental install gnome
だけでは全部入らなかったみたいだ。(w3m-el調子悪いし)


837 :login:Penguin:02/10/26 03:20 ID:3zd7UXEN
Emacs21で、bg=black で立ち上げると、どうも
フォントの線が細いのか読みづらい。
みんなどうしてるの? bg=whiteが普通かな?

838 :login:Penguin:02/10/26 03:37 ID:WFg05MSl
>>837
スレ違いだと思うが・・・
オレは東雲フォントで背景黒だけど、細いって思った事ないな
モニタやビデオカード、解像度にもよるんだろけど

839 :login:Penguin:02/10/26 08:10 ID:k/9oFE0D
>>837
bg=whiteなんているわけねーよ
16ポイント系は妙に不恰好でやや線が細いフォントが多いな
14ポイント系にしてみれ

840 :830:02/10/26 08:28 ID:fjHN8y4v
>>835
アドバイスありがとう。
「マウス NO1B-0661-B101 S/N 7172527M 01A FUJITSU LIMITED MADE IN MALAYSIA」
とマウスの裏に書かれてあった。コネクタ形状は普通のps/2。
富士通 FMV-DESKPOWERFU205に付属の標準マウス。Win95ではps/2と認識されていた。
> gpm の件。
>1) % ps ax | grep -i gpm
>2) % dpkg -l gpm
>3) # apt-get remove gpm (いきなりこれをやるのは危険か)
ありがとう、でも全部やった後で、駄目であった。

841 :login:Penguin:02/10/26 08:55 ID:Hv48nx35
Debian MTU/Linuxかあ。それはそれで面白そうだな。

842 :login:Penguin:02/10/26 10:19 ID:6GsR0Pfw
>>840
>ありがとう、でも全部やった後で、駄目であった。
何も晒さずに「全部やった」ってのは我々に対する挑戦ですか?

ちなみに>>827は特殊で通常はdebian的には /dev/psaux っていうのは
このスレでガイシュツだから当然チェック済みだよね。


843 :login:Penguin:02/10/26 11:40 ID:gI9pQYkf
もう、皆も知っているかもしれないが、「LinuxPPCユーザー、集え」スレで
http://www.debian.org/ports/powerpc/keycodes
の和訳をしてくれたかたがいる。
http://pc.2ch.net/test/read.cgi/linux/980246074/870-886

このまま埋もれさせるにはもったいないと思うが、何とかならんかのう。

844 :login:Penguin:02/10/26 11:46 ID:j0DX79Hs
>>843
http://www.debian.or.jp/devel/www/WebTranslation.html


845 :login:Penguin:02/10/26 11:47 ID:ID7n/U+o
>>843
許可もらってwww.jp.debian.orgに置けるといいんだけど。
んで、テンプレに追加、と。

846 :835:02/10/26 12:01 ID:+dE3/60E
>>840
ps とかdpkg -l とかは、コマンド実行すれば何かができるってもんではないぞ。
単に、gpm が動いているか or インストールされているかを調べるだけ。
だいたい、gpm が原因と確定したわけでもないだろ。

で、マウスの件だが、
Device とProtocol をちゃんと設定すれば動きそうだが、
実は、ServerLayout でそのマウスの設定が使われていなかった、とか、
/etc/X11/XF86Config-4 ではなく、/etc/X11/XF86Config をいじってた
とか、想像してみたりした。

まぁ、XF86Config-4 を作りなおしたほうが早いかも。
cf. http://debian.fam.cx/#content:56


847 :login:Penguin:02/10/26 12:29 ID:WFg05MSl
ムトゥさん、あのメールはどうかと思う・・・

848 :login:Penguin:02/10/26 12:35 ID:j0DX79Hs
>>847
まぁ、大真面目に説教されるよりはいいんじゃないのかな。
単なるちゃちゃでもないし。

そういう気遣いが感じられないようじゃ、ムトゥ教にはまだまだ遠いな。

849 :名無しさん@Emacs:02/10/26 12:45 ID:tGGbSqxk
自分で調べない奴が増えたのがいけないのだ
ところでroot常用はそれが「どうしてか」と「どのように」危険なのかをしっていれば
特に問題ないように思う。

850 :login:Penguin:02/10/26 12:50 ID:gEXPQ0l2
>>849
そこまで知ってもまだroot常用する香具師は余計に問題がある。

851 :login:Penguin:02/10/26 13:00 ID:ID7n/U+o
>>850
sudoなら安心と思ってるヤツも困り者。こういうのに限って、/etc/sudoersに

foo ALL = NOPASSWD: ALL

とか書いてあるんだ。怖すぎ。

# 話の持って行き方が強引だって?

852 :login:Penguin:02/10/26 13:09 ID:hpgBvCrL
[ あ ] が相手か。

853 :login:Penguin:02/10/26 14:11 ID:IQhJ6aTS
root常用も緊張感が合って良いゾ

854 :名無しさん@Emacs:02/10/26 14:21 ID:tGGbSqxk
>>853
そのうち緊張感がなくなる
前に
# rm **/*~
ってやろうとしたのに
# rm **/*
としてしまって少しだけ困ったことがある。


855 :login:Penguin:02/10/26 16:55 ID:6PIArA0N
root オンリープレイヤーは勝手にやらせておけばいいんじゃない?
root常用のせいでこちらの回答が伝わらなかったら、「じゃあ知らねぇ」で済ませば楽では?
あまり強く迫ると、改宗を強要しているのかと勘違いされて鬱です。
彼らは自らイバラの道を選んだのですw

856 :login:Penguin:02/10/26 17:50 ID:XFfH9EaK
sage

857 :login:Penguin:02/10/26 20:12 ID:j0DX79Hs
どこに書いたらよいのかわからないのでここに書きます。

[問題]
Debian JP Announce メーリングリストのgpg署名がすべてBAD SIGNATUREとなる。

[環境]
sidでemacs21,wl-betaを使ってnntp経由(jlug.ml.debian.announce)で読んでます。
検証はmailcryptを使い、公開鍵はdebian-jp-keyringから入手しました。
うちからjlug.ml.debian.announceで読むことが出来るmailすべて(X-mail-count 8から32まで)
BAD SIGNATUREとなります。

wanderlustのsummary-modeで"e"としてローカルに保存してgpg --verifyとすると
正しく検証されます。

jlug.ml.debian.devel.changesのmailはmailcryptで正しく検証できます。

[自分なりに考えてみたこと]
gpgコマンドでは検証できてるので、mailcryptの問題だろう。
mailcryptがこける原因はなんなのか?
jlug.ml.debian.devel.changesではすべてOKなので署名形式の違いや
署名者による問題ではないだろう。
announceのほうは基本的に日本語mailだが、changesの方は基本的に英語なので
character setの問題な気がする。

mailcryptの設定の問題だと思いますが、どなたか助言お願いします。


858 :login:Penguin:02/10/26 20:13 ID:oLglrnqT
>>847

> (*) はい
> ( ) いいえ

本人はどうとも思っていないようですね(わら


859 :653:02/10/26 20:58 ID:rvyJ7AXI
無線LANカード、WLI-PCM-L11GPをsidで使う件ですが、
カーネルじゃなくてpcmcia-sourceの中のモジュール(orinoco)を使えば、
というアドバイスを頂いんたんですが、
どうやればいいのか教えて頂けないでしょうか。。。
make-kpkgでターゲットをmodulesにしてもなんか.debファイルなんて作ってくれないんで、
該当 .h, .c ファイルをpcmcia-sourceからカーネルの方にコピー(置き換え)
たんですけど、これだとピ、ブッでシンボル解決できなくて話にならないみたいです。
Debianではどうやってpcmcia-modulesの.debをソースから作るんでしょうか。。


860 :login:Penguin:02/10/26 21:49 ID:jKCLrdWn
>859
man make-kpkg
の modules の項目とかを見てみな。
どっから module を作るか書いてあるぞ。

861 :login:Penguin:02/10/26 21:56 ID:GZfAboFz
本家のMLを読んでいると、上にもありましたが、
[Desktop]と言うSubjectが多いですね。
RHやマンドレイクとは雲泥だし(実力にも由るが)、
KDE3.1やGnome2.0(>=2.2で評価し直しかな?)では、
少なくとも見た目は良くなった。
メニューも、/. を見てなければGimpもGaleonも分からんから、
Web Browser(Galeon)、Image Editor(Galeon)をすべきだとか投稿してある。
いい傾向だと思います。ただ、まだ協力できるほど実力無いのが痛いですが。

でも、そういう海外のMLを見ると、「AAはデフォルトだ」とか書いてある。
こっちはXFree86にパッチ当てたり、freetype2を作り直さないといけない。
敷居がASIANにはまだ高い感じがしますが、期待が持てますねという表明をば。

862 :login:Penguin:02/10/26 23:23 ID:5RRCevjn
>メニュー等全部英語表示になります。
>よろしくお願いします。
>
>Kazu

863 :login:Penguin:02/10/26 23:37 ID:c8OBdEkH
>#なんか「デビアンウィザード」になってきたな…。

最近お気に入りですね(w


864 :login:Penguin:02/10/26 23:46 ID:tFvKZH4E
MLがらみの有益でない話題はMLスレでおながいしまつ

865 :login:Penguin:02/10/26 23:59 ID:ZSq9Ml8e
ムトゥ神のDebianクイズいいなあ。
「くだ質」のテンプレに入れたい。

866 :login:Penguin:02/10/27 00:30 ID:Bzu/X1DE
なんかクソスレになったな。

867 :login:Penguin:02/10/27 03:22 ID:GQujT8Xe
sidでupgradeしたらcannaが変になった人いない?
3.6-1にしたら,自分で追加した辞書がいくつか読めなくなって,弱欝

俺だけの症状だろうか?


868 :login:Penguin:02/10/27 03:57 ID:lZVJRh08
有益かそうでないかは人それぞれ。雑談もよか。

Image Editor(Galeon)ってなんでしょ? (gimp)の書き間違いくさいけど。
AAってAnti Aliasingか……。どうしてもASCII Artって読んでしまう。
個人的にはAnti Aliasingは好きじゃないなぁ。大きなサイズの文字ならそうでもないんだけど、16ドットくらいだとかちっと表示してくれた方が読みやすく感じる。
もっとも、acroreadは別なんだけど。ポリシーないね。

869 :653:02/10/27 09:13 ID:WKXBcWR/
>>860
すいません。それを見てやってるんですが、だめなんです。
MODULE_LOC=XXX make-kpkg modules
とやるんですが、pcmcia-modules-XXXXX.pt とかいう空ファイルだけできて
.debファイルができないんです。


870 :login:Penguin:02/10/27 10:27 ID:/dzPcCXT
(´-`).。oO(modules_image)

871 :名無しさん@Emacs:02/10/27 12:44 ID:jBsuf0sS
Japan語化ってナニ・・・?

872 :login:Penguin:02/10/27 14:59 ID:PVy8k77v
Debian 開発者なら LWN がタダで読めるらしいぞ。
HP が金出してくれたそうだ。
http://lwn.net/Articles/13797/

873 :login:Penguin:02/10/27 15:39 ID:qRW5oaKj
>>872
おお俺っ、ほほ翻訳でもいいイイのかな???

874 :login:Penguin:02/10/27 16:03 ID:B4MOJI4y
>>871
仲良くしてね♪


875 :login:Penguin:02/10/27 16:09 ID:lZVJRh08
HPも粋なことを。

開発者かどうかはDebian keyringにキーが登録されていることで判断する、ってことかな?

876 :アドバイスしたのは俺かも:02/10/27 20:50 ID:aZLYU5PN
>>859
# apt-get install pcmcia-source kernel-source-2.4.hoge
# cd /usr/src
# tar zxvf pcmcia-cs.tar.gz
# tar jxvf kernel-source-2.4.hoge.tar.bz2
# cd kernel-source-2.4.hoge/
# make xconfig
# make-kpkg clean
# make-kpkg --revision local kernel-image modules-image kernel-headers
# dpkg -i ../kernel-image-hoge.deb && ../pcmcia-modules-hoge.deb
みたいな。

877 :login:Penguin :02/10/27 20:56 ID:yJKm5wVw
woodyのインスコはrescue.binのフロッピーだけでいいの?
root.binのフロッピーもいります?

878 :login:Penguin:02/10/27 20:59 ID:1jU91XRc
>>877
誰も保証してくれないのがdebianなんだから、人に確証を求めるなよ
調べて出来そうだと思ったら、好きにしろ

879 :login:Penguin:02/10/27 21:07 ID:oHblQmCo
>>877
http://debian.fam.cx/#content:37

880 :sage:02/10/27 22:27 ID:Gv/h1Foc
>877
http://www.navic.com/services/debian/woody/index_j.html


881 :login:Penguin:02/10/27 23:02 ID:0OGB8zFy
>>867
"かんなを正しく使いましょう"でぐぐれ

882 :login:Penguin:02/10/27 23:18 ID:m8BSjqg9
>>797
でsidのgnome2移行って書いてあるけど、
アメリカの日曜、ってことかなぁ・・・。

883 :877:02/10/27 23:28 ID:VY9E8Hmn
(´-`).。oO(クソスレになったなあ)

884 :login:Penguin:02/10/27 23:57 ID:UlmJxkYc
>>883

>>878のメール欄読め

885 :login:Penguin:02/10/28 01:13 ID:4Izv8DrP
>>877

あんたがいうべき台詞じゃないな。
>>877 の発言のほうがよっほどここをクソスレにしてる。

# オレモナー
# しかし、d-u ml もあんなになるなんて・・・


886 :login:Penguin:02/10/28 01:57 ID:C4F+vwAz
いちいちかまうな

887 :login:Penguin:02/10/28 02:44 ID:AprG2eLL
sidで、emacsがバージョンアップしたらyc-el使えなくなって、
leimでの日本語入力しかできないんだけど、どうしたらいいんでしょう?
教えて君でスマソ

888 :名無しさん@Emacs:02/10/28 04:18 ID:cWU7IzBu
sidでatokxが使えなくなってるよ、X4.2.1のせいかな

889 :867:02/10/28 04:42 ID:eFyRFchQ
>>881
治りました…ありがとう!!


890 :login:Penguin:02/10/28 09:12 ID:xCdg1jLi
gnome/kde等で日本語が表示されないってのは周期的にでるやね。
考えられる原因を列記してその対処法をテンプレに追加できるといいかも……膨大になっちゃって結局読まれないってオチが待っていそうだけど。

891 :login:Penguin:02/10/28 10:56 ID:nwsiBKiv
>>887
downgrade.

892 :login:Penguin:02/10/28 13:03 ID:0/57AARl
http://www.dotgnu.org/
DotGNUのdebがなくなっちゃったよ、、、
0.4.4はcompileとおらんけどcvsのでdeb作るのは簡単。




893 :login:Penguin:02/10/28 13:06 ID:0/57AARl
>>888
再起動してみな。たぶん直ってる。
おれも変換候補の表示が全部「.」になってあせったが、再起動で直った。
今、sidでatokxで書いてるYO。


894 :893 (藁:02/10/28 13:08 ID:0/57AARl
>>888
ちなみにlibc6が2.3.1になった時だった。


895 :名無しさん@Emacs:02/10/28 15:25 ID:cWU7IzBu
>>893
そうなの?
うちは表示が「.」になる以前に変換パレットが出てこないんだよ
atokx(xあったっけ?)_clientも起動させてるんだけど

896 :login:Penguin:02/10/28 15:57 ID:nwsiBKiv
マシンを再起動って意味だろ?

897 :名無しさん@Emacs:02/10/28 17:08 ID:cWU7IzBu
d-uの森田氏のBBS
http://www.kazuhiro.com/BBS/index.html

Name:Kazu
Date:2002/10/09(Wed) 20:55
>それから、Slackware8.1も導入しました。
>こちらは、インストーラは全て英語ですが、むかしからLinuxやっている
>人にはそれほど難しくありません。私が初めて手に触れたLinuxは
>Slackwareでした。インストール後、X-Windowの設定はXf86configで
>設定しました。これは、ほとんど昔のもの(7年ほど前)から変わっていません。
>設定の設問は英語ですが、これもそれほど難しくありません。
>古いマニュアルも役に立ってくれます。

898 :login:Penguin:02/10/28 19:15 ID:17OeFGNP
ただいまsidでapt-get dist-upgradeちゅう……
gnome2になるのか……(((;゚Д゚))ガクガクブルブル

899 :login:Penguin:02/10/28 19:15 ID:sx98LHji
>>898
なんないよ。


900 :ageman:02/10/28 19:19 ID:ny2CDHw4
900-get!

901 :login:Penguin:02/10/28 19:40 ID:17OeFGNP
>>898
ほんとだ。なんも変わってない。
日曜日に移行するとか言ってたのは何?

902 :login:Penguin:02/10/28 19:49 ID:nwsiBKiv
sidで apt-get install gnomeってやってみろよ。
もとは、apt-get -t experimental install gnome だったけどね。
gnome-control-center2がgnome-control-center_2.0.x とかになるので、
gtk+-1.2野ソフトのフォントが変更できくなって困った。


903 :login:Penguin:02/10/28 19:59 ID:17OeFGNP
>>902
うちでは
$ sudo apt-get install gnome
Reading Package Lists... Done
Building Dependency Tree... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

Sorry, but the following packages have unmet dependencies:
gnome: Depends: gnome-applets (>= 2.0.3-2) but 1.4.0.5-5 is to be installed
Depends: gnome-panel (>= 2.0.9-3) but 1.4.2-1 is to be installed
Depends: gnome-session (>= 2.0.7-2) but 1.4.2-1 is to be installed
Depends: gnome-utils (>= 1.106) but 1.4.1.2-6 is to be installed
Depends: file-roller (>= 2.0.2) but it is not going to be installed
E: Sorry, broken packages
ってことですた。

904 :login:Penguin:02/10/28 20:42 ID:sx98LHji
>>903
> gnome: Depends: gnome-applets (>= 2.0.3-2) but 1.4.0.5-5 is to be installed
> Depends: gnome-panel (>= 2.0.9-3) but 1.4.2-1 is to be installed
> Depends: gnome-session (>= 2.0.7-2) but 1.4.2-1 is to be installed
> Depends: gnome-utils (>= 1.106) but 1.4.1.2-6 is to be installed
> Depends: file-roller (>= 2.0.2) but it is not going to be installed

さっきincomingにgnome-sessionが入ったがそれ以外はまだ。


905 :login:Penguin:02/10/28 20:54 ID:D926VmZJ
どうでもいいんだけど、オレ galeon(1.2.5) + flashplugin(5.0r48-7) で日本語ちゃんと表示ないんよ。
場所によっては表示出来るんだけど、ダメな所が多い。(文字化けする)
フォントが入ってないだけなんかな。



906 :login:Penguin:02/10/28 20:57 ID:sx98LHji
>>905
例えばどれ?


907 :905 :02/10/28 21:03 ID:D926VmZJ
>906
これとか
http://www.flashcgi.net/cgi-bin/aqua21/aqua.cgi

908 :login:Penguin:02/10/28 21:14 ID:sx98LHji
>>907
俺も化けてた。


909 :905 :02/10/28 21:27 ID:D926VmZJ
>908
ありがと(ワラ

910 :login:Penguin:02/10/28 22:38 ID:NeglIFPS
>>905
βだけど、
http://www.macromedia.com/software/flashplayer/special/beta/#linux
これ入れてもダメでしょうか?

911 :905 :02/10/28 23:38 ID:u/bFe/66
>>910
ありがと
入れてみたけど、galeon 自体がセグメンテーション違反?で起動出来なかったよ。
仕方ない外した。
おとなしくstable待ちますわ

912 :login:Penguin:02/10/29 10:24 ID:JHgbeHYv
gnome2になっちゃった。

913 :login:Penguin:02/10/29 11:17 ID:mLJVXvN9
むーん。どうしようかなぁ。
まだ対応してないアプレットがあるんだよなぁ。>gnome2

914 :login:Penguin:02/10/29 14:00 ID:OSSj4clL
チョコレートの食べすぎで DebDebになりそうな 某名無しです。


915 :login:Penguin:02/10/29 15:20 ID:ohmipJLJ
>>914
匿名でMLネタ、カッコワルイ。


916 :全文検索厨:02/10/29 15:50 ID:9y23beiG
全文検索ツールとしてよいのはどれでしょう?
検索対象は英語のみです。

Namazu http://www.namazu.org/
Glimpse http://webglimpse.org/
Swish++ http://homepage.mac.com/pauljlucas/software/swish/

Glimpse パッケージはもう無いみたいです。
やっぱり Swish++ ?
http://lists.debian.org/debian-user/2001/debian-user-200109/msg00312.html

917 :login:Penguin:02/10/29 15:54 ID:k4NMW7R3
>>916
ht://Dig なんてのもあるな。
使ったことないけど。

918 :全文検索厨:02/10/29 16:48 ID:9y23beiG
ふむ〜 ht://Dig か・・・

Comparing Open Source Indexers
http://www.infomotions.com/musings/opensource-indexers/

全文検索ユーティリティ統一スレッド
http://pc.2ch.net/test/read.cgi/bsoft/1006680403/
に行ったほうがいいかな・・

919 :全文検索厨:02/10/29 17:32 ID:9y23beiG
Glimpse コンパイル完了。
woody で何の問題も無く。

~nanashi/Mail 以下のインデックスを作ってみた。
対象 100MB に対してインデックスファイルのサイズ 10MB
インデックスの品質(?) は tiny。
ってことは large とかにするともっと大きくなるのか。

フィールドごとの検索ができないのか・・・
いや、漏れがマニュアル読めてないだけかも。
メールでやりたいのは

     X-UIDL: 95d80ff61ec54726bc43d9e537c0a40f

とか

     Message-ID: <28797.2002102916030515048@btc010.tricorn.net>

とかの行を

     x-uidl="95d80"

とかで検索したかった。こんな俺って変態? SWISH は

html ファイルの中に <META NAME="ore" CONTENT="hentai"> ってな
META タグがあると ore="hentai" って検索語で検索できるみたいだ。
てことはインデックスの構造がフィールドに対応してるってことだから、
フィルタさえ作れば何でもありか。ハッ!だから SWISH は Office 文書の
文書プロパティにも対応できるって書いてあったのか・・・

てなわけで SWISH++ パッケージを入れてみるよ。


920 :login:Penguin:02/10/29 17:33 ID:k4NMW7R3
>>918
Linux 板か Unix 板でいいと思うけど、
Debian-specific な話じゃないなら別スレ推奨。

921 :login:Penguin:02/10/29 19:31 ID:xFoQeynr
>チョコレートの食べすぎで DebDebになりそうな 某名無しです。

これってどゆ意味?

922 :login:Penguin:02/10/29 19:33 ID:JHgbeHYv
>>921
メーリングリスト読んでる?


923 :debnull:02/10/29 20:45 ID:3V6Am/nZ
#!/bin/bash
ps aux | grep "login:Penguin" 2>&1 > /deb/null

924 :login:Penguin:02/10/29 20:57 ID:8NlsvMpS
>>922
ML加入はしているが全てには目を通していないよ。
何番あたり?

925 :login:Penguin:02/10/29 21:33 ID:AjUjbgos
検索

926 :login:Penguin:02/10/29 21:50 ID:jYKTHBXD
>>925
"ワーニング" 藁田

927 :login:Penguin:02/10/29 21:50 ID:8NlsvMpS
>>925
サンクス。
ゆきたんハァハァ

928 :login:Penguin:02/10/29 22:06 ID:G6HAL4W6
いままでFreeBSDを使っていたのですが
Debianも使うことになりました。
FreeBSDとDebianの設定ファイルの対応とか参考になる
ページってないですか?


929 :login:Penguin:02/10/29 23:11 ID:AjUjbgos
>>928
何のですか?HALさん。

930 :login:Penguin:02/10/29 23:17 ID:/jGFHLLI
>>928
>>1 片手にいじってりゃ対応くらいすぐわかるだろ。

931 :login:Penguin:02/10/29 23:29 ID:nxczoivV
今、security.debian.org って落ちてます? アップデートできないんですけど。

932 :login:Penguin:02/10/29 23:42 ID:46+uyS6n
Debian sid で、MozillaでYahooゲームしようとすると、日本語
化けるんだけど、どうしたらいい??

933 :login:Penguin:02/10/29 23:48 ID:rSExbhLh
Netscape4にしる

934 :login:Penguin:02/10/29 23:49 ID:zaID5Ar/
flashの文字が化けるのは改行コードのせいという噂。
Windows野郎がflash作ると改行コードがCR+LFになるんで、flashは改行が二つ
あると認識して、一行置きに文字が出るようになるんだな。
なのでWindows野郎はSJISのまんま改行コードをCRとかLFにしやがるんで、化
け化けしちゃうみたいね。

935 :login:Penguin:02/10/29 23:54 ID:KBBvrmVV
>>934
アフォですか?

936 :login:Penguin:02/10/29 23:58 ID:nxczoivV
>934
FLASHの文字化けなんてあるんですか? いや、マジで。
英語版のwinで日本語のFLASHを見れたから 外人にも紹介したんだけどまずったかな?

937 :934:02/10/30 00:10 ID:oysrxlJP
>>905 へのレスのつもりだったんだが、番号いれるの忘れてたな。
うちも >>907 のflash、化ける。sidでmozilla1.1。

化けない方法があるなら教えて欲しいわ。



938 :login:Penguin:02/10/30 00:28 ID:ZKzxut8R
>>933
Netscape4、せぐふぉで落ちるんだけど..........

939 :login:Penguin:02/10/30 00:40 ID:mVJ+Ukih
beta の flash6 plugin を入れたら?

940 :login:Penguin:02/10/30 08:17 ID:LgwyL28D
>>934-936
Bug 122062 - Japanese text in device font in flash is displayed as garbage
http://bugzilla.mozilla.org/show_bug.cgi?id=122062

941 :全文検索厨:02/10/30 10:32 ID:1TW1gbv5
>>919
swish++ で Mail/ のインデックスを作ってみた。
インデックス化対象 188MB
インデックス(swish++.index) 23MB

なんか2バイトコードのかけらとかを単語として抽出してそう・・・
インデックスの中身をこれから調べてみます。

swish++ パッケージを導入しただけじゃだめだよ。
/usr/share/doc/swish++/examples/swish.conf.gz を解答して、
index++ を実行するときのカレントディレクトリに放りこんでおかないとだめ。

あと、pstotext とか pdftotext とかを呼ぶのでその辺のパッケージも必要。
たぶん依存関係で勝手に入ると思うけど。

942 :login:Penguin:02/10/30 10:41 ID:t6iLwJzD
>>749
遅いような気もするけど、行く人いる?
○。見物。

943 :login:Penguin:02/10/31 05:02 ID:bOEpJbVX
sidでmulti-gnome-terminalの1.6.1-1使ってるんだけど,透明化出来ないのは気のせい?!
以前は設定から選択すれば出来た気がするんですが…

良ければ,日本語が通るタブターミナルを教えて下さい
gnome2のgnome-terminalはタブ化されてるとか,されてないとか聞いたんですが…



944 :login:Penguin:02/10/31 05:58 ID:N3AumIz/
>>938 >Netscape4、せぐふぉで落ちるんだけど..........
ここのパッチ使え。かなり落ちなくなる
ttp://phe.phyas.aichi-edu.ac.jp/~cyamauch/netscape.html

945 :login:Penguin:02/10/31 09:47 ID:8vC1r3pG
>943
透明化ハァハァ。 さっき avi ファイルを movie フォルダのなかに移そうとして
mv ./*.avi ./movie/
rm -r ./movie 
ls ./movie/ あれ? 

・・・なーんて素敵なことやっちゃったから、 お前らも徹夜は気をつけろよ。

946 :login:Penguin:02/10/31 12:31 ID:U043kkUF
>>943
gnome-terminal 2.1.0-2はタブがつくし、日本語入力もできるよ。

947 :login:Penguin:02/10/31 16:10 ID:kFPNhcg3
>>945
おれなんて
cd /var/lib/dpkg/
[...]
rm status*

で死んだぞ。

948 :943:02/10/31 16:12 ID:P0w6AOxm
>>946
試しにinstallしてみたんだが…CORBAサーバーと接続できませんとか出て諦めたよ
フォントの設定も出来なかったし,透明化も出来なかった

.gnome/とかの設定ファイルが悪さしてるのかな?


949 :login:Penguin:02/10/31 17:25 ID:iO/cZka7
>>948
これ?

http://www.gnome.gr.jp/docs/g2releasenotes/installation.html
>GNOME 2 への最初のログインがスムーズにいかず、エラーボックスに CORBA
>の接続が完了しないというエラーがたくさん表示される場合があります (ある
>いは他になにも起動しないかもしれません)。セッションを止め (gdm の画面
>かコマンド・プロンプトへ戻る)、ターミナルで /tmp/orbit-ユーザ ディレク
>トリ (とその内容) を削除することで修復できます。 ユーザ は適切なユーザ
>名に置き変えてください。


950 :login:Penguin:02/10/31 17:31 ID:kFPNhcg3
I have installed galeon2-snapshot.
It's nice. but already breading edge.
not emacs-keybind. cannot input japanese, but can display.

I hope this will rapid release.

951 :login:Penguin:02/10/31 20:08 ID:x0JWw+/q
あのwoodyをインストールしたいのですが。ハードディスクに
basedebs.tarをコピーしておけば、ネットワークからもって
こなくてもインストールできますか?このときrescue.binと
root.binのフロッピーがいりますよね。そのほかにハードディスク
にコピーしておくファイルはbasedebs.tarとなにがひつようですか?
driver.tgzも必要でしょうか。インストールマニュアルなどを
みたのですが、この辺りの必要なファイルがよくわかりません。
どなたかおしえていただけませんでしょうか。

952 :login:Penguin:02/10/31 20:29 ID:ZU146pPg
>>951
全部ダウンロードしたら?
漏れもよくわからんかったから全部用意してみた。

953 :login:Penguin:02/10/31 21:59 ID:kIEfOsVT
sidでようやくGnome2への移行が完了しました。

ところで,Gnome2では,Window Managerの変更はどうすればいいのでしょうか?

Gnome1.4のときは,コントロールパネルで変更できたのですが,
Gnome2では,どこで,変更すればいいのかよくわかりません。


954 :login:Penguin:02/10/31 22:03 ID:OhxBCD0z
>>953
$ killall sawfish
$ matacity &
(ここで「現在の設定を保存」してgnomeを終了)

# gconf-editorはよくわからなかった。漏れ、厨房だから。

955 :login:Penguin:02/10/31 22:14 ID:NCdlp7Lf
>>953
どうっすか?使い心地は?
何か実用上、気になる点ある?

956 :login:Penguin:02/10/31 22:18 ID:csemvSz/
>>950
emacs-keybind については、 ~/.gtkrc-2.0 に
gtk-key-theme-name = "Emacs"
と書けば、ある程度は emacs 風になる。でも、ショートカットキーと
ぶつかったりするせいか、URL 入力のテキストエントリなんかでは
効かない。

日本語入力もフォームとかはだめ。ダイアログなどではOKだけど..




957 :login:Penguin:02/10/31 22:33 ID:kIEfOsVT
>>952
サンクス。うまくいきました。

>>953
使い始めて,まだ1日なので,よくわからんです。でも,Gnome1.4と
それほどかわらないので,とまどうことは少なそうです。でも,
Gnome Control Panel(名称がちがうか?)が,まったく,かわって
しまったので,困っております。

そういえば,gmixもなくなってしまったし。どうも,xmmsの出力がち
いさくなってしまったので,調整したいのだが。Gnome2では,ミキシ
ングはどう調整するのだろうか?





958 :login:Penguin:02/10/31 22:34 ID:aywlyXXz
そうなんだよな。
ある程度しか、Emacsのキーバインドにならない。
Gnome-1.4が懐かしい。

959 :login:Penguin:02/10/31 22:55 ID:GtyDYXKR
>>957
gmix は gnome-volume-control に名前が変わりました。

パネルに乗っかるアプレットにも、ボリュームコントロールがあるはず。
あと、GNOME 2の話をしたいなら
http://pc.2ch.net/test/read.cgi/linux/1003416100/
でやってくれ。

960 :login:Penguin:02/11/01 00:33 ID:+lgpiaUp
Gnome2ってstatus dockってある?
なんか見つからないんだけど・・・。

961 :951:02/11/01 01:40 ID:eizzAsa7
DOSからネットワークなしでインストールできました。
ひつようなファイルは
* root.bin
* linux.bin
* basedebs.tar
* driver.tgz
* loadlin.exe
* install.bat
* recue.bin(?)
のようです。

962 :login:Penguin:02/11/01 03:30 ID:kUPlYBsK
確かpotato→woodyにしたころから、/var/log/syslog に

Oct 30 23:10:01 **** PAM_unix[12842]: (cron) session opened for user root by (uid=0)
Oct 30 23:10:01 **** PAM_unix[12842]: (cron) session closed for user root

などという律義な報告が繰り返されるようになったのですが、これを消す方法はあります
でしょうか? もちろん

Oct 31 16:15:50 **** PAM_unix[26655]: (su) session opened for user root by ****(uid=****)

などという報告は消えてもらっては困るのですが。

963 :login:Penguin:02/11/01 06:00 ID:8LKWjYlQ
VAIO505ノートにwoodyを入れて常時立ち上げWEBサーバーとして遊んでいたのですが
最近、バッテリーが充電されなくなったので調べてみたら
電源アダプターとバッテリーを刺すと電源が「AC off-line」(apmの結果)と
バッテリー駆動のみになり充電されなくなります。
バッテリーを外せば「AC on-line」となるのですが
この状態だと一週間に一度はいつのまにか電源が落ちてしまいます。

以前、RHLでも同様の現象が起きたので
ハード的な問題だとは思うのですが、似たような事象をご存知でしたら
後学の為に教えて頂きたいのですが


964 :login:Penguin:02/11/01 07:32 ID:4iPjirrK
>>963
viaio スレでどうぞ
http://pc.2ch.net/test/read.cgi/linux/1007828176/50-

965 :login:Penguin:02/11/01 09:16 ID:bGiGZDzQ
>>962
おそらく、望んでいる解決法ではないが、
logcheck パッケージを勧めてみる。

1時間毎にログをチェックしてメールで報告してくれる。
その際、不要なログは egrep -v で落としてくれる。
何が"不要なログ" かは、/etc/logcheck/ 以下で自由に設定できる。

966 :963:02/11/01 10:05 ID:8LKWjYlQ
>964
あら、誘導どうもです〜

967 :login:Penguin:02/11/01 12:32 ID:Qa0X7OKB
kernel-2.4.20-rc1 で alsa-source 0.9.0rc5-0.1 の
Module を作ろうとすると、

make[4]: Entering directory `/usr/src/modules/alsa-driver/acore'
make[4]: *** No rule to make target `/usr/src/linux/include/linux/modules/cpufreq.ver', needed by `hwdep.o'. Stop.

となりました。

alsa の module を作るにはどうしたらよいのでしょうか?




968 :login:Penguin:02/11/01 12:42 ID:jKGm85pB
そろそろ次スレの季節ですね。この流量だと980ぐらいでもだいじょうぶ?

969 :login:Penguin:02/11/01 13:11 ID:+JUppgvD
http://www.assist.media.nagoya-u.ac.jp/ASDP/index.cgi?c=v;p=Debian%CD%D1%B8%ED%BC%AD%C5%B5

970 :login:Penguin:02/11/01 14:04 ID:eAq0hq62
AfterStepの日本語設定の方法を教えてください。
Woodyで

afterstep 1.8.11-5woody1
aterm 0.4.2-3
aterm-ml 0.4.2-3

を使っているのですが以下の症状が出ています。

[症状1] ウィンドーのタイトルの日本語が化ける(WindowMakerだと化けない)
[症状2] katermで日本語入力できない(krxvtとktermでは ^O で
kimput2が立上り[あ]と出ます)


971 :951:02/11/01 15:14 ID:A+RGmqs8
DOSからでもloadlin1.6cとinstall.batを入れかえれば
インストールできますね。fb2.4\install.batに
"..\dosutils\loadlin linux.bin root=/dev/ram initrd=../images-1.44/bf2.4/root.bin disksize=1.44 flavor=bf2.4"
と書いて、dosutils\loadlin.exeを
ttp://www.gtlib.cc.gatech.edu/pub/suse/projects/loadlin/loadlin-1.6/update-1.6c/
のと入れかえれば、OKです。

そして他のフレーバーと同じく、DOSからinstall.datを
起動すればインストールできます。

972 :login:Penguin:02/11/01 19:57 ID:tmj060pw
>>959

サンクス。うまくいきました。

973 :login:Penguin:02/11/01 20:57 ID:vJ2oHTd7
defomaで大量のTrueTypeフォントを登録したいんだけど楽な方法ない?
defoma-hintsの質問に答えるのがすごく苦痛…。


974 :login:Penguin:02/11/01 21:42 ID:zYpMe6nS
あ、それ俺も知りたい。defomaってよく分からんのよね。
いい解説サイト無いかしら。

975 :login:Penguin:02/11/01 22:39 ID:Rpk/cM74
最近セキュリティアップデートができないのですが、どうしてでしょう・・・apt-get update を実行すると

Hit http://security.debian.org stable/updates/main Release
99% [2 Packages gzip 0]
gzip: stdin: not in gzip format
Err http://security.debian.org stable/updates/main Packages
Sub-process gzip returned an error code (1)

こんなメッセージが数回出てしまいます。

976 :login:Penguin:02/11/01 22:46 ID:zYpMe6nS
>>975
うちのwoodyは出ないなあ。gzipが古いまんまとかいうことない?

977 :975:02/11/01 22:54 ID:Rpk/cM74
解決しました。 といってもnon-free じゃないほうをコメントアウトしただけですが。 gzipに問題があるのだと思って
ずっといじっていましたが、 関係なかったようです。 コメントアウト後は全てのパッケージをアップデートできました。

deb http://security.debian.org/ stable/updates main contrib non-free
#deb http://security.debian.org/ stable/updates main

978 :login:Penguin:02/11/02 01:29 ID:cRKmVOPU
Sylpheedを使おうとしたんですが、Bind:コマンドまたはファイルが
ありません といわれます。
Bind9はインストールしたんですが。
どうすれば、よろしいのでしょうか?

979 :login:Penguin:02/11/02 01:34 ID:t4YMoSsb
>>978
その"bind"ではないだろ

980 :login:Penguin:02/11/02 01:39 ID:W7MPV5+D
sargeでevolutionが下記のエラーで立ちあがらんのだけど、原因分かる人いる?

evolution-shell-WARNING **: Cannot access Bonobo/ConfigDatabase on wombat: (IDL:Bonobo/Moniker/InterfaceNotFound:1.0)


981 :962:02/11/02 02:19 ID:wC1GRoYV
>965
なるほど。syslog 自身をいじるのではなく、読む段階でいじる、と。
しばらく試してみます。

クレクレ君で申し訳ないですが、logcheckが1時間ごとに動作する原理は何でしょう?
/etc/crontab とか /etc/cron.*/ にはそれらしい記述がないのですが…

982 :login:Penguin:02/11/02 02:58 ID:Z2+eLOT1
>970 AfterStep
(だれもレスつけないだろうから)
>[症状1] ウィンドーのタイトルの日本語が化ける(WindowMakerだと化けない)
仕様です。たぶん~/GNUstep/Library/AfterStep以下にあるテーマファイルの
フォント指定の箇処を修正すればいいのでは?
つーか、ウィンドウタイトルの文字化けで困ることそんなにある?
>[症状2] katermで日本語入力できない(krxvtとktermでは ^O で
kimput2が立上り[あ]と出ます)
aterm-mlがインストールされてるならatermはいらないんでないかな?
そのうえで~/.Xdefaultsでフォントを定義する必要があるのかないのか?
まあ、じつはAfterStepは入れてないのでよく判らないんだけど。
WindowMakerのほうがいいよ。WindowMakerでいいじゃん。

983 :login:Penguin:02/11/02 03:09 ID:Z2+eLOT1
>982
>そのうえで~/.Xdefaultsでフォントを定義する必要があるのかないのか?

そのうえで~/.Xdefaultsでフォントとインプットメソッドを定義する必要があるのかないのか?
になんとなく訂正。

984 :堕天使姫子:02/11/02 03:38 ID:kYo4CDia
ttp://miko.gnyo.org/
どう思います?
アタシ的には コミケで買い ですが

985 :login:Penguin:02/11/02 04:01 ID:bqp4WDv/
>>981
/etc/cron.d/logcheck

986 :978:02/11/02 04:33 ID:cRKmVOPU
すみません、どのBindなのか検討つかなくて。
教えていただけますか?

987 :login:Penguin:02/11/02 05:17 ID:bilFGW7F
WoodyでSidのvpopmail 4.9.9-1使ってるんだけど
4.9.9-4にupgradeしようとしたら
# apt-get -s install vpopmail-bin
省略
Sorry, but the following packages have unmet dependencies:
vpopmail-bin: Depends: libc6 (>= 2.3.1-1) but 2.2.5-11.2 is to be installed
E: Sorry, broken packages
だって。Woodyの人はこのまま4.9.9-1使いつづけて大丈夫?


988 :login:Penguin:02/11/02 06:08 ID:aNAikoT/
次スレ

Debian GNU/Linux スレッド Ver. 13
http://pc.2ch.net/test/read.cgi/linux/1036184754/


989 :login:Penguin:02/11/02 10:17 ID:d8Iuj8YW
kernel-imageって、いつになったらfileutilsいらなくなるんだろ。
いつまでもfileutilsをアンインスコできない。
まあパケジにしなければ問題ないんだけど。

990 :970:02/11/02 11:30 ID:fkSlxKc2
>>982
感謝感謝です。
マシンが低スペックなので全面AAとかは無理なんです。
せめて背景とフレーム透過ぐらいしないと画面が殺風景で鬱。
WindowMakerでフレーム透過できればいいんですけどね。

[症状1]は
~/GNUstep/Library/AfterStep/non-configurable/0_look.8bpp
のフォントを
-mona-gothic-medium-r-*-*-12-*-*-*-*-*-*-*
にして解決しました。
-misc-fixed-medium-r-*-*-12-*-*-*-*-*-*-*
とかでもOKですね。

[症状2]は
katermで日本語の *表示* はできているのでフォント設定は不要と判断。
kinput2 のほうは ~/.Xresources で XIM を kinput2 にして
~/.session で XMODIFIERS=@im=$XIM katerm で立ち上げると
^O で [あ] 入りの箱が出るようになりました。
でも箱の中に書いたものが katerm に出力できません。
~/.Xdefault は set-language-env が作ってくれなくて
書式がわかんないので、これから検索の旅に逝って来ます。




991 :login:Penguin:02/11/02 14:08 ID:LleHlQDf
991

992 :992:02/11/02 14:12 ID:yC+IJMWn
992

993 :login:Penguin:02/11/02 14:19 ID:LleHlQDf
992

994 :login:Penguin:02/11/02 14:36 ID:/OhLSM5p
無理に埋めなくてもいいじゃん

995 :login:Penguin:02/11/02 14:56 ID:UTB5gLhd
いいや埋める

996 :検索提供者:02/11/02 14:58 ID:yC+IJMWn
埋めてくれると検索システムの次スレ移行が楽だったりします。
1000まで拾う必要は無いのかもしれないけど。

それはそうと、「テスト」「てすと」等で検索すると、
検索語が激しく文字化けするのですが、
どなたか原因、対策を御存知無いでしょうか。


997 :login:Penguin:02/11/02 15:02 ID:40tJegVK
じゃ、埋めネタをひとつ。

PowerPC Linux Keycodes Alert! の日本語訳、コソーリとテンプレにウpしときやした。

998 :login:Penguin:02/11/02 15:16 ID:sFl345pU
998

999 :login:Penguin:02/11/02 15:16 ID:sFl345pU
999 

1000 :login:Penguin:02/11/02 15:17 ID:sFl345pU
1000ゲトズザー

1001 :1001:Over 1000 Thread
このスレッドは1000を超えました。
もう書けないので、新しいスレッドを立ててくださいです。。。

288 KB
★スマホ版★ 掲示板に戻る 全部 前100 次100 最新50

read.cgi ver 05.04.02 2018/11/22 Walang Kapalit ★
FOX ★ DSO(Dynamic Shared Object)